commit 635fd886edb0f59e03c57d28a7328370173db549
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 26 17:16:50 2011 -0700

    Release version 0.6.3.2

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 23c385766711e5294957d3b61ae6e5af1c7ec417
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 26 16:23:51 2011 -0700

    Require Tracker 0.12

    Closes: bgo#660051 - require tracker 0.12

 NEWS                           |    1 +
 configure.ac                   |   13 +++----------
 tests/lib/tracker/Makefile.am  |    5 -----
 tests/lib/tracker/backend.vala |    2 --
 4 files changed, 4 insertions(+), 17 deletions(-)

commit e45a9630f5f81d4c706959f975300e26acb013ad
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 26 15:07:05 2011 -0700

    Don't assume that "CONNECTED" Tp.Accounts have valid Tp.Connections

    There's an in-between state where the Tp.Account is "CONNECTED"
    but hasn't
    finished preparing its Tp.Connection (and thus, it's null).

    Closes: bgo#659041 — tpf-persona-store.vala: try to connect to a
    NULL object

 NEWS                                          |    1 +
 backends/telepathy/lib/tpf-persona-store.vala |   31
 +++++++++---------------
 2 files changed, 13 insertions(+), 19 deletions(-)

commit e2e49f92dab827ca283b458af59c09e9c4053345
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 26 15:36:39 2011 -0700

    Ensure we prepare all TpAccounts before trying to use them.

    Helps: bgo#659041 - tpf-persona-store.vala: try to connect to a
    NULL object

 backends/telepathy/lib/tpf-persona-store.vala |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 506baeb119df6a2288754dbbb9ce48a802e0e82b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 26 15:44:47 2011 -0700

    More-tightly scope variable in EDS backend.

 backends/eds/lib/edsf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cbf4373f265914e179d64457f74d209f28beffdd
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Sep 26 09:44:39 2011 -0700

    Actually fall back to eds:system in case there's no default address
    book.

    Closes: bgo#660140 - contacts_contact_find_persona_from_store:
    assertion `store
    != NULL' failed

 NEWS                                     |    2 ++
 backends/eds/lib/edsf-persona-store.vala |   20 ++++++++++++++++++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 2de42aa44293ec8a36872b4356b1a5f6ffad299e
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat Sep 24 11:03:36 2011 +0200

    [l10n] Updated German translation

 po/de.po |  579
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 285 insertions(+), 294 deletions(-)

commit c1e3178fee7761ed5e847db19fe7a5ac05908dcc
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Sep 23 15:55:39 2011 -0700

    Trivial NEWS fix.

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c9ea93abaf778b4892e3ec7f7a0a81b1a34053db
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Sep 23 15:54:52 2011 -0700

    Note in the NEWS that we fixed bgo#659732 before the 0.6.3.1 release.

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 234e3d0a577bb521d31beae4ad9610beb8f1c1fc
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Sep 23 13:19:14 2011 -0700

    Post-release version bump.

 NEWS         |    3 +++
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit fbf54a9ee1050e95be66b38f3d80a2f0b156d814
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Sep 22 09:45:05 2011 -0700

    Release version 0.6.3.1

 NEWS                     |    2 +-
 configure.ac             |    8 ++++----
 folks/persona-store.vala |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit ec8bd42ca0b4e6f23e79ef66bd72ddd844ac4059
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Sep 22 18:26:06 2011 -0700

    Make sure we source GConf files installed next to us.

 tests/data/gconf.path.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f7d6df3c2ee823196ce2900cc8d344e8e9d5f55c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Sep 22 17:00:41 2011 -0700

    Deal with lingering callbacks in the eds/set-avatar test.

    These can be called after we've set this._main_loop = null,
    so if we don't check it first, we'll hit warnings (which get
    treated as errors).

    This isn't an ideal solution, but there doesn't seem to be a
    great way to avoid the handlers from firing after we no
    longer care (we need something like thaw/freeze_notify(),
    except for general signals, not just notify).

 tests/eds/set-avatar.vala |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 532c8cfff019d7fe5bd0c31babe7c93543c37aa5
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Sep 22 10:37:37 2011 -0700

    Serialize checks for completion in EDS test.

    We were interleaving checks which resulted in inconsistent behavior.

 tests/eds/link-personas-diff-stores.vala |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 5b0711a6f6b3a4c3ba003dddc0c6a2a27542ad98
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Sep 22 10:30:15 2011 -0700

    Exit EDS test early in case multiple signal emissions are in-flight.

    This fixes a race between the mainloop being nullified and a dependent
    signal handler calling quit() again (no idea how the signals were
    getting issued and handled after the initial quit() though).

 tests/eds/link-personas-diff-stores.vala |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3b5f532c3975fb96a725f10d6cbf0b03b61f95fb
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 21 23:05:42 2011 +0100

    eds: split up link-personas test and cut relative URI dependency

    Though some code might be duplicated, it's healthy to split tests
    into different executables to assure our clean-up code (wiping out
    GConf entries, shutting down our own session Bus, etc) runs between
    tests.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=659732

 tests/eds/Makefile.am                    |    6 +
 tests/eds/link-personas-diff-stores.vala |  279
 ++++++++++++++++++++++++++++++
 tests/eds/link-personas.vala             |   70 +++-----
 3 files changed, 310 insertions(+), 45 deletions(-)

commit 0ff740a9026592f723a6b219906a4823f2ec04fa
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 21 22:07:27 2011 +0100

    eds: rework tests so that they don't depend on relative URIs

    Previously, tests were build around the assumption that each
    Edsf.PersonaStore had an id == ESource.relative_uri. That
    stopped being true (because you'll get swallowed by a black
    hole in pwithnall's garden if you use relative URIs).

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=659732

 tests/eds/add-contacts-stress-test.vala |    3 ++-
 tests/eds/add-persona.vala              |    3 ++-
 tests/eds/change-primary-store.vala     |    6 ++++--
 tests/eds/remove-persona.vala           |    4 +++-
 4 files changed, 11 insertions(+), 5 deletions(-)

commit 73647bc63e66c085bf0a1a7080df9734734c77b7
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 21 16:24:30 2011 +0100

    e-d-s: use UID instead of relative URI to track ESources

    Some e-d-s backends (i.e.: the Exchange one) might not have
    a relative URI so we can't rely on it as an address book
    identifier. So from now on we use the ESource's UID.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=659732

 backends/eds/eds-backend.vala            |   12 +++++-------
 backends/eds/lib/edsf-persona-store.vala |    9 +++------
 2 files changed, 8 insertions(+), 13 deletions(-)

commit 700c6523185c26fc36bf8c03b070041f5c1432bf
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 21 21:35:20 2011 +0100

    tpf: no need to use a lambda since callback exists

 backends/telepathy/tp-backend.vala |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 2e81215dc900c0697d14f31805db06580dfc5a15
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 21 20:25:54 2011 +0100

    tpf: don't unprepare the backend if it isn't prepared

 backends/telepathy/tp-backend.vala |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c415b637e241c6b4e5b2f6f1cbeb93b2f44b3e27
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 21 11:09:21 2011 -0700

    Clean up variables in Tpf test to match Edsf test.

 tests/telepathy/persona-store-capabilities.vala |   20
 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit d89bab174b6ef8db1ee07157827e12c64a9a2137
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 21 11:07:37 2011 -0700

    Check for expected-missing capabilities in PersonaStore tests.

 tests/eds/persona-store-tests.vala              |   14 ++++++++++++++
 tests/telepathy/persona-store-capabilities.vala |    2 ++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit 5145d0852ce4ae03a1f86be90cda9aff93eb4696
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 21 09:49:02 2011 -0700

    Use PersonaStore.always_writeable_properties.

    This removes references to the deprecated
    PersonaStore.can_alias_personas and PersonaStore.can_group_personas

    Closes: bgo#659737 - tests fail due to usage of deprecated methods

 NEWS                                            |    1 +
 tests/eds/persona-store-tests.vala              |   30 ++++------------
 tests/telepathy/persona-store-capabilities.vala |   40
 ++++++-----------------
 3 files changed, 19 insertions(+), 52 deletions(-)

commit c5e2ce8c784018e5516e8578d1eb6c6bd086480b
Author: Colin Walters <walters@verbum.org>
Date:   Wed Sep 21 12:13:31 2011 -0400

    build: Fix regular expression to extract dlname

    The regex writer unintentially made a character range in ".-+".
    This was always wrong, but it actively fails when LANG=C.

    Closes: bgo#658002 - defective typelib

 NEWS              |    1 +
 folks/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 67f55ab19dc994559f224c3d006aed81789cde04
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Sep 19 12:38:08 2011 +0100

    Deprecate PersonaStore.can-[alias|group]-personas

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=658332

 NEWS                     |    8 ++++++++
 folks/persona-store.vala |    4 ++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit f0e8e262b16ecbe21ece35cea145998402784ded
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:17:07 2011 +0200

    Updated Slovenian translation

 po/sl.po |   45 ++++++++++++---------------------------------
 1 files changed, 12 insertions(+), 33 deletions(-)

commit 70be095184d8a1f3e1a60bd422f3bc0656d29350
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 13:07:06 2011 +0200

    Updated Slovenian translation

 po/sl.po |  390
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 205 insertions(+), 185 deletions(-)

commit 3864c3e4b18adca749b086bc2d6779d68537c774
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Sep 19 16:14:53 2011 +0200

    Updated Slovenian translation

 po/sl.po |  206
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 100 insertions(+), 106 deletions(-)

commit f000c49110bb89fb69a6fced689de132d33c0909
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Sep 19 12:09:24 2011 +0100

    Update NEWS file for next release

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 882f9dfb03a53145674172e1c825cc3b506b4eb4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 19:32:44 2011 +0100

    build: Post-release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f541e7e3d7c5906429139e58ec8bdc8340b32d64
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 19:30:23 2011 +0100

    build: Release version 0.6.3

 NEWS                              |    5 +++++
 configure.ac                      |   12 ++++++------
 folks/abstract-field-details.vala |    8 ++++----
 folks/individual-aggregator.vala  |    2 +-
 folks/individual.vala             |    2 +-
 folks/persona-store.vala          |    6 +++---
 folks/url-details.vala            |    8 ++++----
 7 files changed, 24 insertions(+), 19 deletions(-)

commit 684956de8220262d853280e6229e8b09b5709bac
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 19:01:31 2011 +0100

    url-details: s/HOMEPAGE/HOME_PAGE/

    Quick, before this gets released and frozen!

 NEWS                                        |    2 +-
 backends/eds/lib/edsf-persona.vala          |    2 +-
 backends/tracker/lib/trf-persona-store.vala |    4 ++--
 backends/tracker/lib/trf-persona.vala       |    2 +-
 folks/url-details.vala                      |    2 +-
 tests/eds/set-urls.vala                     |    2 +-
 tests/tracker/set-urls.vala                 |   12 ++++++------
 7 files changed, 13 insertions(+), 13 deletions(-)

commit d1bfbfc0775a3b91515de3e31095df3f7def1e08
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 18:24:50 2011 +0100

    eds: Fix potential false matches in _is_in_source_list()

    It's possible for the relative URIs of two ESources to be equal
    (though it's
    unlikely). Consequently, we need to compare by UID as well.

 backends/eds/lib/edsf-persona-store.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 393faf239d2486f5be2b611ddf875f1c72378666
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 16 23:34:39 2011 +0100

    Bug 653623 — Would like a set of standard "type" parameters for
    UrlDetails

    Add some consts for TYPE and some common values for it for
    UrlFieldDetails.

    Closes: bgo#653623

 NEWS                                        |    5 ++
 backends/eds/lib/edsf-persona-store.vala    |   70
 ++++++++++++--------------
 backends/eds/lib/edsf-persona.vala          |   36 +++++++++++++-
 backends/tracker/lib/trf-persona-store.vala |   19 +++++---
 backends/tracker/lib/trf-persona.vala       |   24 +++++++---
 folks/abstract-field-details.vala           |   44 ++++++++++++++++-
 folks/url-details.vala                      |   37 ++++++++++++++
 tests/eds/add-persona.vala                  |    9 ++--
 tests/eds/email-details.vala                |    4 +-
 tests/eds/phone-details.vala                |    9 ++--
 tests/eds/postal-address-details.vala       |    5 +-
 tests/eds/set-emails.vala                   |    3 +-
 tests/eds/set-phones.vala                   |    3 +-
 tests/eds/set-postal-addresses.vala         |    6 ++-
 tests/eds/set-properties-race.vala          |    6 ++-
 tests/eds/set-urls.vala                     |    4 +-
 tests/tracker/set-urls.vala                 |   45 ++++++++++-------
 17 files changed, 233 insertions(+), 96 deletions(-)

commit 0500ba5dd10a90ff662bf811113934ebae40233f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 16:56:23 2011 +0100

    individual: Prefer set properties over unset ones

    I can't believe I didn't notice/think of this when I first wrote
    this code.
    I think my licence to write software should be revoked.

 folks/individual.vala |  117
 ++++++++++++++++++++++++++++++-------------------
 1 files changed, 72 insertions(+), 45 deletions(-)

commit fef5bcc4b0b6946e9d8e6a3cfd28823b9997b7d5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 18 14:09:12 2011 +0100

    Update British English translation

 po/en_GB.po |  395
 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 207 insertions(+), 188 deletions(-)

commit 674ae6308505993944482d456683f9b03058b185
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 22:16:07 2011 +0100

    Bug 657738 — Favorite people are not always displayed

    Ensure the TpLogger connection in Tpf.PersonaStore is always
    prepared before
    we first attempt to use favourite contact data.

    This should fix the situation where IM connections are already
    prepared before
    folks is prepared (i.e. _connection_ready_cb() is called as soon
    as the
    Tpf.PersonaStore is prepared).

    Closes: bgo#657738

 NEWS                                          |    1 +
 backends/telepathy/lib/tpf-persona-store.vala |   35
 +++++++++++++-----------
 2 files changed, 20 insertions(+), 16 deletions(-)

commit e04551e97ea73b738448eae9b47d9bf0897ce0cb
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Sep 17 22:20:58 2011 +0200

    Updated Czech translation

 po/cs.po |  391
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 193 insertions(+), 198 deletions(-)

commit 87fc114e43c7c4e3390ed9bb930033812bbd032b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 17 21:58:43 2011 +0200

    Updated Polish translation

 po/pl.po |  389
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 197 insertions(+), 192 deletions(-)

commit 70d2a568374bc9c73b2bcd56009131a7a6abbc20
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 12:40:22 2011 +0100

    i18n: Remove untranslatable identifiers from translatable strings

    Also remove some trailing newline characters which don't need
    translating.

 tools/import.vala |   29 +++++++++++++++++++----------
 1 files changed, 19 insertions(+), 10 deletions(-)

commit b4fc4d6f795eee429e1316866a50d0ac35775c77
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 12:31:40 2011 +0100

    i18n: Fix a few en_GB-isms in C locale strings

 folks/favourite-details.vala |    2 +-
 tools/import-pidgin.vala     |    2 +-
 tools/import.vala            |    5 +++--
 3 files changed, 5 insertions(+), 4 deletions(-)

commit a07b8e0ed7d259455b35ff7f4cb819696cf8fa49
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 12:27:10 2011 +0100

    Bug 658161 — Consistently use “contact” in translatable strings

    Use “contact” and “Telepathy contact” where appropriate
    instead of “persona”,
    to try and reduce the amount of technical vocabulary in the
    translatable
    strings.

    Closes: bgo#658161

 NEWS                                          |    2 +
 backends/telepathy/lib/tpf-persona-store.vala |   76
 +++++++++++++------------
 tools/import-pidgin.vala                      |    6 +-
 tools/import.vala                             |    3 +-
 4 files changed, 46 insertions(+), 41 deletions(-)

commit a739c1d316a1a476b1e9783dc734cc4e04a4ef0b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 20:36:43 2011 +0100

    Bug 646847 — Rename _update () in Trf.Persona

    …or just remove it entirely, since it was only called from one
    place.

    Closes: bgo#646847

 NEWS                                  |    2 ++
 backends/tracker/lib/trf-persona.vala |   33
 +++++++++++++++------------------
 2 files changed, 17 insertions(+), 18 deletions(-)

commit 05f2f829ed790183948a13337c55c482f93d4ed8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 19:19:43 2011 +0100

    eds: Add gender as an always-writeable property

    This is because it uses a custom vCard attribute, so no EDS backend
    actually
    says it's supported. We assume that the backends will save these
    custom
    vCard attributes safely.

 backends/eds/lib/edsf-persona-store.vala |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 2030fbfb182af950c765779c31bfd723668a64f8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 18:58:40 2011 +0100

    Bug 658328 — Return PropertyError.NOT_WRITEABLE from Persona
    property setters

    Only the EDS backend was affected, and it's not been changed to
    check whether
    properties are writeable before attempting to set them.

    Closes: bgo#658328

 NEWS                                     |    2 +
 backends/eds/lib/edsf-persona-store.vala |   90
 ++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+), 0 deletions(-)

commit f619fd7c1c30deef7401a427f69f98666a439dcc
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 18:37:22 2011 +0100

    eds: Remove duplicate change checks from Edsf.Persona.change_avatar()

    Helps: bgo#658328

 backends/eds/lib/edsf-persona.vala |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit e8a7b128464d03c8357e32ef6dcc842023e139d7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 17:24:30 2011 +0100

    Bug 658531 — Sometimes avatar caching doesn't work

    Work around bug #659324 (in GIO) to ensure that we never close the
    same FD
    more than once when storing avatars to the cache.

    Closes: bgo#658531

 NEWS                    |    1 +
 folks/avatar-cache.vala |   20 ++++++++++++++------
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 3150a055e00a9fccea4811dc672960cd1fad8e95
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 17:23:19 2011 +0100

    eds: Re-use a GTimeZone instance for converting birthday timezones

    Every time a GTimeZone is created, /etc/localtime is opened. Reduce
    this
    overhead by sharing a single GTimeZone instance between all
    Edsf.Personas
    for all time.

    This makes our strace a little tidier.

 backends/eds/lib/edsf-persona.vala |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 3aea9d25edce43287b27d4c69154470dbcd34e88
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 17:29:32 2011 +0200

    Updated Slovenian translation

 po/sl.po |  188
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 95 insertions(+), 93 deletions(-)

commit 20463d1ae9ea433a37a8345ed9832b61ef5ed6ee
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 17 12:06:15 2011 +0100

    Update British English translation

 po/en_GB.po |  169
 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 84 insertions(+), 85 deletions(-)

commit c6fdcc8948d1b6a12b2763cfd1597b962d94a7c6
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Sep 17 00:07:53 2011 +0200

    Updated Czech translation

 po/cs.po |  174
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 90 insertions(+), 84 deletions(-)

commit a7907d2cb76ddade4664fab17479504de7e6f9fe
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 16 21:56:07 2011 +0100

    abstract-field-details: Minor documentation fix

 folks/abstract-field-details.vala |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9ec53e830cf1ff12681b58f068a08cec6511dd8d
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 19:29:06 2011 +0100

    e-d-s: test case for changing primary store

 tests/eds/Makefile.am               |    6 ++
 tests/eds/change-primary-store.vala |  144
 +++++++++++++++++++++++++++++++++++
 2 files changed, 150 insertions(+), 0 deletions(-)

commit b1f9c2df3c5d62184ac51a44195e44401db74fe8
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 19:31:28 2011 +0100

    e-d-s: allow setting default address books in tests

 tests/lib/eds/backend.vala |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit 00ada566e82fef5ed87793b2de7c5cb6e2910ef2
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 15 15:38:11 2011 +0100

    e-d-s: notify when an address book is configured as default

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657141

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |   21 +++++++++++++++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit d797e8e101252ddd674ffdffab61d9409219a48f
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 15 15:33:58 2011 +0100

    core: add Folks.PersonaStore.user-set-default property

    With this property we can tell if a Store (i.e.: an e-d-s address
    book) has been marked by the user as his default store (either from
    Evo or from GOA, etc).

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=657141

 NEWS                             |    1 +
 folks/individual-aggregator.vala |   28 ++++++++++++++++++++++++++++
 folks/persona-store.vala         |    9 +++++++++
 3 files changed, 38 insertions(+), 0 deletions(-)

commit 32c95ea8884b415d7835fd1fe147db195fc61f5f
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 15 14:43:36 2011 +0100

    IndividualAggregator: improve naming for primary store related methods

    Renamed _set_primary_store () to _configure_primary_store ()
    and refactor
    the code that actually sets the primary store into _set_primary_store
    ().

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=657141

 folks/individual-aggregator.vala |   41
 +++++++++++++++++++++++++++++++------
 1 files changed, 34 insertions(+), 7 deletions(-)

commit 44f9a8316082e5f86ac96e5018f11713767ecb9d
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 14 20:48:47 2011 +0100

    Let each PersonaStore manage its trust-level

    Previously, the IndividualAggregator was in charge of
    downgrading and upgrading the trust-level of each
    PersonaStore. From now on, we let each Store manage its
    trust-level since it's the natural way to do it.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=659075

 backends/eds/lib/edsf-persona-store.vala    |   32
 ++++++++++++++++++++++++++-
 backends/tracker/lib/trf-persona-store.vala |    1 +
 folks/individual-aggregator.vala            |   14 -----------
 3 files changed, 32 insertions(+), 15 deletions(-)

commit 7d4d0100b22159e10fe76c719bf4f38b24d35057
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Sep 15 22:09:36 2011 +0100

    Bug 659128 — If a persona store goes away we don't remove its
    personas

    Handle removal of the address books backing Edsf.PersonaStores
    by notifying
    of the removal of all the personas in the store, then emitting
    PersonaStore.removed.

    Test included.

    Closes: bgo#659128

 NEWS                                     |    1 +
 backends/eds/eds-backend.vala            |   46 ++-----
 backends/eds/lib/edsf-persona-store.vala |   58 +++++++++
 tests/eds/Makefile.am                    |    6 +
 tests/eds/store-removed.vala             |  204
 ++++++++++++++++++++++++++++++
 tests/lib/eds/backend.vala               |    5 +
 6 files changed, 286 insertions(+), 34 deletions(-)

commit d0ab83aaccf91b32016649e4c512f37cc5285a08
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 22:26:04 2011 +0100

    individual: Prefer data from personas with writeable properties

    As an addition to the fix for bgo#657783, if two personas come
    from stores
    which have equal is-primary-store values, we now prefer the persona
    which
    lists the given property as writeable. If both personas list (or
    don't list)
    the property as writeable, we fall back to the given ordering
    function as
    before.

    Closes: bgo#657783

 folks/individual.vala |   74
 ++++++++++++++++++++++++++----------------------
 1 files changed, 40 insertions(+), 34 deletions(-)

commit 859f6c7e17b4e800fb087b9e0302f8abfa0c36ee
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Sep 16 14:59:09 2011 +0100

    tracker: configure primary store for tests via env var

    No need for GConf to set up primary store for tests, doing it
    via en env var is good enough.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=647909

 tests/tracker/Makefile.am                      |    3 --
 tests/tracker/link-personas-via-local-ids.vala |   28
 +---------------------
 tests/tracker/link-personas.vala               |   29
 +----------------------
 3 files changed, 4 insertions(+), 56 deletions(-)

commit 2c380b4823ae672f614fbdf53da671b536f362d3
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Sep 16 14:30:12 2011 +0100

    e-d-s: configure primary store for link-personas test via env var

    For tests, it's much simpler to do it via an env variable than via
    GConf and we avoid ourselves a dependency.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=647909

 tests/eds/Makefile.am        |    3 ---
 tests/eds/link-personas.vala |   32 +++++---------------------------
 2 files changed, 5 insertions(+), 30 deletions(-)

commit 46aed2ba50c25c1cf26b3b605347e1fea3775fe0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 15 20:13:51 2011 +0200

    Updated Polish translation

 po/pl.po |   90
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 45 insertions(+), 45 deletions(-)

commit 8859fa3011eef3acc57e3b0b23c30c2119b987aa
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 15 14:04:13 2011 +0100

    Folks.Individual: don't use is-writeable in change_avatar

    This is a follow-up for commit 96539acd, using
    PersonaStore.is_writeable
    is deprecated in favour of checking Persona.writeable_properties

 folks/individual.vala |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b70c45f4dd39ddcdf6c3ef9559f37776d1e8edde
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 23:54:25 2011 +0100

    build: Clean the .typelib file in clean rather than maintainer-clean

    It's built by `make` not the maintainer, so according to
    http://www.gnu.org/software/hello/manual/automake/Clean.html it
    should be
    cleaned by `make clean`.

    Also remove it from BUILT_SOURCES, since it doesn't belong there.

 folks/Makefile.am |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 4d6a9c1d071ddaba8c24558459e2315808eb9113
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 14 15:34:23 2011 -0700

    Don't distribute the typelib file.

    Typelib files are architecture-specific, so they shouldn't be
    distributed.

    Closes: bgo#659095 - Don't distribute typelib file

 NEWS              |    1 +
 folks/Makefile.am |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 96539acdb6c96af478c27c522b951677f0f25bc3
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 17:48:17 2011 +0100

    Folks.Individual: use is-primary-store instead of is-writeable

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658324

 folks/individual.vala |   29 ++++++++++++-----------------
 1 files changed, 12 insertions(+), 17 deletions(-)

commit adc4c5327afa80a9ad4255e85513edf609735fd6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 17:35:07 2011 +0100

    IndividualAggregator: s/writeable_store/primary_store/g

    Renamed _writeable_store to _primary_store to augument clarity.
    Also, stop listening and setting is-writeable properties and
    work with is-primary-store properties.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658324

 NEWS                             |    3 +
 folks/backend-store.vala         |    2 +
 folks/individual-aggregator.vala |  117
 +++++++++++++++++++++-----------------
 3 files changed, 70 insertions(+), 52 deletions(-)

commit e857f5e159877aa47193f6dacb89367b7ac5aaf8
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 17:33:44 2011 +0100

    Folks.PersonaStore: add is-primary-store and deprecate is-writeable

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658324

 NEWS                     |    2 ++
 folks/persona-store.vala |   10 ++++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 25e75ed385d2733bd0b6f7390dbd288ec7c058dd
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 18:12:56 2011 +0100

    core: use always-writeable instead of is-writeable

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658324

 folks/backend-store.vala |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 152ee3f06bd223c7ed9e9825543554031f490ddf
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 17:21:10 2011 +0100

    core: deprecate FOLKS_WRITEABLE_STORE for FOLKS_PRIMARY_STORE

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=658323

 NEWS                             |    3 +++
 folks/individual-aggregator.vala |   17 ++++++++++++++---
 folks/persona-store.vala         |    2 +-
 tests/eds/Makefile.am            |    2 +-
 tests/folks/Makefile.am          |    2 +-
 tests/libsocialweb/Makefile.am   |    2 +-
 tests/telepathy/Makefile.am      |    2 +-
 tests/tracker/Makefile.am        |    2 +-
 8 files changed, 23 insertions(+), 9 deletions(-)

commit a777291da82253c6191d50a0067e76d9e3d6e026
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 14 20:50:40 2011 +0100

    e-d-s: always open address books (regardless of it existing or not)

    This helps Gnome Contacts which needs to make sure that at least
    the system address book exists.

 backends/eds/lib/edsf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 419fbf6a4c4a4701f1520bac2ccc9269dded015b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 22 23:54:08 2011 +0100

    Bug 657065 — Cache keeps around contacts from disabled accounts

    Add some extra conditions on loading and storing the Tpf.PersonaStore
    cache,
    so as to prevent loading it when the account is disabled or invalid,
    and to
    prevent storing it unnecessarily.

    This also adds some extra debug output to Tpf.PersonaStore's caching
    methods.

    Closes: bgo#657065

 NEWS                                          |    1 +
 backends/telepathy/lib/tpf-persona-store.vala |   64
 +++++++++++++++++-------
 2 files changed, 46 insertions(+), 19 deletions(-)

commit 554d96c18d4309b5e8169c68b8bb747502161a8e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 14 18:34:57 2011 +0100

    Bug 658002 — defective typelib

    Pass the libtool dlname for libfolks.so to g-ir-compiler rather than
    libfolks.la.

    Closes: bgo#658002

 NEWS              |    1 +
 folks/Makefile.am |    7 ++++++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 8050f1b17099d3fef90e27914271261c10817033
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 14 15:41:20 2011 +0200

    Updated Slovenian translation

 po/sl.po |  205
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 109 insertions(+), 96 deletions(-)

commit 61416d9ae0ff38927d7c7898a502d92e268d93f4
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Tue Sep 13 12:17:37 2011 +0200

    Remove extra definition of BACKEND_EDS

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f25a44b93018dd64042a1c318b35d9b4a696124f
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 14:51:48 2011 +0100

    e-d-s: add test for auto linking via emails and IM addresses

 tests/eds/link-personas.vala |   90
 +++++++++++++++++++++++++++++++++++++++--
 1 files changed, 85 insertions(+), 5 deletions(-)

commit c8c7cbf2b006eafb3cccbe2bec601ac83d4cc505
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 12:44:08 2011 +0100

    e-d-s: assume certain e-mail addresseses are IM IDs too

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657142

 NEWS                               |    2 +
 backends/eds/lib/edsf-persona.vala |   88
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 0 deletions(-)

commit 0c95227f2f6377c1a57efa94dbf00910366bef6f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 13 22:03:02 2011 +0100

    avatar-cache: Add some more debug output

 folks/avatar-cache.vala |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit ce738c83e07c809729063372707e029b2e00e7b9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 13 21:22:52 2011 +0200

    Updated Polish translation

 po/pl.po |   91
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 45 insertions(+), 46 deletions(-)

commit 0737c2d78c4041bb211bd005d28a6960babddb70
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Aug 12 12:18:16 2011 +0200

    Bug 633781 — Allow to set avatar on individuals

    Make Individual.avatar writeable and write new avatars back to
    the personas
    from writeable persona stores in an individual.

    Closes: bgo#633781

 NEWS                      |    5 ++
 folks/individual.vala     |   64 +++++++++++++++++++
 tests/eds/set-avatar.vala |  154
 ++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 222 insertions(+), 1 deletions(-)

commit ac3994d108066822354916df0390b330d2d25b58
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 10:26:37 2011 +0100

    build: use AM_MAINTAINER_MODE([enable]) instead of AM_MAINTAINER_MODE

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=658894

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f5358a7a0920103f2943ea02298842d123c0f743
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 12 21:55:04 2011 +0100

    Bug 658730 — ngettext (Plural forms) needed…

    Use ngettext() instead of gettext() for a plural string.

    Closes: bgo#658730

 NEWS                     |    2 ++
 tools/import-pidgin.vala |   10 ++++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit e64e0d4e85f151d15a856b9fd5146aef933db648
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 13 08:09:27 2011 +0100

    Bug 658874 — Typo?

    Fix a typo in a translatable string in the Tracker backend.

    Closes: bgo#658874

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |   10 +++++-----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 27a630efb78d0bc55d7fe5e60ba425a307f8efef
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 12 23:31:06 2011 +0100

    Bug 658331 — Ensure read-only PersonaStores have empty
    writeable-properties

    Ensure that Edsf.PersonaStore.always-writeable-properties is empty for
    EDS address books which are read-only. Similarly, ensure that
    Edsf.Persona.writeable-properties is also empty for such address books
    (which
    follows because it passes through the value of
    always-writeable-properties).

    No other backends need modifying for this, since no others have
    a concept
    of “read only” except libsocialweb, which already has empty
    writeable-properties properties.

    Closes: bgo#658331

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |   11 ++++++++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 59c24d8c76cca004c686a177f2fb2d81da82437f
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 13 11:45:17 2011 +0100

    e-d-s: only emit notifications if properties have changed

    This is a follow-up for what was suggested in:

    https://bugzilla.gnome.org/show_bug.cgi?id=658411

    about dealing with updating properties and emitting notifications.

 backends/eds/lib/edsf-persona.vala |   84
 ++++++++++++++++++++++-------------
 1 files changed, 53 insertions(+), 31 deletions(-)

commit 1f85f89051e63b05e271b418687c242a83e2f296
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 12 23:09:10 2011 +0100

    Bug 658631 — crash at empathy startup

    In the case that a persona is removed and the individual containing
    that
    persona is replaced by a different non-null individual which doesn't
    contain
    that persona (because it's been removed), we need to set the persona's
    individual pointer to null rather than the replacement individual.

    This stops us tripping the assertion in the setter for
    Persona.individual.

    Closes: bgo#658631

 NEWS                  |    2 ++
 folks/individual.vala |   14 +++++++++++++-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 406bc1264d3f19c54ea0c929e93814d263a90cc1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 12 23:07:33 2011 +0100

    individual-aggregator: Add some more debug output

    It turns out to be really useful to see what's being emitted by
    IndividualAggregator.individuals-changed-detailed.

 folks/individual-aggregator.vala |   45
 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 44 insertions(+), 1 deletions(-)

commit 282768552795dca729a8ff2963666ba02c41c96d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Sep 12 20:26:31 2011 +0200

    Added Swedish translation

 po/LINGUAS |    1 +
 po/sv.po   |  713
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 714 insertions(+), 0 deletions(-)

commit b3062675c88482972d13d05d93bce727f6d4232c
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 11 11:15:34 2011 +0200

    Czech translation

 po/cs.po |  732
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 732 insertions(+), 0 deletions(-)

commit ec383a2a70f6ee1a40727b245fbab08b8934af5c
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 11 11:15:15 2011 +0200

    Added Czech language

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 00c12b1dab0b830c524ecc73ddb46de84816bfcc
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Sep 9 14:52:17 2011 +0200

    e-d-s: Make sure consecutive property changes work

    Don't send any notification due to property changes until we've
    done updating an entire persona, otherwise code that listens to
    such notifies will see the persona in an intermediate state, whic
    can cause problems. For instance, if such a callback tries to
    change a property it might not recieve change notification for it.

 backends/eds/lib/edsf-persona.vala |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5b99efd1c1f5db653b5e736864d6299b495ef884
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Sep 9 10:25:37 2011 +0200

    e-d-s: Make sure we clear old attributes when setting im_addresses

    The previous code called e_contact_get_attributes() which returns
    a copy of the attributes, and tried to remove it with
    e_vcard_remove_attribute () which matches on pointer values, so
    it always failed.

 backends/eds/lib/edsf-persona-store.vala |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 690b45b20430cf677d61c2160aeac9ccd39225f2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 22:26:56 2011 +0200

    Added Polish translation

 po/LINGUAS |    2 +-
 po/pl.po   |  753
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 754 insertions(+), 1 deletions(-)

commit 0a143df33838020c4584f22ffb07c1c15effd373
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 19:21:21 2011 +0100

    Post-release version bump

 NEWS         |    4 ++++
 configure.ac |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 6cd7be7e268b9f3c49ff61e47513bed51f92f485
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 18:51:29 2011 +0100

    Release version 0.6.2.1

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c7a9b899f66333e3512087f14aab22c881c801dd
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 18:19:35 2011 +0100

    IndividualAggregator: copy the list of stores before looping over it

    Because a Backend's list of PersonaStores can change while we are
    iterating it, we do a copy before starting.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=658580

 NEWS                             |    6 ++++--
 folks/individual-aggregator.vala |    7 +++++--
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 9c40ff061e7737ffef0762c054fae43a7bf0e9c0
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 10:53:15 2011 +0100

    NEWS: add new section for next release

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit a7d9075b4d9bd96cc6809129b0750275704c5ba2
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 10:53:00 2011 +0100

    Post-release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit df7e6b1b78cb6b17c6f213630618c284dc3b5eb6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 09:44:16 2011 +0100

    Release version 0.6.2

 configure.ac |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit b28b1036688ae117bfb48cc1989de3458a3a2ef7
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 8 09:21:04 2011 +0100

    Update @since tags

 backends/eds/eds-backend.vala                    |    2 +-
 backends/eds/lib/edsf-persona-store.vala         |    4 +-
 backends/eds/lib/edsf-persona.vala               |   38
 +++++++++++-----------
 backends/key-file/kf-backend.vala                |    2 +-
 backends/key-file/kf-persona-store.vala          |    4 +-
 backends/key-file/kf-persona.vala                |    6 ++--
 backends/libsocialweb/lib/swf-persona-store.vala |    4 +-
 backends/libsocialweb/sw-backend.vala            |    2 +-
 backends/telepathy/lib/tpf-persona-store.vala    |    4 +-
 backends/telepathy/lib/tpf-persona.vala          |    6 ++--
 backends/telepathy/tp-backend.vala               |    2 +-
 backends/tracker/lib/trf-persona-store.vala      |    4 +-
 backends/tracker/lib/trf-persona.vala            |   32
 +++++++++---------
 backends/tracker/tr-backend.vala                 |    2 +-
 folks/alias-details.vala                         |    2 +-
 folks/avatar-details.vala                        |    2 +-
 folks/backend.vala                               |    2 +-
 folks/birthday-details.vala                      |    4 +-
 folks/email-details.vala                         |    2 +-
 folks/favourite-details.vala                     |    2 +-
 folks/gender-details.vala                        |    2 +-
 folks/group-details.vala                         |    2 +-
 folks/im-details.vala                            |    2 +-
 folks/individual-aggregator.vala                 |   10 +++---
 folks/individual.vala                            |   10 +++---
 folks/local-id-details.vala                      |    2 +-
 folks/name-details.vala                          |    6 ++--
 folks/note-details.vala                          |    2 +-
 folks/persona-store.vala                         |    8 ++--
 folks/persona.vala                               |    8 ++--
 folks/phone-details.vala                         |    2 +-
 folks/postal-address-details.vala                |    2 +-
 folks/role-details.vala                          |    2 +-
 folks/url-details.vala                           |    2 +-
 folks/web-service-details.vala                   |    2 +-
 35 files changed, 94 insertions(+), 94 deletions(-)

commit ef1822b4a44d1c22adffd5e3f6f6a264f74a0ea5
Author: Fran Dieguez <fran@openhost.es>
Date:   Thu Sep 8 04:01:17 2011 +0200

    Updated galician translations

 po/gl.po |  124
 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 67 insertions(+), 57 deletions(-)

commit adc28e2802496ffa2f00d035b3862bc9873ec1ac
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:10:38 2011 +0100

    Updated NEWS file

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6ba0b7484b83b019480ab8c6e1537cff9c2495a9
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:04:07 2011 +0100

    tracker: update link personas test

 tests/tracker/link-personas.vala |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 53515f94ca402219d5de59f3393e749880974e32
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:03:32 2011 +0100

    tracker: update IM addresses updates test

 tests/tracker/imaddresses-updates.vala |   52
 +++++++++++++------------------
 1 files changed, 22 insertions(+), 30 deletions(-)

commit dec3da1c8db3fa39c39cd46cb328f461d8b95de4
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:02:28 2011 +0100

    tracker: update add persona tes

 tests/tracker/add-persona.vala |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 097f622cb21d2f6e1f8f706baab50141eb0fdfe6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:01:59 2011 +0100

    tracker: update set-im-addresses test

    Because IM addresses are linkable property, a new Individual
    is created when they are modified.

 tests/tracker/set-im-addresses.vala |   52
 +++++++++++++++++++---------------
 1 files changed, 29 insertions(+), 23 deletions(-)

commit d9d9a7ab754a5174fcde3ca94f9248f253d8bfed
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:01:19 2011 +0100

    e-d-s: update set-im-addresses test

    Because IM addresses are linkable property, a new Individual
    is created when they are modified.

 tests/eds/set-im-addresses.vala |   41
 ++++++++++++++++++--------------------
 1 files changed, 19 insertions(+), 22 deletions(-)

commit a2837fa5a392daa8d54d159a974cb317baf59feb
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 23:00:48 2011 +0100

    e-d-s: only emit notifications if linkable properties changed

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=658411

 NEWS                               |    2 +
 backends/eds/lib/edsf-persona.vala |   46
 +++++++++++++++++++++++++----------
 2 files changed, 35 insertions(+), 13 deletions(-)

commit 525679227287ca21270c996762864be1f4962323
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 22:59:41 2011 +0100

    e-d-s: move Set comparison method into it's own class

    This refactoring is so we can reuse the method with other
    types.

 backends/eds/lib/Makefile.am             |    1 +
 backends/eds/lib/edsf-persona-store.vala |   36
 +--------------------------
 backends/eds/lib/edsf-persona.vala       |   25 ++++++++++---------
 backends/eds/lib/edsf-util.vala          |   38
 ++++++++++++++++++++++++++++++
 4 files changed, 54 insertions(+), 46 deletions(-)

commit cd1fd7f6cdd9ba89b248eb6096d43f9d8a660af0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 22:22:52 2011 +0100

    Bug 656689 — Re-link personas on linkable properties being changed

    Listen for notifications of changes to the linkable properties
    of every
    persona in the IndividualAggregator. When we receive such a
    notification,
    relink that persona by artificially removing them from the aggregator
    and
    immediately re-adding them.

    Like many things in the IndividualAggregator, this is ugly — but
    it appears
    to work, and I can get my head around it.

    Closes: bgo#656689

 folks/individual-aggregator.vala |   45
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)

commit 7b74199aeed817fb4b08ee45e427c161fa7d9088
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 22:20:12 2011 +0100

    core: Fix individuals_changed_detailed mappings for unlinked
    individuals

    It turns out that we can do a post-processing phase on the mappings
    to be
    emitted by IndividualAggregator.individuals_changed_detailed and
    ensure that
    individuals who've been unlinked are represented by a mapping from
    themselves
    to the set of individuals replacing them, rather than a mapping from
    themselves to null, and null to the set of individuals replacing them.

    This probably isn't the most efficient way to fix the problem,
    but it works
    and I can just about understand it.

    Helps: bgo#656689, bgo#657282

 folks/individual-aggregator.vala |   27 +++++++++++++++++++++++++--
 1 files changed, 25 insertions(+), 2 deletions(-)

commit 55abd8380a639d7e475483fcd0121d7b6552d51c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 22:16:44 2011 +0100

    core: Be more thorough when removing individuals from the link map

    Since the values of personas' linkable properties could've changed
    since we
    added them to the link map, we have to be more thorough when removing
    individuals from the map. We therefore now remove them by examining
    all the
    values in the map, and removing every mapping to the individual we're
    interested in.

    Helps: bgo#656689

 folks/individual-aggregator.vala |   51
 +++++++++++++++-----------------------
 1 files changed, 20 insertions(+), 31 deletions(-)

commit fa1fb9f4ab151268fd2eee16a1afe7c2f87e5f42
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 22:10:20 2011 +0100

    core: Add more debug output and validation to the IndividualAggregator

    Everyone loves debug output, and validating that we aren't leaving
    stale
    entries in the link map which will later cause whoever's looking into
    aggregator bugs to hide in a corner and cry.

    Helps: bgo#656689

 folks/individual-aggregator.vala |   29 +++++++++++++++++++++++++++--
 1 files changed, 27 insertions(+), 2 deletions(-)

commit 6ed7d51617cc9b2aa141497d7437c8b7247cbf40
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 22:04:20 2011 +0100

    core: Clarify that Persona.linkable_properties doesn't change
    at runtime

    Helps: bgo#656689

 folks/persona.vala |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 150b7579f1069f561f2069c9efad864b9c87e2e9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 6 21:57:42 2011 +0100

    core: Ensure we always notify of new Individuals

    In the following situation, it was possible for
    IndividualAggregator.individuals_changed_detailed to not emit
    a notification
    that an individual was added:

    If two personas were added by a given store in the same emission of
    PersonaStore.personas_changed, the IA would create an Individual,
    i1, from
    the first and add a mapping (null → i1) to the change set. It
    would then
    process the second, destroying the first individual and creating a new
    Individual, i2, (correctly) containing both personas. In doing so,
    it would
    remove the mapping (null → i1) from the change set, but would
    incorrectly
    not add a mapping (null → i2) in its place.

    This situation can be extended to others where a single new
    Individual is
    formed from multiple new personas coming from a single emission of
    PersonaStore.personas_changed.

    Closes: bgo#657282 (again)

 folks/individual-aggregator.vala |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit b9f391ab8c4170772b27c81b0e1ce651ec37360d
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 15:52:27 2011 +0100

    e-d-s: kill gconfd-2 after running a test

    I thought we were properly cleaning up the GConf entries
    generated by each test run but it turns out that sometimes
    gconfd-2 exits /after/ we've supposedly nuked it's directory.
    So before cleaning up GConf's files we now kill gconfd-2
    to prevent it from sync-ing to disc afterwards.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658327

 tests/tools/with-session-bus-eds.sh |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 01595d5d8198dcc6b40606b12fc931764d4e47e3
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 7 14:23:39 2011 -0700

    Bump required Vala version.

    This avoids breaking the build due to valac --fatal-warnings for our
    internal code.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c22db00640915ee9c31290542fe23e70de6e024e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 7 14:17:53 2011 -0700

    Update for translatable strings in group-details

 po/POTFILES.in   |    1 +
 po/POTFILES.skip |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 913528c050823bf079c5e5eceb21b0895cf96012
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Sep 7 11:37:12 2011 -0700

    Fix birthday calculation in eds tests.

    It's not nice to discriminate against people born outside of UTC.

 tests/eds/add-persona.vala  |    2 +-
 tests/eds/set-birthday.vala |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7729cea0f4e9db17ea0de77c067430894c0a485b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 7 15:36:23 2011 +0200

    Updated Slovenian translation

 po/sl.po |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit 00ef2222f0f93aa6999e549834243f9430ba5a97
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 7 13:47:10 2011 +0100

    Added British English translation

 po/LINGUAS  |    1 +
 po/en_GB.po |  729
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 730 insertions(+), 0 deletions(-)

commit 3032f1873a6a28ecf8d459d7e3502813d8d38a3c
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 12:42:31 2011 +0100

    e-d-s: remove invalid assertion in set-roles test case

 tests/eds/set-roles.vala |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 3959555f24f7696bcda9af7e265682997c1076d0
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 12:41:09 2011 +0100

    e-d-s: free resources properly between tests cases on link-persona
    test unit

 tests/eds/link-personas.vala |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit c4e1477efca0d19ab9a97949063542391eca8d81
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 12:32:08 2011 +0100

    e-d-s: eliminate another case of possible WebServiceFieldDetails
    with null value

 backends/eds/lib/edsf-persona.vala |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 9d28ee42ff7809698ae0ed35b74c2ae08882b404
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 11:55:08 2011 +0100

    e-d-s: don't instantiate WebServiceFieldDetails with null values

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=658327

 tests/eds/link-personas.vala |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 220f8658610ed29c4187ea8e7869a05bedb1b062
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Sep 7 11:23:34 2011 +0100

    libsocialweb: update bug link in lsw for quiescence support

 backends/libsocialweb/lib/swf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 00a31f63bcc266a53b2e5c6fa1df79cab4f8a664
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 3 18:36:24 2011 +0100

    Bug 657783 — Prefer data from primary store when picking Individual
    values

    Use a consistent high-level order over personas in an individual
    to choose
    which one to use for the value of single-valued properties such
    as alias,
    avatar and gender.

    Closes: bgo#657783

 NEWS                  |    1 +
 folks/individual.vala |  573
 +++++++++++++++++++++++++++++--------------------
 2 files changed, 336 insertions(+), 238 deletions(-)

commit 23027313a91d8ee86d43d445402628378a020739
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 3 18:35:24 2011 +0100

    core: Clarify nullability of a few properties

    AliasDetails.alias, NameDetails.nickname and NameDetails.full_name
    must never
    be set to null. The empty string represents an unset value for these
    properties.

 backends/eds/lib/edsf-persona-store.vala      |   19 +++++++++++++++++--
 backends/eds/lib/edsf-persona.vala            |   14 +++++++++++++-
 backends/key-file/kf-persona.vala             |   14 +++++++++++++-
 backends/libsocialweb/lib/swf-persona.vala    |   14 +++++++++++++-
 backends/telepathy/lib/tpf-persona-store.vala |    6 ++++++
 backends/telepathy/lib/tpf-persona.vala       |   11 ++++++++++-
 backends/tracker/lib/trf-persona.vala         |   21
 ++++++++++++++++++---
 folks/alias-details.vala                      |    2 ++
 folks/name-details.vala                       |    6 ++++++
 9 files changed, 98 insertions(+), 9 deletions(-)

commit 9daadb602785e3aba2584fee922ed88150ee1c34
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 6 22:44:04 2011 +0200

    Updated Slovenian translation

 po/sl.po |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 1d89ac066b90e54ccbefd618960f5c50a7217ce0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 6 22:42:33 2011 +0200

    Added sl for Slovenian translation

 po/LINGUAS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a7cef2750ef2fd4502a2463ea7c6ff8a7ccd243d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 6 22:42:19 2011 +0200

    Added Slovenian translation

 po/sl.po |  708
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 708 insertions(+), 0 deletions(-)

commit 9d82eca34fa964b1edc7b2eb94a6f6dfe73630a6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 4 18:14:04 2011 +0100

    aggregator: Fix a typo in emit_individuals_changed()

 folks/individual-aggregator.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a794bec77dbeadc0f9d7f3d5b6c6634ada26fd8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 4 17:49:26 2011 +0100

    aggregator: Remove a useless duplicated set

    This appears to be lingering from the dark days when we used
    GLib.List<Persona>.

 folks/individual-aggregator.vala |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 43963c6c4df92013e706cde6ece73dd891ca42b0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 4 15:03:15 2011 +0100

    aggregator: Factor out code to add personas to the link map

    This doesn't change behaviour at all (apart from debug messages),
    but should
    make the code a bit more maintainable.

 folks/individual-aggregator.vala |   95
 +++++++++++++++++++------------------
 1 files changed, 49 insertions(+), 46 deletions(-)

commit eff9dfdbd8f82167764a2064d0c4731c2cb678b7
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Sep 6 13:05:45 2011 +0100

    Workaround for Tpf.PersonaStores with no stored channels support

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=656184

 backends/telepathy/lib/tpf-persona-store.vala |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 21115d35329c10b5136880117edaf66d5c698a9a
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sun Sep 4 15:21:44 2011 +0100

    e-d-s: add test case for settings roles

 tests/eds/Makefile.am    |    6 ++
 tests/eds/set-roles.vala |  161
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 167 insertions(+), 0 deletions(-)

commit c0969ff08c7f67ea0118e24e7b9d5c70175e13e9
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 20:30:12 2011 +0100

    e-d-s: extend add persona test to handle Roles

 tests/eds/add-persona.vala |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit 6d5040f72929231894e02632827ba9135552ef5b
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 18:28:09 2011 +0100

    e-d-s: implement support for RoleDetails

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657969

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |  135
 +++++++++++++++++++++++++++
 backends/eds/lib/edsf-persona.vala       |  146
 ++++++++++++++++++++++++++++++
 3 files changed, 282 insertions(+), 0 deletions(-)

commit 50a9aebbf9694e04030c4528ce93751396728b4f
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Sep 5 23:33:08 2011 +0100

    build: tests don't use <folks/*.h> so add path to folks/

 tests/eds/Makefile.am          |    1 +
 tests/lib/eds/Makefile.am      |    2 ++
 tests/lib/tracker/Makefile.am  |    1 +
 tests/libsocialweb/Makefile.am |    1 +
 tests/telepathy/Makefile.am    |    1 +
 tests/tracker/Makefile.am      |    1 +
 6 files changed, 7 insertions(+), 0 deletions(-)

commit 81d9e2ca8c24d589c463d6ea7c637315122d3292
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Sep 5 22:25:56 2011 +0100

    libsocialweb: make PersonaStores immediately quiescent

    Because we don't know if a libsocialweb service has 0
    contacts or is not well configured or is not authenticated, etc.;
    we might end up forever for contacts to arrive and never
    achieve quiescence. Until libsocialweb provides us with more
    information about the status of service (is it configured and
    authenticated? How many contacts should we receive? etc.) we
    immediately declare it quiescent after preparing it.

 backends/libsocialweb/lib/swf-persona-store.vala |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 0ee29949100e6211775bd98527740e535db97bbf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 5 19:53:45 2011 +0100

    telepathy: Potentially fix is-quiescent

    See: bgo#656184

 backends/telepathy/lib/tpf-persona-store.vala |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit 79ce988289f76016c8c61e158ef0d2c8525b4731
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 5 21:27:27 2011 +0100

    eds: Immediately make non-browseable Edsf.PersonaStores reach
    quiescence

    For example, some LDAP servers may not be browseable (i.e. they're
    search
    only), so should reach quiescence immediately. This prevents the
    IndividualAggregator waiting for ever for them to become quiescent.

    Helps: bgo#656184

 backends/eds/lib/edsf-persona-store.vala |   36
 ++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 13c39840214c5f775c33b9aba151239cff793f36
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Sep 5 21:06:19 2011 +0200

    [l10n] Updated German translation

 po/de.po |  514
 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 355 insertions(+), 159 deletions(-)

commit d7e1a077163e5b1f216bf55405280b0c577b460c
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 5 13:45:53 2011 +0200

    Updated Spanish translation

 po/es.po |   51 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 28 insertions(+), 23 deletions(-)

commit 8a8fd46977395221c11a5bb42bdd538c54236ebf
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Sep 5 00:17:10 2011 +0200

    Updated galician translations

 po/LINGUAS |    4 +-
 po/gl.po   |  738
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 741 insertions(+), 1 deletions(-)

commit 8a4d6afc237e9ea1a3b845bd32ed41b48795c58b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 29 21:59:02 2011 +0100

    tests: Port the remaining tests to use individuals_changed_detailed

    Helps: bgo#657282

 tests/eds/add-contacts-stress-test.vala            |   22 +++++++----
 tests/eds/add-persona.vala                         |   20 ++++++----
 tests/eds/avatar-details.vala                      |   21 ++++++----
 tests/eds/email-details.vala                       |   22 +++++++----
 tests/eds/im-details.vala                          |   22 +++++++----
 tests/eds/individual-retrieval.vala                |   22 +++++++----
 tests/eds/link-personas.vala                       |   27 ++++++++----
 tests/eds/name-details.vala                        |   22 +++++++----
 tests/eds/phone-details.vala                       |   22 +++++++----
 tests/eds/postal-address-details.vala              |   22 +++++++----
 tests/eds/remove-persona.vala                      |   23 +++++++---
 tests/eds/removing-contacts.vala                   |   23 +++++++---
 tests/eds/set-avatar.vala                          |   22 +++++++----
 tests/eds/set-birthday.vala                        |   22 +++++++----
 tests/eds/set-emails.vala                          |   22 +++++++----
 tests/eds/set-gender.vala                          |   22 +++++++----
 tests/eds/set-im-addresses.vala                    |   22 +++++++----
 tests/eds/set-names.vala                           |   24 +++++++----
 tests/eds/set-notes.vala                           |   22 +++++++----
 tests/eds/set-phones.vala                          |   22 +++++++----
 tests/eds/set-postal-addresses.vala                |   22 +++++++----
 tests/eds/set-properties-race.vala                 |   22 +++++++----
 tests/eds/set-structured-name.vala                 |   22 +++++++----
 tests/eds/set-urls.vala                            |   22 +++++++----
 tests/eds/updating-contacts.vala                   |   22 +++++++----
 tests/key-file/individual-retrieval.vala           |   25 ++++++++++--
 tests/libsocialweb/aggregation.vala                |   33 +++++++++++++--
 tests/libsocialweb/dummy-lsw.vala                  |   32 ++++++++++++---
 tests/telepathy/individual-properties.vala         |   42
 +++++++++++++++++---
 tests/telepathy/individual-retrieval.vala          |   31 ++++++++++++--
 tests/tracker/add-contact.vala                     |   22 +++++++----
 tests/tracker/add-persona.vala                     |   22 +++++++----
 tests/tracker/additional-names-updates.vala        |   22 +++++++----
 tests/tracker/avatar-details-interface.vala        |   22 +++++++---
 tests/tracker/avatar-updates.vala                  |   22 +++++++----
 tests/tracker/birthday-details-interface.vala      |   23 +++++++----
 tests/tracker/birthday-updates.vala                |   23 +++++++----
 tests/tracker/default-contact.vala                 |   22 +++++++----
 tests/tracker/duplicated-emails.vala               |   22 +++++++----
 tests/tracker/duplicated-phones.vala               |   22 +++++++----
 tests/tracker/email-details-interface.vala         |   24 +++++++----
 tests/tracker/emails-updates.vala                  |   22 +++++++----
 tests/tracker/family-name-updates.vala             |   22 +++++++----
 tests/tracker/favourite-details-interface.vala     |   24 +++++++----
 tests/tracker/favourite-updates.vala               |   22 +++++++----
 tests/tracker/fullname-updates.vala                |   22 +++++++----
 tests/tracker/gender-details-interface.vala        |   23 +++++++----
 tests/tracker/given-name-updates.vala              |   22 +++++++----
 tests/tracker/im-details-interface.vala            |   24 +++++++----
 tests/tracker/imaddresses-updates.vala             |   22 +++++++----
 tests/tracker/individual-retrieval.vala            |   22 +++++++----
 tests/tracker/link-personas-via-local-ids.vala     |   29 +++++++++----
 tests/tracker/link-personas.vala                   |   29 +++++++++----
 tests/tracker/match-all.vala                       |   22 +++++++----
 tests/tracker/match-email-addresses.vala           |   22 +++++++----
 tests/tracker/match-im-addresses.vala              |   22 +++++++----
 tests/tracker/match-known-emails.vala              |   22 +++++++----
 tests/tracker/match-name.vala                      |   22 +++++++----
 tests/tracker/match-phone-number.vala              |   22 +++++++----
 tests/tracker/name-details-interface.vala          |   24 +++++++----
 tests/tracker/nickname-updates.vala                |   22 +++++++----
 tests/tracker/note-details-interface.vala          |   22 +++++++----
 tests/tracker/phone-details-interface.vala         |   24 +++++++----
 tests/tracker/phones-updates.vala                  |   23 +++++++----
 .../tracker/postal-address-details-interface.vala  |   22 +++++++----
 tests/tracker/prefix-name-updates.vala             |   23 +++++++----
 tests/tracker/remove-contact.vala                  |   25 ++++++++----
 tests/tracker/remove-persona.vala                  |   23 +++++++---
 tests/tracker/role-details-interface.vala          |   22 +++++++----
 tests/tracker/set-avatar.vala                      |   22 +++++++----
 tests/tracker/set-birthday.vala                    |   22 +++++++----
 tests/tracker/set-duplicate-email.vala             |   23 +++++++----
 tests/tracker/set-emails.vala                      |   22 +++++++----
 tests/tracker/set-favourite.vala                   |   22 +++++++----
 tests/tracker/set-full-name.vala                   |   22 +++++++----
 tests/tracker/set-gender.vala                      |   22 +++++++----
 tests/tracker/set-im-addresses.vala                |   22 +++++++----
 tests/tracker/set-nickname.vala                    |   22 +++++++----
 tests/tracker/set-notes.vala                       |   22 +++++++----
 tests/tracker/set-null-avatar.vala                 |   22 +++++++----
 tests/tracker/set-phones.vala                      |   22 +++++++----
 tests/tracker/set-postal-addresses.vala            |   22 +++++++----
 tests/tracker/set-roles.vala                       |   22 +++++++----
 tests/tracker/set-structured-name.vala             |   22 +++++++----
 tests/tracker/set-urls.vala                        |   22 +++++++----
 tests/tracker/suffix-name-updates.vala             |   22 +++++++----
 tests/tracker/url-details-interface.vala           |   24 +++++++----
 tests/tracker/website-updates.vala                 |   22 +++++++----
 88 files changed, 1336 insertions(+), 695 deletions(-)

commit 87b3c40a28fe8312f2f34630ebbb5f3981bb3a34
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 29 16:32:27 2011 +0100

    tests: Expand the aggregation test to check both individuals_changed
    signals

    Helps: bgo#657282

 tests/folks/Makefile.am      |    3 +
 tests/folks/aggregation.vala |  543
 ++++++++++++++++++++++++++++--------------
 2 files changed, 370 insertions(+), 176 deletions(-)

commit 0dd7dc1aaa2e3b647f9e62d4a4960df60fd97220
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 24 22:38:16 2011 +0100

    Bug 657282 — Add an
    IndividualAggregator.individuals_changed_detailed signal

    This supersedes IndividualAggregator.individuals_changed, providing
    more
    information about the relationships between the added and removed
    individuals.

    Closes: bgo#657282

 NEWS                             |    3 +
 folks/individual-aggregator.vala |  222
 ++++++++++++++++++++++++++------------
 2 files changed, 156 insertions(+), 69 deletions(-)

commit f8fe0fb3ff4af3a727d46946a96d6d890ae93667
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 4 12:58:36 2011 +0100

    Bug 657789 — Don't claim uneditable eds fields as writable

    Support setting the writeable-properties property of Edsf.Persona
    and the
    always-writeable-properties property of Edsf.PersonaStore from the
    set of
    supported fields exported by the address book.

    Closes: bgo#657789

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |  220
 ++++++++++++++++++++++++++----
 backends/eds/lib/edsf-persona.vala       |   20 +---
 3 files changed, 199 insertions(+), 42 deletions(-)

commit 3f71f115ee6afc747a47a4576e921e35713180ba
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Sep 4 12:56:36 2011 +0100

    core: Add GROUPS and INVALID to PersonaDetail

    One is obviously necessary. The other is necessary for use as an
    error return
    from a function in the fix for bgo#657789.

    This also adds some bounds checking to PersonaStore.detail_key(),
    which can
    now return null if the PersonaDetail wasn't recognised.

    Helps: bgo#657789

 NEWS                     |    1 +
 folks/persona-store.vala |   30 ++++++++++++++++++++++++++----
 2 files changed, 27 insertions(+), 4 deletions(-)

commit 05eb522436c4f10f10f604a18e7f41454a78e3d6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sun Sep 4 13:41:19 2011 +0100

    e-d-s: simplify property checking in add-persona test

 tests/eds/add-persona.vala |   14 +++++---------
 1 files changed, 5 insertions(+), 9 deletions(-)

commit 7ed4677e0c78e31e4bf6f8357ff70db6af4c6690
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 4 12:02:48 2011 +0200

    Updated Spanish translation

 po/es.po |   54 +++++++++++++++++++++++++++++-------------------------
 1 files changed, 29 insertions(+), 25 deletions(-)

commit 86d3828477d7687f251d54fb382a62c4176d7411
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 4 11:28:10 2011 +0200

    Added Spanish translation to LINGUAS

 po/LINGUAS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b09a9184578ee44be82f4755eb5b651b485fee7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 4 11:27:29 2011 +0200

    Updated Spanish translation

 po/es.po |  712
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 712 insertions(+), 0 deletions(-)

commit 5d6fe6a62375912f63d3ecc7c8cda33ebe68164a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 4 11:10:10 2011 +0200

    Fixed typo in string («paramter»)

 backends/tracker/lib/trf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3b5dafb4d4d83ea65eab6800845b9bdd84d9995c
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 18:29:42 2011 +0100

    e-d-s: add birthday to list of writeable properties

 backends/eds/lib/edsf-persona.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8812d1a5bac69dcd6624e4239bb192151172d44a
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 15:37:53 2011 +0100

    Update NEWS file

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 45eb4c58a231aedcea1dd28cd305254bbdcc7233
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 13:58:31 2011 +0100

    e-d-s: add test for setting birthday on an e-d-s Persona

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=657971

 tests/eds/Makefile.am       |    6 ++
 tests/eds/set-birthday.vala |  153
 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 159 insertions(+), 0 deletions(-)

commit 53b36cddfe3b6e7b73b344c464f2a99449d9eb97
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 13:49:58 2011 +0100

    e-d-s: extend add-persona test to include the BirthdayDetails
    interface

 tests/eds/add-persona.vala |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit f7bbe3723cde7ba6a7ac91735a082366c9f52e70
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 13:37:50 2011 +0100

    e-d-s: implement BirthdayDetails

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657971

 backends/eds/lib/edsf-persona-store.vala |   39 ++++++++++++++++
 backends/eds/lib/edsf-persona.vala       |   70
 ++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+), 0 deletions(-)

commit 0aa6c4815ffa6171f939b6fb419bd0ba184bbbca
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sat Sep 3 15:13:22 2011 +0100

    Documentation: state the birthday's DateTime objects are UTC

 folks/birthday-details.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 77ee30d3c8df1fab219ca7e0d1d08f6c263184c8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 2 21:15:35 2011 +0100

    Bug 656184 — Add is-quiescent property

    This allows clients to determine when the IndividualAggregator
    has reached
    a quiescent state — it's received and linked all of the personas
    it should
    do at startup, and from that point onwards will only relink
    personas in
    response to (for example), persona stores dynamically being added
    and removed
    at runtime.

    Closes: bgo#656184

 NEWS                                             |    3 +
 backends/eds/eds-backend.vala                    |   19 ++++
 backends/eds/lib/edsf-persona-store.vala         |   21 +++++
 backends/key-file/kf-backend.vala                |   19 ++++
 backends/key-file/kf-persona-store.vala          |   17 ++++
 backends/libsocialweb/lib/swf-persona-store.vala |   23 +++++
 backends/libsocialweb/sw-backend.vala            |   19 ++++
 backends/telepathy/lib/tpf-persona-store.vala    |   64 +++++++++++++-
 backends/telepathy/tp-backend.vala               |   19 ++++
 backends/tracker/lib/trf-persona-store.vala      |   18 ++++
 backends/tracker/tr-backend.vala                 |   20 ++++
 folks/backend-store.vala                         |    4 +-
 folks/backend.vala                               |   15 +++
 folks/individual-aggregator.vala                 |  101
 +++++++++++++++++++++-
 folks/persona-store.vala                         |   13 +++
 15 files changed, 371 insertions(+), 4 deletions(-)

commit 823a6ae6b8bb63dbd50e5fae56793a20b1ee2d34
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 2 21:15:08 2011 +0100

    eds/tracker: Ensure the PersonaStores are removed on error

 backends/eds/lib/edsf-persona-store.vala    |   12 ++++++++++++
 backends/tracker/lib/trf-persona-store.vala |    3 +++
 2 files changed, 15 insertions(+), 0 deletions(-)

commit 17dcda00c5a993989bde31d0beca5338d5937c0f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 2 19:27:33 2011 +0100

    key-file: Yield when setting properties on new personas

    This fixes the libsocialweb aggregation test.

    Helps: bgo#657510

 backends/key-file/kf-persona-store.vala |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit bc0141fb8317caa614e930cfecbb4cf437797bc2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 31 22:21:15 2011 +0100

    eds: Ensure that property changes are signalled before .change_*()
    returns

    We can't rely on E.BookClientView.objects_modified being emitted
    before
    E.BookClient.modify_contact() returns. In order to guarantee that the
    relevant properties will be notified before Edsf.Persona.change_*()
    returns,
    we therefore move all calls to modify_contact() into a new
    Edsf.PersonaStore._commit_modified_property() method, and block
    returning
    from that on receipt of a property change notification from e-d-s.

    However, we also add a timeout to _commit_modified_property()
    (defaulting to
    30 seconds), so that if we don't receive a property change
    notification in
    that time period, we error out from the .change_*() method.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |  259
 +++++++++++++-----------------
 1 files changed, 110 insertions(+), 149 deletions(-)

commit 6166dda19b16af130b61f61f3ae3b2a92a49cba7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 23:24:58 2011 +0100

    core: Add GroupDetails.change_groups()

    This allows the groups of an implementing class to all be changed
    simultaneously, asynchronously and with proper error notification.

    Closes: bgo#657510

 NEWS                                     |    2 +
 backends/eds/lib/edsf-persona-store.vala |    6 ++--
 backends/eds/lib/edsf-persona.vala       |   17 +++++++---
 backends/telepathy/lib/tpf-persona.vala  |   46
 +++++++++++++++------------
 folks/group-details.vala                 |   20 ++++++++++++
 folks/individual.vala                    |   51
 +++++++++++++++++++++++++++---
 6 files changed, 109 insertions(+), 33 deletions(-)

commit 6dd4365dbbc2fd317f1fb6287d9a1b1d6d765e77
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 20:34:32 2011 +0100

    core: Add WebServiceDetails.change_web_service_addresses()

    This allows the web service addresses of an implementing class to
    be changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |    4 +-
 backends/eds/lib/edsf-persona.vala         |   19 +++++--
 backends/key-file/kf-persona.vala          |   83
 +++++++++++++++------------
 backends/libsocialweb/lib/swf-persona.vala |    6 +-
 backends/tracker/lib/trf-persona.vala      |   19 +++++-
 folks/individual.vala                      |    4 +-
 folks/web-service-details.vala             |   23 ++++++++
 po/POTFILES.in                             |    1 +
 po/POTFILES.skip                           |    1 +
 9 files changed, 110 insertions(+), 50 deletions(-)

commit a8f586f2cba4e46c0aba4190c8d0bb3c7575070e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 20:20:23 2011 +0100

    core: Add UrlDetails.change_urls()

    This allows the URLs of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |    6 +++---
 backends/eds/lib/edsf-persona.vala         |   15 +++++++++++----
 backends/libsocialweb/lib/swf-persona.vala |   19 ++++++++-----------
 backends/tracker/lib/trf-persona.vala      |   18 ++++++++++++++----
 folks/individual.vala                      |    8 ++------
 folks/url-details.vala                     |   22 ++++++++++++++++++++++
 po/POTFILES.in                             |    1 +
 po/POTFILES.skip                           |    1 +
 8 files changed, 62 insertions(+), 28 deletions(-)

commit 418a2f2338d131769f80b3d264b3b015c785114e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 20:11:53 2011 +0100

    core: Add RoleDetails.change_roles()

    This allows the roles of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/tracker/lib/trf-persona.vala |   19 +++++++++++++++----
 folks/individual.vala                 |    9 ++-------
 folks/role-details.vala               |   22 ++++++++++++++++++++++
 3 files changed, 39 insertions(+), 11 deletions(-)

commit aa87b4cb56a9466d69c1ed87439cc860e6181379
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 20:03:00 2011 +0100

    core: Add PostalAddressDetails.change_postal_addresses()

    This allows the postal addresses of an implementing class to be
    changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |    7 +++----
 backends/eds/lib/edsf-persona.vala       |   17 +++++++++++++----
 backends/tracker/lib/trf-persona.vala    |   20 ++++++++++++++++----
 folks/individual.vala                    |    8 ++------
 folks/postal-address-details.vala        |   22 ++++++++++++++++++++++
 5 files changed, 56 insertions(+), 18 deletions(-)

commit 22866a6481fdd49d4aa8731da302d6cf6c8e4d17
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 19:55:32 2011 +0100

    core: Add PhoneDetails.change_phone_numbers()

    This allows the phone numbers of an implementing class to be changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |    6 +++---
 backends/eds/lib/edsf-persona.vala       |   16 ++++++++++++----
 backends/tracker/lib/trf-persona.vala    |   19 +++++++++++++++----
 folks/individual.vala                    |    8 ++------
 folks/phone-details.vala                 |   22 ++++++++++++++++++++++
 po/POTFILES.in                           |    1 +
 po/POTFILES.skip                         |    1 +
 7 files changed, 56 insertions(+), 17 deletions(-)

commit e0a2bd2e7abddf6e47d78809ba45caab62099de9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 30 19:47:26 2011 +0100

    core: Add NoteDetails.change_notes()

    This allows the notes of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |    6 +++---
 backends/eds/lib/edsf-persona.vala       |   16 ++++++++++++----
 backends/tracker/lib/trf-persona.vala    |   17 +++++++++++++----
 folks/individual.vala                    |    9 ++-------
 folks/note-details.vala                  |   22 ++++++++++++++++++++++
 po/POTFILES.in                           |    1 +
 po/POTFILES.skip                         |    1 +
 7 files changed, 54 insertions(+), 18 deletions(-)

commit 0eb80decfd43b5488c3ad7f97dd13bfb540a67d0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 22:06:57 2011 +0100

    core: Add NameDetails.change_*() methods

    This allows the names of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |   17 ++--
 backends/eds/lib/edsf-persona.vala         |   50 +++++++++----
 backends/libsocialweb/lib/swf-persona.vala |   41 ++++++++--
 backends/tracker/lib/trf-persona.vala      |   55 ++++++++++----
 folks/individual.vala                      |  110
 +++++++++++++++++++---------
 folks/name-details.vala                    |   62 ++++++++++++++++
 po/POTFILES.in                             |    1 +
 po/POTFILES.skip                           |    1 +
 8 files changed, 255 insertions(+), 82 deletions(-)

commit e80b364c31817f4b2d3e3876ec5112d64ef90c80
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 21:41:02 2011 +0100

    core: Make NameDetails.structured_name nullable

    It effectively was before; now it's official.

 backends/eds/lib/edsf-persona.vala          |    4 +-
 backends/libsocialweb/lib/swf-persona.vala  |    2 +-
 backends/tracker/lib/trf-persona-store.vala |   18 +++++---
 backends/tracker/lib/trf-persona.vala       |   61
 +++++++++++++++++++++++----
 folks/individual.vala                       |    2 +-
 folks/name-details.vala                     |    2 +-
 6 files changed, 70 insertions(+), 19 deletions(-)

commit 825694c474ae97ef05434a812c5830364270c08f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 21:26:24 2011 +0100

    core: Add LocalIdDetails.change_local_ids()

    This allows the local IDs of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |    4 ++--
 backends/eds/lib/edsf-persona.vala       |   16 ++++++++++++----
 backends/tracker/lib/trf-persona.vala    |   22 ++++++++++++++++------
 folks/individual.vala                    |    9 ++-------
 folks/local-id-details.vala              |   22 ++++++++++++++++++++++
 po/POTFILES.in                           |    1 +
 po/POTFILES.skip                         |    1 +
 7 files changed, 56 insertions(+), 19 deletions(-)

commit 6130e1038959b358d00f62a57c36ab4093374136
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 21:19:55 2011 +0100

    eds: Fix a typo in a doc comment

 backends/eds/lib/edsf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 55b9950994703e9f91dc6e03e961ac3c99bded28
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 21:12:45 2011 +0100

    core: Add GenderDetails.change_gender()

    This allows the gender of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |    4 ++--
 backends/eds/lib/edsf-persona.vala         |   15 +++++++++++----
 backends/libsocialweb/lib/swf-persona.vala |   16 +++++++++++++---
 backends/tracker/lib/trf-persona.vala      |   16 ++++++++++++----
 folks/gender-details.vala                  |   21 +++++++++++++++++++++
 folks/individual.vala                      |   14 +++++++-------
 po/POTFILES.in                             |    1 +
 po/POTFILES.skip                           |    1 +
 8 files changed, 68 insertions(+), 20 deletions(-)

commit 073dc310a0294bf5c26f2e31ebf4073a543db0f6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 20:19:09 2011 +0100

    core: Add FavouriteDetails.change_is_favourite()

    This allows the favouriteness of an implementing class to be changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/telepathy/lib/tpf-persona-store.vala |    8 ++--
 backends/telepathy/lib/tpf-persona.vala       |   26 ++++++++--
 backends/tracker/lib/trf-persona.vala         |   41 ++++++++++------
 folks/favourite-details.vala                  |   21 ++++++++
 folks/individual.vala                         |   65
 ++++++++++++++++++++-----
 po/POTFILES.in                                |    1 +
 po/POTFILES.skip                              |    1 +
 7 files changed, 125 insertions(+), 38 deletions(-)

commit b5d1fdefc24dc5d7c5b94f1332cdb4e7dce80ade
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 19:58:21 2011 +0100

    core: Add EmailDetails.change_email_addresses()

    This allows the e-mail addresses of an implementing class to be
    changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |    7 +++----
 backends/eds/lib/edsf-persona.vala       |   17 +++++++++++++----
 backends/tracker/lib/trf-persona.vala    |   19 +++++++++++++++----
 folks/email-details.vala                 |   22 ++++++++++++++++++++++
 folks/individual.vala                    |    8 ++------
 po/POTFILES.in                           |    1 +
 po/POTFILES.skip                         |    1 +
 7 files changed, 57 insertions(+), 18 deletions(-)

commit a5517e657d92d95e295714bb2be97a93261a9d1a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 19:46:58 2011 +0100

    core: Add BirthdayDetails.change_birthday() and
    .change_calendar_event_id()

    These allows the birthday (and its calendar event) of an implementing
    class
    to be changed asynchronously with proper error notification.

    Helps: bgo#657510

 backends/tracker/lib/trf-persona.vala |   19 +++++++++---
 folks/birthday-details.vala           |   42 ++++++++++++++++++++++++++++
 folks/individual.vala                 |   48
 ++++++++++++++++++++++++++------
 po/POTFILES.in                        |    1 +
 po/POTFILES.skip                      |    1 +
 5 files changed, 97 insertions(+), 14 deletions(-)

commit 847acb0b13f12afc68745b28bf9fbb5f323cc9c9
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 19:39:22 2011 +0100

    core: Make BirthdayDetails.birthday nullable

    It effectively was before; now it's official.

 backends/tracker/lib/trf-persona.vala |    4 ++--
 folks/birthday-details.vala           |    7 ++++---
 folks/individual.vala                 |    2 +-
 3 files changed, 7 insertions(+), 6 deletions(-)

commit a1db7b08184ee325bd5e8b22d6c361b784a3a2f2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 28 19:33:18 2011 +0100

    core: Add AvatarDetails.change_avatar()

    This allows the avatar of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |   29
 +++++++++++++++++++++------
 backends/eds/lib/edsf-persona.vala         |   19 ++++++++++++-----
 backends/libsocialweb/lib/swf-persona.vala |   19 ++++++++++++++---
 backends/telepathy/lib/tpf-persona.vala    |   18 +++++++++++++---
 backends/tracker/lib/trf-persona.vala      |   16 +++++++++++---
 folks/avatar-details.vala                  |   22 +++++++++++++++++++++
 folks/individual.vala                      |   16 ++++++++++++--
 po/POTFILES.in                             |    1 +
 po/POTFILES.skip                           |    1 +
 9 files changed, 113 insertions(+), 28 deletions(-)

commit e390bdd7b7a2b57260f94e0c0559d3a6f340d14c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 27 17:11:00 2011 +0100

    core: Add ImDetails.change_im_addresses()

    This allows the IM addresses of an implementing class to be changed
    asynchronously with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala   |    6 +-
 backends/eds/lib/edsf-persona.vala         |   16 +++-
 backends/key-file/kf-persona.vala          |  111
 +++++++++++++++-------------
 backends/libsocialweb/lib/swf-persona.vala |    3 +-
 backends/telepathy/lib/tpf-persona.vala    |    3 +-
 backends/tracker/lib/trf-persona.vala      |   19 ++++-
 folks/im-details.vala                      |   21 +++++
 folks/individual.vala                      |    3 +-
 8 files changed, 117 insertions(+), 65 deletions(-)

commit ef3d3b73d80f7510f8817383a061f544b3ac0367
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 27 15:58:30 2011 +0100

    core: Add AliasDetails.change_alias()

    This allows the alias of an implementing class to be changed
    asynchronously
    with proper error notification.

    Helps: bgo#657510

 backends/eds/lib/edsf-persona-store.vala |   72
 ++++++++++++++++++++++++++++++
 backends/key-file/kf-persona.vala        |   26 +++++++---
 backends/telepathy/lib/tpf-persona.vala  |   25 ++++++++---
 folks/alias-details.vala                 |   21 +++++++++
 folks/individual.vala                    |   68
 ++++++++++++++++++----------
 po/POTFILES.in                           |    1 +
 po/POTFILES.skip                         |    1 +
 7 files changed, 176 insertions(+), 38 deletions(-)

commit be2f014028b93c286886f3367b84ebf4a562ace8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 27 16:25:37 2011 +0100

    core: Add Folks.PropertyError

    Helps: bgo#657510

 NEWS               |    1 +
 folks/persona.vala |   31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 0 deletions(-)

commit a5faebb1d5a220c35222768524a3a71dab3c7d09
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Sep 2 11:19:59 2011 +0100

    e-d-s: make sure we also remove GConf's configs before running tests

    Commit e0b99581 tries to remove GConf's config *after* a test
    execution. But if the test fails, clean up might not happen. So
    this commit adds try to remove configs *before* we start.

 tests/tools/with-session-bus-eds.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1f5d9e4ad0fb233de3b468fd1b4098f8c65f4fd6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Sep 2 10:55:24 2011 +0100

    IndividualAggregator: check for the writeable store was wrong

    We were checking for matching type_id to see if a PersonaStore
    was the configured writeable store, instead we should do a
    pointer comparison.

 folks/individual-aggregator.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fb6058167ca6eb110336c4345eef537822029b00
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Sep 2 00:18:57 2011 +0100

    build: previous commit doesn't cover the tracker disabled case

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e4c941605f6ce0d2708da468e89abacf2b01a629
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 23:16:27 2011 +0100

    tracker: conditional compilation of GLib.SpawnError exception handling

    Starting Tracker 0.10.6, the GLib.SpawnError is exception is thrown
    when calling Tracker.Sparql.Connection.get (). So we need to test
    for the installed version and catch or not the exception, accordingly.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657650

 configure.ac                   |   11 ++++++++++-
 tests/lib/tracker/Makefile.am  |    5 +++++
 tests/lib/tracker/backend.vala |    2 ++
 3 files changed, 17 insertions(+), 1 deletions(-)

commit 06b2ec0174113024eaeac4e1dbedc57073f759e1
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 16:40:11 2011 +0100

    e-d-s: more coding style cleanup in the persona store test

 tests/eds/persona-store-tests.vala |   38
 ++++++++++++++++++------------------
 1 files changed, 19 insertions(+), 19 deletions(-)

commit fbdc16d50121c6fbc93c251938d20723d489ad91
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 16:35:37 2011 +0100

    e-d-s: remove unused variable from persona store test

 tests/eds/persona-store-tests.vala |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 2678ff5e563d19ab059346ee5a3d51b8eeeb92fa
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Sep 1 16:29:02 2011 +0100

    e-d-s: make the persona stores test follow our coding style

 tests/eds/persona-store-tests.vala |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 58bc8efd338248eb2a954c5409381ca8ea6860a4
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 22:48:56 2011 +0100

    interface: throw some light on LocalIdDetail's cryptic comments

 folks/local-id-details.vala |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit a1a8c976ac18ad18474a684e4a48b953289ed518
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 22:24:18 2011 +0100

    tracker: update linking test to use iid instead of uid

 tests/tracker/link-personas-via-local-ids.vala |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit e32d9bac78db8a84a0ce3bb83e43e26ea3eb68d3
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 23:03:10 2011 +0100

    tracker: use iid instead of uid when linking via local ids

 backends/tracker/lib/trf-persona.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 304e00323f57a2d0836993f5a6bf37882f60ddcf
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 19:57:07 2011 +0100

    e-d-s: add test to link personas from different stores

    This test checks what was fixed in:

    https://bugzilla.gnome.org/show_bug.cgi?id=657635

 tests/eds/link-personas.vala |   56
 +++++++++++++++++++++++++++++++++---------
 1 files changed, 44 insertions(+), 12 deletions(-)

commit b5750b7b1e37a924984cce3e045b6a4f385feba8
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 17:01:11 2011 +0100

    e-d-s: make address book uri a settable property in the test Backend

    This allows us to instantiate multiple Backends, each one associated
    to a it's own address book, which comes in handy for tests involving
    multiple e-d-s PersonaStores.

 tests/eds/link-personas.vala |    2 +-
 tests/lib/eds/backend.vala   |    6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 63b4ab7ab7be30e39936f7c0fd779481536a575e
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 18:27:48 2011 +0100

    e-d-s: update link-personas test to use iid instead of contact_id

 tests/eds/link-personas.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5b44d73ebd013d649034001496ad79939efab372
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 18:26:27 2011 +0100

    e-d-s: use this.local_ids in linkable_property_to_links ()

    Otherwise, this method can have a different  behaviour depending
    on the state of the current Persona depending on whether
    this.local_ids was called before or not.

 backends/eds/lib/edsf-persona.vala |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 19a426de3734cba718bc4bfa7372b2d8656ff614
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 18:25:00 2011 +0100

    e-d-s: we should use the Persona's iid as local-ids

    If we don't and use the contact_id as before, linking Personas
    from different PersonaStores won't work.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657635

 NEWS                               |    1 +
 backends/eds/lib/edsf-persona.vala |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 563830b0894682564e4d418353614a043809a2c0
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 15:47:37 2011 +0100

    e-d-s: default trust level for PersonaStores is PARTIAL

    Without this, we can't link personas from different
    (e-d-s) PersonaStores.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=657635

 backends/eds/lib/edsf-persona-store.vala |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e0b99581db47b4811ef735813b21fe96ee48373a
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 21:27:39 2011 +0100

    e-d-s: make sure we remove GConf's configs between tests

    When exercising GConf more than the usual, by creating multiple
    address books or such, we might leave things in an inconsistent
    state that might affect the tests that come afterwards.

 tests/tools/with-session-bus-eds.sh |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 31f33c548dd855a9230f27b0257fe201fa76d23a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 31 19:30:10 2011 +0100

    tracker: Fix the match-im-addresses test

    Due to the Tracker tests now running with the tracker persona store
    as the
    writeable store, Tracker personas in the tests are now linked by their
    linkeable properties (as their persona store is now fully trusted
    due to
    being the writeable store).

    This caused the two personas in the match-im-addresses test to
    be linked
    together implicitly by the aggregator, when the test case assumed they
    weren't. This broke the test.

    This commit fixes the test permanently by changing the way we consider
    potential matches based on IM addresses. Previously, we only
    indicated a
    potential match if the two individuals under consideration shared
    a common
    IM address + protocol combination. This commit changes that so
    that two
    individuals are now considered to potentially match if they share
    a common
    IM address *only*. Protocols are no longer considered.

    This allows us to change the way the personas are set up in the
    match-im-addresses test so that they're no longer implicitly linked
    by the
    aggregator.

 folks/potential-match.vala            |   21 ++++++++++++---------
 tests/tracker/match-im-addresses.vala |    5 ++---
 2 files changed, 14 insertions(+), 12 deletions(-)

commit ee2ec7c7f14316e3a713b7402a44e12dea4b6623
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 15:19:53 2011 +0100

    e-d-s: fix indentation in tests backend

 tests/lib/eds/backend.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 061fdce9824dbbc2b41b3a239acf213d88e94bad
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 31 12:19:00 2011 +0100

    build: Bump the e-d-s dependency to 3.1.5

    We totally missed this on previous releases and
    it is now causing problems for packagers.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a44e2df4d696b2ceb1740e83196fd1943d60664f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 9 18:23:12 2011 +0200

    Bug 653777 — Add a helper function to create a writable persona

    This adds IndividualAggregator.ensure_individual_property_writeable(),
    which
    returns a persona which has the specified property writeable in
    the specified
    individual. If no such persona exists already, a new one is created
    and
    linked to the individual. If that all fails, an error is returned.

    This allows for clients to write to properties of personas with
    confidence
    that the updates will be written out to the backend stores. (Achieved
    by
    calling IndividualAggregator.ensure_individual_property_writeable()
    first
    and only writing to the property if that call succeeds.)

    Closes: bgo#653777

 NEWS                             |    4 +
 folks/individual-aggregator.vala |  130 ++++++++++++
 tests/folks/aggregation.vala     |  409
 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 543 insertions(+), 0 deletions(-)

commit 659d0c0b1dfb7123ee14c9cefe53696dd4dfb951
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Aug 11 13:57:25 2011 +0200

    key-file: Allow empty Kf.Personas to be added to the persona store

    This is necessary for the tests for bgo#653777. It removes the
    error which
    would previously be thrown when trying to add a persona to
    Kf.PersonaStore
    with no properties.

    Helps: bgo#653777

 backends/key-file/kf-persona-store.vala |   18 ++----------------
 1 files changed, 2 insertions(+), 16 deletions(-)

commit 9ce804c7b3f712eb43121c1ef9cf17e0cf75bcc8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Aug 11 13:55:10 2011 +0200

    core: Add PersonaStore:always-writeable-properties

    This complements Persona:writeable-properties, listing the properties
    which
    are guaranteed to always be writeable on the personas in a given
    persona
    store. This is in contrast to Persona:writeable-properties, which
    may list
    extra properties which are only writeable on that particular persona.

    This could be the case with, for example, personas representing
    the user,
    which might have extra writeable properties to allow the user to
    change their
    alias or avatar.

    Helps: bgo#653777

 NEWS                                             |    3 ++
 backends/eds/lib/edsf-persona-store.vala         |   26
 ++++++++++++++++++++
 backends/key-file/kf-persona-store.vala          |   17 +++++++++++++
 backends/libsocialweb/lib/swf-persona-store.vala |   17 +++++++++++++
 backends/telepathy/lib/tpf-persona-store.vala    |   15 +++++++++++
 backends/tracker/lib/trf-persona-store.vala      |   28
 ++++++++++++++++++++++
 folks/persona-store.vala                         |   19 +++++++++++++++
 7 files changed, 125 insertions(+), 0 deletions(-)

commit 187cde2cdb9e054e945aaa18494f869cd72fa6a8
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 29 13:32:06 2011 -0700

    Fix NEWS: there never was a 0.5.3 release.

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee86dd37f5fdfde94817d953228eb0394ea628d1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 29 10:58:24 2011 -0700

    Use the key-file backend for writes in general tests.

    See commit ef36f347 for more details.

 tests/folks/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8fbf7ea3a1309c64addac4b99ffbc59189ef7bce
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 12:17:15 2011 +0100

    Post-release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ac08620c95aa0b02465d44790137cbc079aa00d0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 29 12:16:44 2011 +0100

    build: Fix the NEWS file

    More haste, less speed…

 NEWS |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit b851568b7faf4f3ef9f89810e97165eaf37ec44b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 27 14:25:28 2011 +0100

    Bug 645056 — TpLowlevel library should have only static public
    functions

    Remove the TpLowlevel class from the TpLowlevel library and instead
    place
    all the functions statically in the “FolksTpLowlevel” namespace.

    Closes: bgo#645056

 NEWS                                          |    1 +
 backends/telepathy/lib/Makefile.am            |    3 +-
 backends/telepathy/lib/tp-lowlevel.c          |   43
 +-----------------------
 backends/telepathy/lib/tp-lowlevel.h          |   38
 ----------------------
 backends/telepathy/lib/tpf-persona-store.vala |   39
 +++++++++++-----------
 5 files changed, 24 insertions(+), 100 deletions(-)

commit f9b3761912e108c93d3a9eb993d2aa8e317be9b6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 10:18:50 2011 +0100

    Release version 0.6.1

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1cfbeb84986f3e1072387a903b08acdd251b074d
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 10:49:56 2011 +0100

    tracker: catch GLib.SpawnError when getting a connection

 tests/lib/tracker/backend.vala |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 93e84b90f26e407a9949dd66f837de2ceeaba12c
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 29 10:02:05 2011 +0100

    Add myself as maintainer so I can upload tarballs, etc

 folks.doap |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 2a81e402ec9758821e2fd7eac9177f741dc29aab
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 27 16:25:11 2011 +0100

    tracker: Remove “alias” from the writeable properties list
    of Trf.Persona

    Trf.Persona no longer implements AliasDetails.

 backends/tracker/lib/trf-persona.vala |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 92c819b7f0fccc742f8de464969abf8316384172
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Aug 25 19:17:27 2011 +0100

    Bug 657332 — Add linking link-individuals

    Add a `linking link-individuals` subcommand to folks-inspect. Note:
    this
    appears to break readline command completion for the `linking`
    command in
    certain situations (e.g. if you tab-complete the name of the command
    first).

    I can't fix this for love or money. Pigs will fly before I manage
    to work
    out why readline hates me so much.

    Closes: bgo#657332

 NEWS                               |    1 +
 tools/inspect/command-linking.vala |  127
 +++++++++++++++++++++++++++--------
 2 files changed, 99 insertions(+), 29 deletions(-)

commit 99670bd47ba523c3b0c77277280a4391416a4a26
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 10:33:38 2011 -0700

    Don't require that zero Individuals be removed after auto-linking.

 tests/tracker/match-im-addresses.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 274b4c097080f21b56b8446664578627d78bf7f9
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 10:31:36 2011 -0700

    Make sure Tracker tests actually use the Tracker backend for writes.

 tests/tracker/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d4922aed17bdd8c7f0e1feb63440edae7fb2f3a0
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 10:16:17 2011 -0700

    Ignore edsf-persona-store.c for translations.

 po/POTFILES.skip |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit be452e9eb223a7b246b8b9bd742901a5e7c3b9b1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 09:41:05 2011 -0700

    Properly handle 'url' TYPE for URLs in Tracker backend.

 backends/tracker/lib/trf-persona-store.vala |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 38dda59b515d676ec800c13f3dfa95099fd0a8a2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 08:00:32 2011 -0700

    Correctly spell ERROR_VALAFLAGS.

 backends/tracker/lib/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 91e0be11c5ba509e5dc21f559f6b66117ae1868d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 07:59:31 2011 -0700

    Don't use ERROR_CFLAGS yet. Vala doesn't guarantee warning-free C.

 folks/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ef36f347ea24cfa3ea35cc5010b4e5ff4ccd878f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Aug 26 07:47:44 2011 -0700

    Use the key-file backend for writes in tests for non-writeable
    backends.

    We could have used the EDS backend, but this helps keep the execution
    of the tests as simple as possible.

    This fixes a bug in the libsocialweb aggregation test where it was
    using the EDS backend from the Aggregator default but its
    FOLKS_BACKEND_STORE_KEY_FILE_PATH didn't include the EDS backend, so
    it had nowhere to store its linking personas.

 tests/libsocialweb/Makefile.am |    1 +
 tests/telepathy/Makefile.am    |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 0ae626ee3cedaabc387665193ca40a2739904671
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Aug 26 13:19:59 2011 +0100

    e-d-s: add urls to list of writeable properties

 backends/eds/lib/edsf-persona.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 73c6ed7198f4ef41faf229bd56087062ab36e2e2
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Aug 26 11:55:18 2011 +0100

    IndividualAggregator: initialize primary-store property to NULL

 folks/individual-aggregator.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 356b3c729c327b28683de41a6615f7fc0e1ade50
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Aug 26 11:32:05 2011 +0100

    IndividualAggregator: emit notifications for primary-store property

 folks/individual-aggregator.vala |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit a2fc4e5744753462f42df45ab33e390c0b69ccbc
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Aug 26 11:31:25 2011 +0100

    IndividualAggregator: state that the primary-store can be null

 folks/individual-aggregator.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f32af263adbe086653700a17806efbad222fbcff
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 25 15:11:59 2011 -0700

    Hold a pointer to delegates; don't copy them.

 tests/lib/test-case.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94dca5969265601e9ca8c9ae044e8fe9b3a13214
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 25 15:06:19 2011 -0700

    Use ERROR_VALAFLAGS as intended.

 backends/eds/Makefile.am              |    1 +
 backends/eds/lib/Makefile.am          |    1 +
 backends/libsocialweb/Makefile.am     |    1 +
 backends/libsocialweb/lib/Makefile.am |    1 +
 backends/telepathy/Makefile.am        |    1 +
 backends/telepathy/lib/Makefile.am    |    1 +
 backends/tracker/Makefile.am          |    1 +
 backends/tracker/lib/Makefile.am      |    1 +
 folks/Makefile.am                     |    2 ++
 tests/eds/Makefile.am                 |    1 +
 tests/folks/Makefile.am               |    1 +
 tests/key-file/Makefile.am            |    1 +
 tests/lib/Makefile.am                 |    1 +
 tests/lib/eds/Makefile.am             |    1 +
 tests/lib/key-file/Makefile.am        |    1 +
 tests/lib/libsocialweb/Makefile.am    |    1 +
 tests/lib/tracker/Makefile.am         |    1 +
 tests/libsocialweb/Makefile.am        |    1 +
 tests/telepathy/Makefile.am           |    1 +
 tests/tracker/Makefile.am             |    1 +
 20 files changed, 21 insertions(+), 0 deletions(-)

commit fa38471cd772613c5c78f8bd769c117cb18fcc57
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 25 14:28:06 2011 -0700

    Build tests with extra debug information.

    Notably, this provides gdb with Vala source file line numbers for
    backtraces (which should save a bit of digging through generated C
    files).

    Gdb still lists generated C line numbers for lines farther up the
    stack when there's no obvious Vala line equivalent.

 configure.ac                       |    5 +++++
 tests/eds/Makefile.am              |    1 +
 tests/folks/Makefile.am            |    1 +
 tests/key-file/Makefile.am         |    1 +
 tests/lib/Makefile.am              |    1 +
 tests/lib/eds/Makefile.am          |    1 +
 tests/lib/key-file/Makefile.am     |    1 +
 tests/lib/libsocialweb/Makefile.am |    1 +
 tests/lib/tracker/Makefile.am      |    1 +
 tests/libsocialweb/Makefile.am     |    1 +
 tests/telepathy/Makefile.am        |    1 +
 tests/tracker/Makefile.am          |    1 +
 12 files changed, 16 insertions(+), 0 deletions(-)

commit 8e359ce63d151fbb52678e34c47541868b771b77
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Aug 24 10:50:54 2011 -0700

    Add test case for properties race condition.

 tests/eds/Makefile.am              |    6 ++
 tests/eds/set-properties-race.vala |  174
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 180 insertions(+), 0 deletions(-)

commit 453f694418e4a2325c00f73b449dcd9703c4f365
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 24 21:23:30 2011 +0100

    eds: Tell Vala to not notify of property changes in the setter
    functions

    We only want to notify of property changes when we get notification
    back
    from eds that the change was successful.

 backends/eds/lib/edsf-persona.vala |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 71b46631f5e28190d6bf50348e54de0465174cc1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Aug 22 20:23:50 2011 +0100

    build: Bump the Vala dependency to 0.13.3

    This is due to commit c0ecad63015078231934e63ec63f02b97defb730.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0ecad63015078231934e63ec63f02b97defb730
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 22 13:51:28 2011 +0100

    e-d-s: Vala dropped support for reordering GCancellable params

    A couple of e-d-s methods (get_contact, modify_contact,
    get_backend_property, etc) experienced an automatic API
    change in it's Vala binding due to Vala dropping support
    for reordering GCancellable params.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=657067

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |   35
 +++++++++++++++--------------
 tests/lib/eds/backend.vala               |   10 ++++----
 3 files changed, 24 insertions(+), 22 deletions(-)

commit 28a2ed20d490226711fc0c583a80623da88b01a2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 21 12:10:22 2011 +0100

    core: Fix some whitespace

 folks/persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b9bb49d6b032d930b666f42bb0f73ad8708d15e6
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 17 15:48:39 2011 +0100

    e-d-s: ignore the type when comparing images

 backends/eds/lib/memory-icon.vala |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 7b595b5f4ae9326680866be204e5d15193b909a7
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 15 13:30:42 2011 +0100

    e-d-s: update the Avatar Details test

    Now that we've reworked avatar handling and we've
    introduced an Avatar cache, the avatars associated
    to a newly created e-d-s contact might not be immediately
    available after the corresponding Edsf.Persona is created.
    Hence we need to listen to notifications for the avatar
    property.

 tests/eds/avatar-details.vala |   30 +++++++++++++++++++++---------
 1 files changed, 21 insertions(+), 9 deletions(-)

commit e3017a4bfc6a6940e2fb91dd8022ab8f817e9cbb
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Aug 4 16:09:12 2011 +0100

    e-d-s: Only set avatar if store_avatar () was successful

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=655374

 backends/eds/lib/edsf-persona.vala |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 8f747c7361bea1eefbae5358df44b161c2f432c4
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Aug 4 16:08:06 2011 +0100

    e-d-s: When an avatar has been removed, set it to null

    Though new_avatar was null, I prefer to even more
    obvious about what is going on.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=655374

 backends/eds/lib/edsf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5752726049d9b27af3083f9358a74a29a78e8061
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Aug 4 15:55:09 2011 +0100

    e-d-s: Don't infer we already have an avatar in our cache by its URI

    From libfolks we should discourage using local URIs to
    set an EContactPhoto so even if we get inlined EContactPhoto
    just do a full content comparison.

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=655374

 backends/eds/lib/edsf-persona.vala |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit 19ae7a8f60aa04dc0548a41e6c976c3654709c22
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Aug 4 15:44:28 2011 +0100

    Don't manipulate the Avatar Cache before e-d-s acks changes

    Also, lets set EContactPhotos as INLINED because it doesn't
    make sense to use URIs for local files. In the future, when
    we support gravatars, we'll have to handle the case of
    setting ContactPhotos as URIs for those.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655374

 backends/eds/lib/edsf-persona-store.vala |   51
 +++++++++++++++++-------------
 1 files changed, 29 insertions(+), 22 deletions(-)

commit d7797088fbb5dd1a480e5ffd3b51b406a2409d3d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 28 10:08:09 2011 -0700

    Do Tracker tests last, since they're most likely to fail
    uncontrollably.

    Helps: bgo#655374 - Un-break Tracker avatar tests

 tests/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 22a72f0579e37a6ddb113846eb373a5c8995cfed
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 26 15:53:02 2011 -0700

    Add utility function to compare LoadableIcon content.

    Unlike the various "equal()" functions for LoadableIcon and related
    classes,
    this function actually compares image content (which can be necessary
    when
    testing vs. images in the avatar cache, which may have a different
    path than an
    otherwise-identical image).

    Helps: bgo#655374 - Un-break Tracker avatar tests

 NEWS                           |    1 +
 tests/eds/add-persona.vala     |   24 ++++++----
 tests/eds/avatar-details.vala  |    8 ++-
 tests/eds/set-avatar.vala      |   13 ++++--
 tests/folks/avatar-cache.vala  |   53 ++++++-----------------
 tests/lib/Makefile.am          |    7 ++-
 tests/lib/test-utils.vala      |   94
 ++++++++++++++++++++++++++++++++++++++++
 tests/tracker/add-persona.vala |   23 +++++++---
 tests/tracker/set-avatar.vala  |   19 +++++---
 9 files changed, 168 insertions(+), 74 deletions(-)

commit 9d7520c898636680b43861551e342a22caed0738
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 17 01:28:50 2011 +0100

    Update NEWS file

 NEWS |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6b98480975464f9cadadd3841bc08ca38b69bd4f
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 16 16:53:14 2011 +0200

    eds: Support writing postal addresses as vcards

    https://bugzilla.gnome.org/show_bug.cgi?id=656659

 backends/eds/lib/edsf-persona-store.vala |   39
 +++++++++--------------------
 1 files changed, 12 insertions(+), 27 deletions(-)

commit 36c967607516279b606d6f2a88c0bb6942aa8a68
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 16 14:06:33 2011 +0200

    Generalize Edsf.PersonaStore._set_contact_attributes

    We need to handle non-string field details values when we implement
    postal addresses.

    https://bugzilla.gnome.org/show_bug.cgi?id=656659

 backends/eds/lib/edsf-persona-store.vala |   27
 ++++++++++++++++++++-------
 1 files changed, 20 insertions(+), 7 deletions(-)

commit a58f2d813ebb38149c02352e3055ab7dba7d5611
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 16 14:06:10 2011 +0200

    Read postal addresses as vcards

    https://bugzilla.gnome.org/show_bug.cgi?id=656659

 backends/eds/lib/edsf-persona.vala |   84
 ++++++++++++++++++++++++++----------
 1 files changed, 61 insertions(+), 23 deletions(-)

commit 7c2d5de039655b0db66f80a723a3c8d4be9d977d
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 16 14:04:44 2011 +0200

    Break out common code in edsf backend

    Most types use the same code to update the vcard params, so we
    can share this code.

    https://bugzilla.gnome.org/show_bug.cgi?id=656659

 backends/eds/lib/edsf-persona.vala |   40
 ++++++++++++++---------------------
 1 files changed, 16 insertions(+), 24 deletions(-)

commit 0cac5985a3092f29f44491bced0da0569cb7a814
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 16 21:41:47 2011 +0100

    inspect: Ensure to initialise out variables

    This fixes a few compiler warnings.

 tools/inspect/command-signals.vala |    6 ++++++
 tools/inspect/inspect.vala         |    4 ++++
 tools/inspect/signal-manager.vala  |    5 ++++-
 3 files changed, 14 insertions(+), 1 deletions(-)

commit 718d86b8ec95e85b684816be0e9d4ae5523214fa
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 16 21:41:32 2011 +0100

    core: Fix use of deprecated Vala API

 folks/individual-aggregator.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ed30316663e913ef1bbf293482b3d093c46aa4d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 16 19:40:35 2011 +0100

    eds: Don't copy EVCardAttributes at all

    libebook does some icky things with EVCardAttributes it's passed,
    especially
    when calling e_vcard_remove_attribute() (it removes by pointer
    comparison
    and then unconditionally frees the passed-in attribute). Consequently,
    we
    need to do everything we can to avoid copying EVCardAttributes
    unless we
    want double-frees and memory leaks.

 backends/eds/lib/edsf-persona-store.vala |   43
 ++++++++++++++++-------------
 1 files changed, 24 insertions(+), 19 deletions(-)

commit 96da6b9da72a754597b940c065154e0acf0f1a00
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Aug 16 20:03:03 2011 +0100

    Don't use const string[] , Vala doesn't handle them correctly

 backends/libsocialweb/lib/swf-persona.vala |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit f7767014b984fae5df9b9c0d6b0df5fe10aba360
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Aug 16 14:03:17 2011 +0200

    Make sure we pass ENABLE_EDS to vala flags

 folks/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c04d74bc561c6870c007ab83e2c406e7d66b28aa
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 14 18:48:37 2011 +0100

    inspect: Remove workarounds for bgo#638363

    See also: bgo#656467.

 tools/inspect/utils.vala |   27 +++++++++------------------
 1 files changed, 9 insertions(+), 18 deletions(-)

commit a5e75fb7624bf0d7de9c5a73dc8decf74a130fbb
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 18:58:00 2011 +0200

    Post-release version bump.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fb0afc67b31c095bbb3916547cd66025a873078c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 13:12:22 2011 +0200

    Release version 0.6.0

 backends/eds/eds-backend-factory.vala              |    4 +-
 backends/eds/eds-backend.vala                      |    2 +-
 backends/eds/lib/edsf-persona-store.vala           |   22 +++++-----
 backends/eds/lib/edsf-persona.vala                 |   46
 ++++++++++----------
 backends/eds/lib/memory-icon.vala                  |   12 +++---
 backends/key-file/kf-persona.vala                  |    2 +-
 backends/libsocialweb/lib/swf-persona.vala         |    4 +-
 .../telepathy/lib/tpf-persona-store-cache.vala     |    2 +-
 backends/telepathy/lib/tpf-persona.vala            |    8 ++--
 backends/tracker/lib/trf-persona.vala              |    4 +-
 configure.ac                                       |   12 +++---
 folks/abstract-field-details.vala                  |   20 ++++----
 folks/avatar-cache.vala                            |   14 +++---
 folks/avatar-details.vala                          |    2 +-
 folks/email-details.vala                           |   10 ++--
 folks/im-details.vala                              |    8 ++--
 folks/individual.vala                              |    4 +-
 folks/note-details.vala                            |    8 ++--
 folks/object-cache.vala                            |   18 ++++----
 folks/persona-store.vala                           |    4 +-
 folks/persona.vala                                 |    4 +-
 folks/phone-details.vala                           |   14 +++---
 folks/postal-address-details.vala                  |    8 ++--
 folks/presence-details.vala                        |    2 +-
 folks/role-details.vala                            |   12 +++---
 folks/url-details.vala                             |    8 ++--
 folks/utils.vala                                   |    6 +-
 folks/web-service-details.vala                     |   10 ++--
 28 files changed, 135 insertions(+), 135 deletions(-)

commit 82e420813ab25e820b6c506c1c8303dbf4e48ea6
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 18:27:13 2011 +0200

    Update the checked files for valac requirement.

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 155e7b7de71ae665dcdc66035e7ce4657f1cba09
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 17:33:37 2011 +0200

    Distribute EDS test tools.

 tests/tools/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e551f70ad851d6617c7aaca62b15dd71a48b1376
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 13:00:32 2011 +0200

    Un-break Docs.

 folks/email-details.vala |    6 +++---
 folks/role-details.vala  |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f4f596bddedcc64670be03ec2ffa46e0d142a720
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 12:33:39 2011 +0200

    Write support for URLs in Edsf.Persona

    Closes: bgo#655609 - Implement setter for URLs

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |   92 ++++++++++++++
 backends/eds/lib/edsf-persona.vala       |   39 ++++++-
 folks/utils.vala                         |   38 ++++++
 tests/eds/Makefile.am                    |    6 +
 tests/eds/set-urls.vala                  |  197
 ++++++++++++++++++++++++++++++
 6 files changed, 370 insertions(+), 3 deletions(-)

commit b86ff783cd81375db8cddf31486d3fcb0deaaa9f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 13 18:56:30 2011 +0100

    inspect: Fix listing GStrv properties

    We have to work around bgo#656467 for the moment.

 tools/inspect/utils.vala |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6a2ad10f71fbed2791424e0b753ffeb0910614cf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Aug 13 18:05:50 2011 +0100

    inspect: Update folks-inspect for the FieldDetails changes

 tools/inspect/utils.vala |   59
 +++++++++++----------------------------------
 1 files changed, 15 insertions(+), 44 deletions(-)

commit c02fb2a0775449133a9faa9d26cc486cf8ce4683
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 12:18:29 2011 +0200

    Make the EDS backend's system address book the default writeable

    Closes: bgo#648818 - Support the EDS backend being a primary

 NEWS                             |    1 +
 folks/individual-aggregator.vala |    7 ++++++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit bd743c75060b6757855a91df31d69fc7dcd1e6cd
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Sat Aug 13 12:20:02 2011 +0200

    Trivial NEWS clean-up.

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ae161634fb59b3bd0954c48d5b64b5bb2a908cfe
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 11 16:44:53 2011 +0200

    Remove FieldDetails (obsoleted by AbstractFieldDetails and
    implementors)

 folks/Makefile.am                       |    1 -
 folks/field-details.vala                |   79 --------------
 tests/folks/Makefile.am                 |    8 +-
 tests/folks/abstract-field-details.vala |  180
 +++++++++++++++++++++++++++++++
 tests/folks/field-details.vala          |  180
 -------------------------------
 tools/inspect/utils.vala                |    4 +-
 6 files changed, 186 insertions(+), 266 deletions(-)

commit 3a849aec763faa86f81b16d231cb4a167a3ac701
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 11 16:37:22 2011 +0200

    Support vCard-like parameters for URLs

    Closes: bgo#655922 - Rebase UrlDetails.urls upon an
    AbstractFieldDetails-derived class

 NEWS                                        |    3 +-
 backends/eds/lib/edsf-persona.vala          |   12 ++++---
 backends/libsocialweb/lib/swf-persona.vala  |   25 +++++++------
 backends/tracker/lib/trf-persona-store.vala |   13 ++++---
 backends/tracker/lib/trf-persona.vala       |   44
 ++++++++++++-----------
 folks/individual.vala                       |   35 +++++++++---------
 folks/url-details.vala                      |   53
 ++++++++++++++++++++++++++-
 tests/tracker/add-persona.vala              |   11 +++---
 tests/tracker/set-urls.vala                 |   20 +++++-----
 9 files changed, 138 insertions(+), 78 deletions(-)

commit b3c63593fde17fbed7e5b57432e755123bc3a59b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Aug 11 13:23:01 2011 +0200

    Support vCard-like parameters for Roles

    Closes: bug#655921 - Change RoleDetails.roles to support vCard-like
    arbitrary parameters

 NEWS                                        |    3 +
 backends/tracker/lib/trf-persona-store.vala |   24 +++++-----
 backends/tracker/lib/trf-persona.vala       |   32 +++++++-------
 folks/individual.vala                       |   15 ++++---
 folks/role-details.vala                     |   61
 ++++++++++++++++++++++++++-
 tests/tracker/add-persona.vala              |   24 ++++++-----
 tests/tracker/role-details-interface.vala   |    9 ++--
 tests/tracker/set-roles.vala                |   26 +++++++-----
 8 files changed, 132 insertions(+), 62 deletions(-)

commit eb1d4fd077d5a8489b750d82fde8f13d9a3c8e4b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Aug 9 17:40:41 2011 +0200

    Support vCard-like parameters for web service addresses

    Closes: bgo#653682 - Change WebServiceDetails.web_service_addresses
    to support
    vCard-like arbitrary parameters

 NEWS                                        |    4 ++
 backends/eds/lib/edsf-persona-store.vala    |   15 ++++---
 backends/eds/lib/edsf-persona.vala          |   17 +++++---
 backends/key-file/kf-persona-store.vala     |    4 +-
 backends/key-file/kf-persona.vala           |   38 ++++++++++-------
 backends/libsocialweb/lib/swf-persona.vala  |   10 +++-
 backends/tracker/lib/trf-persona-store.vala |   26 +++++++-----
 backends/tracker/lib/trf-persona.vala       |   15 ++++---
 folks/individual-aggregator.vala            |   17 +++++---
 folks/individual.vala                       |   17 ++++----
 folks/web-service-details.vala              |   59
 +++++++++++++++++++++++++--
 tests/eds/link-personas.vala                |   30 +++++++++-----
 12 files changed, 174 insertions(+), 78 deletions(-)

commit 85d4de54bd7d7e83da6dfc3444dbddf8afe0a016
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Aug 9 15:59:16 2011 +0200

    Rebase PhoneDetails.phone_numbers upon PhoneFieldDetails

    Closes: bgo#655920 - Rebase PhoneDetails.phone_numbers upon an
    AbstractFieldDetails-derived class

 NEWS                                        |    4 +
 backends/eds/lib/edsf-persona-store.vala    |    6 +-
 backends/eds/lib/edsf-persona.vala          |   16 ++--
 backends/tracker/lib/trf-persona-store.vala |    6 +-
 backends/tracker/lib/trf-persona.vala       |   30 ++++---
 folks/individual.vala                       |   36 ++++----
 folks/phone-details.vala                    |  125
 ++++++++++++++++-----------
 folks/potential-match.vala                  |    6 +-
 tests/eds/add-persona.vala                  |   17 ++--
 tests/eds/phone-details.vala                |    6 +-
 tests/eds/set-phones.vala                   |   10 ++-
 tests/tracker/add-persona.vala              |   18 ++--
 tests/tracker/duplicated-phones.vala        |   20 ++--
 tests/tracker/match-phone-number.vala       |   20 ++--
 tests/tracker/phone-details-interface.vala  |    4 +-
 tests/tracker/set-phones.vala               |   15 ++--
 16 files changed, 189 insertions(+), 150 deletions(-)

commit 9ec659ff09e4facef8b95be2480da57b5f91267a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 8 17:27:04 2011 +0200

    Allow for Individual replacement in the EDS add-persona test.

 tests/eds/add-persona.vala |   59
 +++++++++++++++++++++++++++++++++++---------
 1 files changed, 47 insertions(+), 12 deletions(-)

commit b8c144844c7012fcc1c49d46a9fc28de5a100aaf
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 8 16:08:36 2011 +0200

    Rebase NoteDetails.notes upon NoteFieldDetails

    Closes: bgo#655919 - Rebase NoteDetails.notes upon an
    AbstractFieldDetails-derived class

 NEWS                                        |    4 ++
 backends/eds/lib/edsf-persona-store.vala    |    9 ++--
 backends/eds/lib/edsf-persona.vala          |   12 +++--
 backends/tracker/lib/trf-persona-store.vala |    8 ++--
 backends/tracker/lib/trf-persona.vala       |   13 +++--
 folks/individual.vala                       |   11 ++--
 folks/note-details.vala                     |   77
 +++++++++++++++------------
 tests/eds/add-persona.vala                  |   10 ++--
 tests/eds/set-notes.vala                    |    6 +-
 tests/tracker/add-persona.vala              |   12 +++--
 tests/tracker/note-details-interface.vala   |    4 +-
 tests/tracker/set-notes.vala                |   14 +++--
 tools/inspect/utils.vala                    |    3 +-
 13 files changed, 104 insertions(+), 79 deletions(-)

commit 5d111c32f9aeb02785dfafcb362c32c4e592e79e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Aug 3 18:43:17 2011 -0700

    Set the eds backend as the primary for the eds tests.

    This fixes the eds/link-personas test.

 tests/eds/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9388c1eb0c71735bf750a03248d5f38c96681fd9
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Aug 3 13:49:32 2011 -0700

    Rebase EmailDetails.email_addresses upon EmailFieldDetails

    Closes: bgo#655917 - Rebase EmailDetails.email_addresses upon an
    AbstractFieldDetails-derived class

 NEWS                                        |    4 ++
 backends/eds/lib/edsf-persona-store.vala    |    8 ++--
 backends/eds/lib/edsf-persona.vala          |   16 ++++---
 backends/tracker/lib/trf-persona-store.vala |   10 ++--
 backends/tracker/lib/trf-persona.vala       |   38 +++++++++--------
 folks/email-details.vala                    |   61
 +++++++++++++++++++++++++--
 folks/individual.vala                       |   36 ++++++++--------
 tests/eds/add-persona.vala                  |    8 ++-
 tests/eds/set-emails.vala                   |    6 ++-
 tests/tracker/add-persona.vala              |   11 +++--
 tests/tracker/duplicated-emails.vala        |   20 ++++----
 tests/tracker/match-email-addresses.vala    |   20 ++++----
 tests/tracker/match-known-emails.vala       |   20 ++++----
 tests/tracker/remove-persona.vala           |   11 +++--
 tests/tracker/set-duplicate-email.vala      |   18 ++++----
 tests/tracker/set-emails.vala               |   10 ++--
 16 files changed, 182 insertions(+), 115 deletions(-)

commit 57725c31bb2efaf866174cc09c0f60000104e800
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Aug 3 13:47:24 2011 -0700

    Run key-file tests later, since it's a low-priority backend.

 tests/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9db66d2cafd3d56065ea66ae7e732c717baf1b31
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Aug 3 13:29:44 2011 -0700

    Run Tracker tests last, since it's a low-priority backend.

    They're also most likely to fail for reasons outside of our control.

 tests/Makefile.am |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit acfb7aad7436fc1d23f86937559b7c9e1fe802dd
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Aug 2 15:12:24 2011 -0700

    Add utility function to compare MultiMaps of AbstractFieldDetails.

 folks/utils.vala |   51
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit 7be7bcc26ffe112f5aae83b519408dda13611f01
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jul 22 16:49:40 2011 -0700

    Clarify parameters for PostalAddressOwnerDetails.

 folks/postal-address-details.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 171298f67620cf238f42b6d7d53622bbf96bfdee
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 11:20:56 2011 -0700

    Add basic equality testing for ImFieldDetails.

    Helps: bug#653680 - Change ImDetails.im_addresses to support
    vCard-like
    arbitrary parameters

 tests/folks/field-details.vala |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 5fa28ed5366fcf9d435fd2b746c6fa5530b26fed
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 14 11:08:43 2011 -0700

    Support vCard-like parameters for IM addresses

    Helps: bug#653680 - Change ImDetails.im_addresses to support
    vCard-like
    arbitrary parameters

 NEWS                                        |    3 ++
 backends/eds/lib/edsf-persona-store.vala    |   22 ++++++------
 backends/eds/lib/edsf-persona.vala          |   27 ++++++++------
 backends/key-file/kf-persona-store.vala     |    4 +-
 backends/key-file/kf-persona.vala           |   26 ++++++++-----
 backends/libsocialweb/lib/swf-persona.vala  |   10 +++--
 backends/telepathy/lib/tpf-persona.vala     |   23 ++++++++----
 backends/tracker/lib/trf-persona-store.vala |   27 ++++++--------
 backends/tracker/lib/trf-persona.vala       |   20 ++++++----
 folks/im-details.vala                       |   53
 ++++++++++++++++++++++++++-
 folks/individual-aggregator.vala            |    7 +++-
 folks/individual.vala                       |    7 ++--
 tests/eds/add-persona.vala                  |   18 +++++-----
 tests/eds/im-details.vala                   |    8 +++--
 tests/eds/link-personas.vala                |   24 ++++++++-----
 tests/eds/set-im-addresses.vala             |   12 ++++--
 tests/tracker/add-persona.vala              |   14 ++++---
 tests/tracker/im-details-interface.vala     |   20 +++++++---
 tests/tracker/imaddresses-updates.vala      |   24 +++++++++++-
 tests/tracker/link-personas.vala            |   20 ++++++----
 tests/tracker/match-im-addresses.vala       |   20 ++++++----
 tests/tracker/set-im-addresses.vala         |   21 +++++++----
 22 files changed, 272 insertions(+), 138 deletions(-)

commit 961e0ff5c62e7fda61d14f5664e8d943dc166673
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jul 8 16:35:15 2011 -0700

    Clean up the way the Tracker backend tracks IM addresses.

    Helps: bug#653680 - Change ImDetails.im_addresses to support
    vCard-like
    arbitrary parameters

 backends/tracker/lib/trf-persona.vala |   33
 +++++++++++++++++----------------
 1 files changed, 17 insertions(+), 16 deletions(-)

commit d05681d31a8f60e3daf737ea4fefbc0bc4cfb39e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jul 8 14:14:21 2011 -0700

    Don't spill over 80 characters.

 folks/im-details.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ac0217fabf327e3a04701d33ca75332d1a3bfa06
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 14 11:38:31 2011 -0700

    Support vCard-like parameters for addresses in PostalAddressDetails.

    This also removes the older, less-functional, less-consistent
    PostalAddress.types.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 NEWS                                               |    4 +
 backends/eds/lib/edsf-persona-store.vala           |   40 +++++----
 backends/eds/lib/edsf-persona.vala                 |   20 +++--
 backends/tracker/lib/trf-persona-store.vala        |   25 +++---
 backends/tracker/lib/trf-persona.vala              |   36 ++++----
 backends/tracker/lib/trf-util.vala                 |    2 +-
 folks/individual.vala                              |   18 ++--
 folks/postal-address-details.vala                  |   93
 ++++++++++++--------
 tests/eds/add-persona.vala                         |   32 ++++---
 tests/eds/postal-address-details.vala              |   29 +++---
 tests/eds/set-postal-addresses.vala                |   30 +++---
 tests/lib/eds/backend.vala                         |    3 +-
 tests/tracker/add-persona.vala                     |   29 ++++---
 .../tracker/postal-address-details-interface.vala  |   14 ++--
 tests/tracker/set-postal-addresses.vala            |   56 ++++++------
 15 files changed, 240 insertions(+), 191 deletions(-)

commit 13b45043d212db0efe363dd9eab4116e4d715bc7
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 11:48:43 2011 -0700

    Add test for parameter equality in FieldDetails.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 tests/folks/field-details.vala |   48
 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

commit 136ae0924b2605580342b60087b2c124819d15a8
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 11:17:12 2011 -0700

    Add basic equality testing for FieldDetails.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 tests/folks/field-details.vala |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit a51d03d7366d5803532b3395292ce7137c0b08ef
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jul 15 16:36:33 2011 -0700

    Add parameters as an optional argument to the FieldDetails
    constructor.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 NEWS                     |    1 +
 folks/field-details.vala |    9 ++++++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 486a993849b4bf6a1bef6937af62e642d4bfbfec
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jul 13 15:35:00 2011 -0700

    Implement FieldDetails.equal()/hash() in terms of the default.

    This allows explicit references to FieldDetails.equal()/hash() for
    structures storing them (in case it changes from the
    AbstractFieldDetails implementation in the future).

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 backends/libsocialweb/lib/swf-persona.vala |    7 +++++--
 backends/tracker/lib/trf-persona.vala      |   21 +++++++++++++++------
 folks/field-details.vala                   |   20 ++++++++++++++++++++
 folks/individual.vala                      |   20 ++++++++++++++------
 tests/tracker/add-persona.vala             |    9 ++++++---
 tests/tracker/duplicated-emails.vala       |    8 ++++++--
 tests/tracker/duplicated-phones.vala       |    8 ++++++--
 tests/tracker/match-email-addresses.vala   |    8 ++++++--
 tests/tracker/match-known-emails.vala      |    8 ++++++--
 tests/tracker/match-phone-number.vala      |    8 ++++++--
 tests/tracker/remove-persona.vala          |    3 ++-
 tests/tracker/set-duplicate-email.vala     |    8 ++++++--
 tests/tracker/set-emails.vala              |    4 +++-
 tests/tracker/set-phones.vala              |    4 +++-
 tests/tracker/set-urls.vala                |    4 +++-
 15 files changed, 107 insertions(+), 33 deletions(-)

commit 8b08293c7037fffa5a46c540b46900e83d549cfb
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Jul 11 17:20:54 2011 -0700

    Add equal() and hash() functions to AbstractFieldDetails.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 NEWS                              |    2 +
 folks/abstract-field-details.vala |   88
 +++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 0 deletions(-)

commit af60852d7edb10054621bbfb67134d93cf4dfb1b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 14 16:57:01 2011 -0700

    Centralize parameters to AbstractFieldDetails.

    This cuts some lines of code from the derived classes.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 folks/abstract-field-details.vala |    4 +++-
 folks/field-details.vala          |   14 --------------
 2 files changed, 3 insertions(+), 15 deletions(-)

commit 5f0ab0032ba17ce54334387a129ea0ee0f7c64c9
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 7 11:10:58 2011 -0700

    Rebase FieldDetails upon an abstract and generic version of itself.

    This should be useful for cases where the value has a very specific
    type
    (eg, for PostalAddressDetails.postal_addresses). We'll create
    subclasses of
    FieldDetails for those cases.

    When we've created all the appropriate derived classes, we'll remove
    FieldDetails entirely.

    Helps: bgo#653679 - Change PostalAddressDetails.postal_addresses to
    support vCard-like arbitrary parameters

 NEWS                                        |    2 +
 backends/tracker/lib/trf-persona-store.vala |    4 +-
 folks/Makefile.am                           |    1 +
 folks/abstract-field-details.vala           |  169
 +++++++++++++++++++++++++++
 folks/field-details.vala                    |  122 +++-----------------
 5 files changed, 189 insertions(+), 109 deletions(-)

commit 758aa57c0f5b6acad9d6f5ff056265f97c06ad12
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 9 12:49:31 2011 +0200

    core: Expand the documentation of EmailDetails.email_addresses

 folks/email-details.vala |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 311fe11ec5d428f9ba99eff481376294f5a6c60e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 9 12:23:27 2011 +0200

    build: Add VAPI dependencies for eds backend

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ad8c90f8d2ec38187f2ca45ed826cd12e85b007
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 9 12:23:13 2011 +0200

    core: Fix a typo in NoteDetails documentation

 folks/note-details.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 30ee4db520551b24aca28febc28925445b8edd7a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 9 12:19:11 2011 +0200

    Bug 653619 — Add company details

    I dislike Tracker, ontologies, Sparql and drinking games.

    Closes: bgo#653619

 NEWS                                        |    2 ++
 backends/tracker/lib/trf-persona-store.vala |   25
 ++++++++++++++++++-------
 backends/tracker/lib/trf-persona.vala       |   16 ++++++++++------
 backends/tracker/lib/trf-util.vala          |    3 +++
 folks/role-details.vala                     |   20 ++++++++++++++++----
 tests/lib/tracker/backend.vala              |    6 +++---
 tests/tracker/add-persona.vala              |    6 +++++-
 tests/tracker/role-details-interface.vala   |    5 +++--
 tests/tracker/set-roles.vala                |    2 ++
 9 files changed, 62 insertions(+), 23 deletions(-)

commit ab13818cfd05e16eafcf1bf226af36b544641dba
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 7 13:52:40 2011 +0200

    eds: Fix a minor type problem in the add-contacts-stress-test

 tests/eds/add-contacts-stress-test.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 840c63c74effbfe1f6535786e36152905eed8454
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Aug 7 13:36:11 2011 +0200

    build: Build eds backend by default

    Signed-off-by: Raul Gutierrez Segales <rgs@collabora.co.uk>

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5a8328039777be00f44a73bf8c58f45bf1918a88
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Fri Aug 5 19:49:58 2011 +0100

    e-d-s: fix link personas test

    We've changed the way we set up the writeable store in
    commit 5c062183b (bug #654907) and that broke this test.

 tests/eds/link-personas.vala |    2 +-
 tests/lib/eds/backend.vala   |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 5beccf217070b20abccb8485b44ca6b4fcc02af4
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Wed Aug 3 10:13:42 2011 +0100

    Don't set a timeout for contacts adding stress test

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=655008

 tests/eds/add-contacts-stress-test.vala |   29
 ++++++++++++++++-------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit d0e2285d8b82bdd8c314751a6a294c1ac457f208
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 20 22:08:00 2011 +0100

    Bug 655008 — Tidy up error handling in eds backend

    Return more specific error codes from Edsf.PersonaStore methods where
    possible, and in all cases make sure we've got a switch statement
    on the
    incoming error code. Closes: bgo#655008

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |  251
 +++++++++++++++++++++++++-----
 po/POTFILES.in                           |    1 +
 3 files changed, 212 insertions(+), 41 deletions(-)

commit 4e60d645efa3df5f3f0abd3301aeff0d369227b8
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 2 23:20:07 2011 +0100

    Clarify the documentation of PersonaStore.is_writeable

    Closes: bgo#652657

 NEWS                     |    1 +
 folks/persona-store.vala |   10 ++++++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit ca19d32918f94dc4280a3d7a28680f8fecb41cc5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 2 23:04:58 2011 +0100

    Bug 649296 — Folks backend files shouldn't begin with "lib"

    Rename the backend library files from
    “libfolks-backend-${BACKEND_NAME}.so”
    to “${BACKEND_NAME}.so”.

    Closes: bgo#649296

 NEWS                              |    1 +
 backends/eds/Makefile.am          |   18 +++++++++---------
 backends/key-file/Makefile.am     |   16 ++++++++--------
 backends/libsocialweb/Makefile.am |   18 +++++++++---------
 backends/telepathy/Makefile.am    |   18 +++++++++---------
 backends/tracker/Makefile.am      |   18 +++++++++---------
 configure.ac                      |   12 ++++++------
 7 files changed, 51 insertions(+), 50 deletions(-)

commit a506681228345cb028edfce24193f1baed000781
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Aug 3 21:41:38 2011 +0100

    eds: Minor fixes to documentation comment syntax

 backends/eds/lib/edsf-persona.vala |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit dd1a2268d2a49e6bdb4640c4e353fa0df4fb67b4
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Aug 2 11:47:37 2011 +0100

    e-d-s: add test for Gender property

    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=655745

 tests/eds/Makefile.am     |    6 ++
 tests/eds/set-gender.vala |  154
 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 160 insertions(+), 0 deletions(-)

commit 21abb433ae11eb38305627ee1778e703c281a6b5
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Tue Aug 2 11:45:34 2011 +0100

    e-d-s: Implement read/write support for gender property

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655745

 NEWS                                     |    1 +
 backends/eds/lib/edsf-persona-store.vala |   49 ++++++++++++++++++
 backends/eds/lib/edsf-persona.vala       |   80
 ++++++++++++++++++++++++++++--
 3 files changed, 126 insertions(+), 4 deletions(-)

commit 5c062183b8475bc46d7acb7c225e749e992fd3fa
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Thu Jul 21 01:33:50 2011 +0100

    Configure the writeable store by type_id and store id

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=654907

 NEWS                             |    1 +
 folks/individual-aggregator.vala |   44
 +++++++++++++++++++++++++++++++-------
 folks/persona-store.vala         |    8 ++++++-
 3 files changed, 44 insertions(+), 9 deletions(-)

commit dbca13c608291a69c2cc7abdfd0b0422336d475c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Aug 2 10:48:53 2011 -0700

    Add rules for uploading generated docs to freedesktop.org

    In the future, we should copy the remaining rules from
    telepathy-glib's setup,
    which restrict doc uploads to releases (as well as simplifying other
    details of
    releases).

 Makefile.am      |    3 +++
 docs/Makefile.am |   30 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 0 deletions(-)

commit df1bd099428cf825b3a44f28233b99df57db781e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:16:26 2011 -0700

    Build eds docs along with others.

 docs/Makefile.am |   69
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 69 insertions(+), 0 deletions(-)

commit 599f72029bd975699163fcc8f1c470675f48e269
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:31:04 2011 -0700

    Fix syntax error in valadoc for Edsf.PersonaStore.remove_persona.

 backends/eds/lib/edsf-persona-store.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c58fc08f7585b0eff8f9b03cbae563977f259452
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:25:04 2011 -0700

    Fix syntax error in valadoc for Edsf.PersonaStore.prepare.

 backends/eds/lib/edsf-persona-store.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cae9ceeaf1981fcb8b398ab90c902409857e17c9
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:21:18 2011 -0700

    Fix link in Edsf.Persona docs to Folks.AvatarDetails.avatar.

 backends/eds/lib/edsf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fdafc1e6eb1a43728e43f8742b8e74fcae901872
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:43:18 2011 -0700

    Build libsocialweb docs along with others.

 docs/Makefile.am |   72
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 72 insertions(+), 0 deletions(-)

commit fe7eedef675366b10cdfeba3060ee8ef7f60b648
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:58:25 2011 -0700

    Fix link in Swf.Persona docs to Folks.AvatarDetails.avatar.

 backends/libsocialweb/lib/swf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 63e1ea7613e8e8ffa757dac59b958fd90d0c69e1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:22:12 2011 -0700

    Fix link in Trf.Persona docs to Folks.AvatarDetails.avatar.

 backends/tracker/lib/trf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 038d5c7c677cd41c745b4c92a7d1d44441e73c01
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 15:01:16 2011 -0700

    Centralize .PHONY doc targets.

 docs/Makefile.am |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit e12c911c050b1b2c77ef51323535d21672056f2a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:45:17 2011 -0700

    Centralize definition of doc dirs to distclean.

 docs/Makefile.am |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit baabc922f641f07d36fb0696bab24e9a15708d20
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:16:39 2011 -0700

    Bump the required version of valadoc.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d5edb05b975ca79263dec21226cd4d3de057388
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:16:24 2011 -0700

    Actually check for the valadoc version when building docs.

 configure.ac |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit a2fc4d9ac2415ec132654f0d436a5ae8abf75b15
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Aug 1 14:09:10 2011 -0700

    Work around valadoc parsing bug with indented comments.

 folks/phone-details.vala |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7b68c5477f06ede33e693b6ed7cab3dc92263221
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 1 19:31:37 2011 +0100

    Give public access to properties for which there is write support

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655610

 NEWS                                  |    1 +
 backends/eds/lib/edsf-persona.vala    |    8 ++++----
 backends/tracker/lib/trf-persona.vala |    2 +-
 3 files changed, 6 insertions(+), 5 deletions(-)

commit 3772e17cf78775bf12e1527c9625973e0ab1354b
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Mon Aug 1 18:52:14 2011 +0100

    Make the Edsf.Persona class follow our coding style

    Besides adhering to our coding style, this also
    works around a bug in Vala that allows accessing

    public string foo { get; set; }

    through _foo.

    Works around: https://bugzilla.gnome.org/show_bug.cgi?id=655741

 backends/eds/lib/edsf-persona.vala |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 470428fc92f0b264b2cd7b0158f0e5320d1e7671
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 29 20:44:50 2011 +0100

    core: Remove unused PotentialMatch.result_to_string() method

 NEWS                       |    1 +
 folks/potential-match.vala |   29 -----------------------------
 2 files changed, 1 insertions(+), 29 deletions(-)

commit c93131b6d4d9226dd4d78c2ba58548a8e5c315f0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 29 20:06:55 2011 +0100

    docs: Fix up lots of minor issues in the documentation comments

 backends/eds/lib/memory-icon.vala |    4 +-
 folks/avatar-cache.vala           |    4 +-
 folks/avatar-details.vala         |    2 +-
 folks/individual-aggregator.vala  |   12 ++++
 folks/individual.vala             |    4 +-
 folks/name-details.vala           |    1 +
 folks/note-details.vala           |    9 +++-
 folks/object-cache.vala           |   22 +++++---
 folks/persona-store.vala          |  105
 ++++++++++++++++++++++++++++++++++++-
 folks/phone-details.vala          |   19 +++++--
 folks/postal-address-details.vala |   16 +++++-
 folks/potential-match.vala        |   32 +++++++++++
 folks/role-details.vala           |   12 ++++-
 folks/utils.vala                  |   11 ++++
 14 files changed, 228 insertions(+), 25 deletions(-)

commit 556fb7b3a76a2a4980aad1b9b4eb044bcb5478c3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 29 17:24:59 2011 +0100

    core: Make PotentialMatch.jaro_dist() private

 folks/potential-match.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7af3da6ca4342e1f951e29962bf63ccebcb69213
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 27 23:44:43 2011 +0100

    inspect: Add a linking command

 tools/inspect/Makefile.am          |    1 +
 tools/inspect/command-linking.vala |  280
 ++++++++++++++++++++++++++++++++++++
 tools/inspect/inspect.vala         |    1 +
 3 files changed, 282 insertions(+), 0 deletions(-)

commit e532982f321ff623a476d6c211eba2895dc14199
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 27 23:43:14 2011 +0100

    individual: Fix linking when personas are moved between individuals
    weirdly

    It's possible (likely, even) for a set of personas to move between two
    individuals during linking. Previously, bad things would happen to
    persona.individual if the personas weren't correctly removed from
    the first
    individual before being added to the second (e.g. if they were added
    to the
    second individual before being removed from the first). This fixes
    that.

 folks/individual.vala |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit f1e44427cfcda0a61dd0024deaf66abf0e8d98cf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jul 26 22:56:44 2011 +0100

    tests: Add a basic refcounting test for linked individuals

 tests/folks/aggregation.vala |  144
 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 144 insertions(+), 0 deletions(-)

commit 512bf8aff81106e3be92cb532079a3ef5f56c23a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jul 26 22:32:51 2011 +0100

    individual: Add more debug output to Individual

 folks/individual.vala |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 67cf88527d96fcc345c18d5c3bf974f7fb11ae48
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jul 25 22:58:15 2011 +0100

    aggregator: Ensure we don't remove Personas we're adding

    If a two Personas with the same UID are in the added and removed
    sets for a
    single call to personas_changed_cb() in the individual aggregator,
    make sure
    that we remove the old instance and replace it with the new instance,
    instead
    of just removing both instances. This covers the case where the
    real instance
    of a (Tpf.) Persona disappears and is immediately replaced by
    its cached
    copy.

    NOTE: This needs more testing.

 folks/individual-aggregator.vala |   19 +++++++++++++------
 1 files changed, 13 insertions(+), 6 deletions(-)

commit 5b90ebe8fde8229f30f56ea78feff17cea70ed34
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 16 18:35:52 2011 +0100

    Bug 652643 — Add PersonaStore cache

    Use ObjectCache in Tpf.PersonaStore.

    Closes: bgo#652643

 NEWS                                               |    1 +
 backends/telepathy/lib/Makefile.am                 |    1 +
 .../telepathy/lib/tpf-persona-store-cache.vala     |  154
 ++++++++++++++++++++
 backends/telepathy/lib/tpf-persona-store.vala      |  121
 +++++++++++++++-
 backends/telepathy/lib/tpf-persona.vala            |   66 ++++++++-
 5 files changed, 335 insertions(+), 8 deletions(-)

commit 776adae7b0e61ef5d542d992d5819bcacadce70d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 16 18:33:26 2011 +0100

    Add a generic caching object to the core of folks

    This adds the ObjectCache API.

    Helps: bgo#652643

 NEWS                          |    1 +
 folks/Makefile.am             |    1 +
 folks/object-cache.vala       |  403 ++++++++++++++++++++++++++++++
 tests/folks/Makefile.am       |    6 +
 tests/folks/object-cache.vala |  544
 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 955 insertions(+), 0 deletions(-)

commit f84d14b88ea1aceee2f3586593a967fcb87ef181
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 16 18:32:06 2011 +0100

    Unset the self-contact on Tpf.PersonaStore when resetting the store

 backends/telepathy/lib/tpf-persona-store.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3862f876a9bef82f4fcf838a00c81ef5c57ae353
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 13 10:54:23 2011 +0100

    Bug 650414 — Need better APIs to handle image data

    Change AvatarDetails.avatar to have type LoadableIcon. By introducing
    a libfolks-wide avatar cache, propagate this change to all the
    backends.

    This breaks the API of AvatarDetails.

    Closes: bgo#650414

 NEWS                                        |    3 +
 backends/eds/lib/Makefile.am                |    1 +
 backends/eds/lib/edsf-persona-store.vala    |   89 +++------
 backends/eds/lib/edsf-persona.vala          |  155 +++++++--------
 backends/eds/lib/memory-icon.vala           |  133 ++++++++++++
 backends/libsocialweb/lib/swf-persona.vala  |   14 +-
 backends/telepathy/lib/tpf-persona.vala     |   13 +-
 backends/tracker/lib/trf-persona-store.vala |   56 ++++-
 backends/tracker/lib/trf-persona.vala       |   24 ++-
 folks/Makefile.am                           |    1 +
 folks/avatar-cache.vala                     |  222 ++++++++++++++++++++
 folks/avatar-details.vala                   |    7 +-
 folks/individual.vala                       |    8 +-
 tests/eds/add-persona.vala                  |   23 +--
 tests/eds/avatar-details.vala               |   20 +--
 tests/eds/set-avatar.vala                   |   23 +--
 tests/folks/Makefile.am                     |    8 +
 tests/folks/avatar-cache.vala               |  301
 +++++++++++++++++++++++++++
 tests/tracker/add-persona.vala              |    9 +-
 tests/tracker/avatar-details-interface.vala |   34 +---
 tests/tracker/avatar-updates.vala           |   27 ++-
 tests/tracker/set-avatar.vala               |    6 +-
 tools/inspect/utils.vala                    |   16 ++-
 23 files changed, 915 insertions(+), 278 deletions(-)

commit 7fcf7cdbfe565b81a6d7e7b9f6e6cc9aed667a8a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 21 07:46:38 2011 -0700

    Add missing copyright/license notices to tests.

 tests/folks/aggregation.vala                    |   19
 +++++++++++++++++++
 tests/folks/backend-loading.vala                |   19
 +++++++++++++++++++
 tests/folks/field-details.vala                  |   19
 +++++++++++++++++++
 tests/key-file/individual-retrieval.vala        |   19
 +++++++++++++++++++
 tests/telepathy/individual-properties.vala      |   19
 +++++++++++++++++++
 tests/telepathy/individual-retrieval.vala       |   19
 +++++++++++++++++++
 tests/telepathy/persona-store-capabilities.vala |   19
 +++++++++++++++++++
 7 files changed, 133 insertions(+), 0 deletions(-)

commit fd49b5957ce971196537d0f877f235df25128735
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jul 20 11:28:40 2011 -0700

    Don't notify twice for EDS Persona nickname changes.

    Closes: bgo#655019 - Don't notify twice for nickname changes

 NEWS                               |    1 +
 backends/eds/lib/edsf-persona.vala |    4 ----
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 7a9bc474fba6c3c7c03ef52ddea2f2bea008d5c2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jul 20 11:28:12 2011 -0700

    Return early when setting an Edsf.Persona attribute to its current
    value.

    Helps: bgo#655019 - Don't notify twice for nickname changes

 backends/eds/lib/edsf-persona-store.vala |   68
 ++++++++++++++++++++++++++++++
 1 files changed, 68 insertions(+), 0 deletions(-)

commit dbca8f7fe23a36925c7263e1e51e58f7c096b1e0
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 21 13:16:08 2011 -0700

    Allow Edsf.PersonaStore._set_*name() sname arg to be null.

    Helps: bgo#655019 - Don't notify twice for nickname changes

 backends/eds/lib/edsf-persona-store.vala |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit 06ca1405ba73ee1563a54fcacf82591efd9ef004
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 21 13:14:15 2011 -0700

    Allow Edsf.PersonaStore._set_*avatar() avatar arg to be null.

    Helps: bgo#655019 - Don't notify twice for nickname changes

 backends/eds/lib/edsf-persona-store.vala |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit b5c35cc3dbd331367fa67ff8846e0ea229391789
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jul 20 11:29:57 2011 -0700

    Make Folks.Utils public and add Gee structure equality checking.

    Helps: bgo#655019 - Don't notify twice for nickname changes

 NEWS                    |    1 +
 folks/utils.vala        |   44 +++++++++++++++++++++++++-
 tests/folks/Makefile.am |    6 +++
 tests/folks/utils.vala  |   78
 +++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 127 insertions(+), 2 deletions(-)

commit a69aa8ce9b38401b8944dd4077ede6cb2ed1afb8
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 21 09:41:58 2011 -0700

    Update for 142f9b74: make Individual.calendar_event_id nullable

 folks/individual.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dcc8a4b39ee357fbbf42b98bffb2d6dc848d5f51
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jul 20 11:29:45 2011 -0700

    Un-break the EDS PersonaStore test for groups.

 tests/eds/persona-store-tests.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 142f9b742847e907425b44070b46960dcb1b208f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:52:03 2011 +0100

    Make BirthdayDetails.calendar_event_id nullable

    This includes expanding its documentation a little.

 NEWS                                  |    1 +
 backends/tracker/lib/trf-persona.vala |    2 +-
 folks/birthday-details.vala           |    6 ++++--
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 6c03cceabb64ab2282ee58d90ca6e7063ab3bb60
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:43:20 2011 +0100

    Fix visibility of TrfPersona.postal_addresses setter

 backends/tracker/lib/trf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0aec7fb049e7490a279f6c4ff22c9d0ed0673cf3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:42:25 2011 +0100

    Add a default implementation of TrfPersona.calendar_event_id

    It was missing; it might as well return a sensible default value
    and not
    allow setting of the value rather than doing nothing.

 backends/tracker/lib/trf-persona.vala |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit c81a0d85d254bf80ffefb5f87eb19422894ff21b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:41:46 2011 +0100

    Fix visibility of TpfPersona.avatar and SwfPersona.avatar setters

 backends/libsocialweb/lib/swf-persona.vala |    2 +-
 backends/telepathy/lib/tpf-persona.vala    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 22d9011bf6d1c35e79bb2b88c5546fe008542c20
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:41:23 2011 +0100

    Minor documentation fix for SwfPersona.avatar

 backends/libsocialweb/lib/swf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2483721d1e6f97c37c9fefb830d28e7187bcd7a5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 19:38:16 2011 +0100

    Bug 650422 — Add API for easily checking whether details are
    writeable

    Add Persona.writeable_properties, listing the properties of that
    Persona
    for which updated values will be stored. It's intended that the
    property
    value will be constant for a given Persona subclass, but this isn't
    guaranteed; it's possible that Persona subclasses may vary the
    value of
    writeable-properties at run time in future.

    Closes: bgo#650422

 NEWS                                       |    3 +++
 backends/eds/lib/edsf-persona.vala         |   25
 +++++++++++++++++++++++++
 backends/key-file/kf-persona.vala          |   16 ++++++++++++++++
 backends/libsocialweb/lib/swf-persona.vala |   11 +++++++++++
 backends/telepathy/lib/tpf-persona.vala    |   16 ++++++++++++++++
 backends/tracker/lib/trf-persona.vala      |   28
 ++++++++++++++++++++++++++++
 folks/persona.vala                         |   15 +++++++++++++++
 7 files changed, 114 insertions(+), 0 deletions(-)

commit 1c2329ec8032d3614e9a9b02e7b0b3166e62529c
Author: Tiffany Antopolski <tiffany@antopolski.com>
Date:   Wed Jul 20 15:48:01 2011 +0200

    Minor style change in presence-details.vala

    Moved left brace of enum from end of line
    to start of next line to match Folks style.

 folks/presence-details.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 629aa199668b32ff33452d9d22985e21193c6e4f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 20:38:29 2011 +0100

    Bug 645549 — Add a way to get the individual from a persona

    Add a Persona.individual property which is updated by
    Individual._connect_to_persona() and ._disconnect_from_persona() as
    appropriate, so should remain in lock-step with the Individual
    whose persona
    set the Persona instance is currently in.

    Closes: bgo#645549

 NEWS                  |    2 ++
 folks/individual.vala |    9 +++++++--
 folks/persona.vala    |   29 +++++++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 2 deletions(-)

commit 21b750e58f6ba3c00fdb550a56669dd6395ea824
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 3 20:18:33 2011 +0100

    Ensure that all modifications of Individual.personas happen in
    _set_personas()

    This ensures that signals are handled consistently, and the overall
    internal
    state of the Individual is kept consistent. This probably also
    fixes the
    implementation of store_removed signal handling for Individuals,
    which looked
    rather broken.

 folks/individual.vala |   50
 ++++++++++++++++--------------------------------
 1 files changed, 17 insertions(+), 33 deletions(-)

commit 61a22e725900c0a002357abb06b33746836c11ad
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 18:44:31 2011 +0100

    Fix the error domain of PersonaStore.remove_persona()

 NEWS                     |    2 ++
 folks/persona-store.vala |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 7ca922ad06ca2ff9b46e4d8f745a7dd42e2668cd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 10 18:41:25 2011 +0100

    Bug 652425 — Failure codes for removing personas needed in
    PersonaStoreError

    Add PersonaStoreError.PERMISSION_DENIED and
    PersonaStoreError.REMOVE_FAILED,
    which will be useful for the e-d-s backend.

    Closes: bgo#652425

 NEWS                     |    2 ++
 folks/persona-store.vala |   16 ++++++++++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit 4c027da00b91723c04ce0195dbcdcf334483b02b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat Jun 25 10:13:01 2011 +0100

    Remove  AliasDetails support from Trf.Persona

    The persona's alias was being stored as its nickname. Since we want
    to make
    nicknames writeable (bgo#652048) we have to store the nickname there
    instead. There's no ontology for storing aliases, so AliasDetails
    support
    has to be dropped.

    Closes: bgo#652048 — Make Individual.nickname writeable

 NEWS                                        |    2 +
 backends/tracker/lib/trf-persona-store.vala |   18 ++--
 backends/tracker/lib/trf-persona.vala       |   38 ++----
 tests/tracker/Makefile.am                   |    8 +-
 tests/tracker/add-persona.vala              |   16 ++--
 tests/tracker/set-alias.vala                |  173
 ---------------------------
 tests/tracker/set-nickname.vala             |  167
 ++++++++++++++++++++++++++
 7 files changed, 201 insertions(+), 221 deletions(-)

commit b01fae00ac721b89c4cce6e3eb353b8f0bbe98b8
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 19 09:03:59 2011 -0700

    Support nickname writability in the EDS backend.

    Helps: bgo#652048 — Make Individual.nickname writeable

 backends/eds/lib/edsf-persona-store.vala |   14 ++
 backends/eds/lib/edsf-persona.vala       |   14 ++-
 tests/eds/Makefile.am                    |   10 +-
 tests/eds/set-full-name.vala             |  149 -----------------------
 tests/eds/set-names.vala                 |  193
 ++++++++++++++++++++++++++++++
 5 files changed, 225 insertions(+), 155 deletions(-)

commit d3b636b525dbfd9c50a8fcbab0f82777042e3aa0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat Jun 25 10:11:39 2011 +0100

    Allow NameDetails.nickname to be writeable

    Helps: bgo#652048 — Make Individual.nickname writeable

 NEWS                                       |    1 +
 backends/libsocialweb/lib/swf-persona.vala |    6 +++-
 folks/individual.vala                      |   53
 ++++++++++++++++++++++++++--
 folks/name-details.vala                    |    6 +++-
 folks/persona-store.vala                   |    6 +++-
 5 files changed, 66 insertions(+), 6 deletions(-)

commit 120b058f7d40e879136a84df8975ffdd305ce6ac
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Jul 18 16:09:53 2011 -0700

    Un-break parallel building the eds backend.

    It would fail after a maintainer-clean or distclean with:

    make[4]: *** No rule to make target `folks-eds.vapi', needed by
    `all-am'.
      Stop.
    make[4]: *** Waiting for unfinished jobs....

    This is because we were setting VALAFLAGS, which was overriding the
    definition from configure.ac and generally causing havok.

 backends/eds/lib/Makefile.am |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit fdd7a11e32f28e02e7a4d823d1b8e842948ed37a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Mon Jul 18 15:07:48 2011 -0700

    Cut unreachable libsocialweb test code.

 tests/libsocialweb/dummy-lsw.vala |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d4931a0105291eb87ee127d88e79f5c166eba938
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 23:06:50 2011 +0100

    eds: Add support for contact groups/categories

 backends/eds/lib/edsf-persona-store.vala |   64 ++++++++++++++++++-
 backends/eds/lib/edsf-persona.vala       |  104
 ++++++++++++++++++++++++++++++
 2 files changed, 167 insertions(+), 1 deletions(-)

commit 6bf6d1391ef180e6129dbade8c781e7048c3e405
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 23:04:45 2011 +0100

    eds: Mark read-only address books as non-addable-to and
    non-removable-from

 backends/eds/lib/edsf-persona-store.vala |   38
 +++++++++++++++++++++++++++--
 1 files changed, 35 insertions(+), 3 deletions(-)

commit 4e5a08f35b83073637ccf3eb18d10bf8687b8bdb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 23:02:52 2011 +0100

    eds: Fix persona store removal in the Backend

    Embarrassing typo.

 backends/eds/eds-backend.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7ae86b48978223518cb101cf2f404da65acabfc2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 23:01:55 2011 +0100

    inspect: Don't print details of unprepared persona stores

    We're not supposed to, and they're not very useful anyway. Instead,
    we now
    print a message saying that the persona store is not prepared.

 tools/inspect/utils.vala |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 12c288af21d74ff985f419088c7a86518df7b00c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 19:30:01 2011 +0100

    eds: Fix linker warnings for the e-d-s backend tests

 tests/lib/eds/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 047baeab0b6ecf084c8e4bbf89bd3049cf6cb66c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 19:29:46 2011 +0100

    eds: Fix a variable's visibility in the e-d-s Backend

    This also takes the opportunity to s/addressbook/address book/
    an environment
    variable, since the official GNOME terminology is “address book”
    rather than
    “addressbook”.

 backends/eds/eds-backend.vala |    6 +++---
 tests/lib/eds/backend.vala    |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit cac0b5fb5f97d09d7b3c759364913686e3e2b308
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 13 19:28:38 2011 +0100

    eds: Tidy up the e-d-s Backend.unprepare() method

    This makes sure we disconnect from all the right signals, and
    abstracts
    adding and removing address books out into a single pair of methods.

 backends/eds/eds-backend.vala |   43
 ++++++++++++++++++++++++++++------------
 1 files changed, 30 insertions(+), 13 deletions(-)

commit be711b284c7b22851595aca9fe499e373012dd77
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 17:01:36 2011 -0700

    Update NEWS for bgo#654509.

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c0c13908446c3873f93cd2d125f29e39146aae3e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 17:00:08 2011 -0700

    Bump required version of Vala (needed for EDS).

    Closes: bgo#654509 - Folks master not building

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b6aaf7d8245e08610e1dda582e9f25342a272714
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 14:59:08 2011 -0700

    Set the backend name for the EDS backend.

 backends/eds/Makefile.am     |    2 ++
 backends/eds/lib/Makefile.am |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 0bc59d3dd657329e13ec66180974d5c12e6d244d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 14:56:09 2011 -0700

    Tidy up EDS CLEANFILES.

 backends/eds/lib/Makefile.am |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit bbfd558f7670170fc30c4bd854a7cafbc11a4de4
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jul 12 14:50:26 2011 -0700

    Re-locate the EDS headers.

    This is related to bgo#649790 - Vala uses the wrong includes

 backends/eds/Makefile.am         |    1 +
 backends/eds/lib/Makefile.am     |    7 ++++---
 backends/eds/lib/folks-eds.pc.in |    2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit c83a8c220658f5d27b9d9fb916df7cac9e86f1b3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jul 12 20:23:47 2011 +0100

    eds: Add source list change notification to the eds backend

    This means that Edsf.PersonaStores can come and go at run time.

    This also adds a little bit of debug output to the eds Backend.

 backends/eds/eds-backend.vala |   96
 ++++++++++++++++++++++++++++++++---------
 1 files changed, 75 insertions(+), 21 deletions(-)

commit 202cdad7b57a3e15ff8c1f48bf576508f5bd2fb5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jul 12 20:23:22 2011 +0100

    eds: Ensure that errors are thrown by Edsf.PersonaStore.prepare()
    properly

 backends/eds/lib/edsf-persona-store.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 31f40df6da4766401b576635a8a632db84ee0a01
Author: Raul Gutierrez Segales <raul.gutierrez.segales@collabora.co.uk>
Date:   Tue Jul 12 19:00:00 2011 +0100

    Add an EDS backend

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=638281

 NEWS                                         |    1 +
 backends/Makefile.am                         |    5 +
 backends/eds/Makefile.am                     |   67 +++
 backends/eds/backend.mk                      |    1 +
 backends/eds/eds-backend-factory.vala        |   64 ++
 backends/eds/eds-backend.vala                |  178 ++++++
 backends/eds/lib/Makefile.am                 |  116 ++++
 backends/eds/lib/edsf-persona-store.vala     |  811
 ++++++++++++++++++++++++++
 backends/eds/lib/edsf-persona.vala           |  806
 +++++++++++++++++++++++++
 backends/eds/lib/folks-eds-uninstalled.pc.in |   12 +
 backends/eds/lib/folks-eds.deps              |    6 +
 backends/eds/lib/folks-eds.pc.in             |   15 +
 configure.ac                                 |   37 ++-
 tests/Makefile.am                            |    5 +
 tests/eds/Makefile.am                        |  211 +++++++
 tests/eds/add-contacts-stress-test.vala      |  200 +++++++
 tests/eds/add-persona.vala                   |  394 +++++++++++++
 tests/eds/avatar-details.vala                |  154 +++++
 tests/eds/data/backend-eds-only.ini          |    5 +
 tests/eds/email-details.vala                 |  210 +++++++
 tests/eds/im-details.vala                    |  169 ++++++
 tests/eds/individual-retrieval.vala          |  143 +++++
 tests/eds/link-personas.vala                 |  408 +++++++++++++
 tests/eds/name-details.vala                  |  220 +++++++
 tests/eds/persona-store-tests.vala           |  214 +++++++
 tests/eds/phone-details.vala                 |  214 +++++++
 tests/eds/postal-address-details.vala        |  177 ++++++
 tests/eds/remove-persona.vala                |  203 +++++++
 tests/eds/removing-contacts.vala             |  135 +++++
 tests/eds/set-avatar.vala                    |  167 ++++++
 tests/eds/set-emails.vala                    |  154 +++++
 tests/eds/set-full-name.vala                 |  149 +++++
 tests/eds/set-im-addresses.vala              |  156 +++++
 tests/eds/set-notes.vala                     |  155 +++++
 tests/eds/set-phones.vala                    |  154 +++++
 tests/eds/set-postal-addresses.vala          |  166 ++++++
 tests/eds/set-structured-name.vala           |  151 +++++
 tests/eds/updating-contacts.vala             |  156 +++++
 tests/lib/Makefile.am                        |    5 +
 tests/lib/eds/Makefile.am                    |   56 ++
 tests/lib/eds/backend.vala                   |  291 +++++++++
 tests/tools/eds.sh                           |   25 +
 tests/tools/with-session-bus-eds.sh          |   44 ++
 43 files changed, 7009 insertions(+), 1 deletions(-)

commit ec2595451425f5f0f8555f62330d431fd902b273
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jul 7 11:12:43 2011 -0700

    Fix the valadoc string for FieldDetails.value.

 folks/field-details.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ad06533f4035e19cda7a21c23ede10a06c35de60
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jun 30 18:55:41 2011 +0100

    Bug 653746 — mismatch between hash and equals in Note

    Ensure that Note instances compare equal iff their UIDs are equal
    (as well as
    iff their contents are equal).

    Closes: bgo#653746

 NEWS                    |    1 +
 folks/note-details.vala |    5 +++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 73d440d2e08398baf9c7150ddefc3358234c1bc7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jul 2 20:43:21 2011 +0100

    Re-add a dependency on dbus-glib for the Telepathy test library

    Files in tests/lib/telepathy/contactlist/ still use dbus-glib,
    and have to
    because they're also using telepathy-glib.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c6fade51f5dd53cd91a52fa9f0ffa88203c8b065
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jun 30 16:03:24 2011 -0700

    Fix a typo in the IndividualAggregator.individuals_changed docs.

 folks/individual-aggregator.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9b4e626c637ec0f030abc577b4087b5505a35033
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 24 10:04:54 2011 -0700

    Make valadoc a hard dependency when using --enable-docs

    Closes: bgo#653325 — Build system does not complain if trying to
    build docs
    without vala-doc installed

 NEWS         |    2 ++
 configure.ac |    4 ++++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 5b8e4e245a8dbaaee05b1529acddce63089bf498
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 13 14:25:20 2011 +0100

    Bug 652449 — Folks.Individual's property getters should be read only

    Make the getters of container types in Folks.Individual return
    read-only
    views of the containers.

    Closes: bgo#652449

 NEWS                  |    1 +
 folks/individual.vala |   53
 ++++++++++++++++++++++++++++++++++--------------
 2 files changed, 38 insertions(+), 16 deletions(-)

commit 0933f3295ecc6a573dffbefddb26def0e3ff18d5
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 24 09:27:03 2011 -0700

    Cut meaningless 'Tests' output from configure.

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit bdc5313dd94b26c208098ce59a7a6ddcdaad2f4b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 24 08:21:54 2011 -0700

    Fix the configure output for docs.

    Based upon a couple issues raised in bgo#653325

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6ffb9775808386369c9a1fd45a072f404d410330
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jun 15 18:44:18 2011 +0100

    Bug 652660 — Make Individual.id more stable and well-defined

 NEWS                                       |    1 +
 folks/individual.vala                      |   60
 +++++++++++++++++++++++---
 tests/folks/aggregation.vala               |   64
 +++++++++++++++++++---------
 tests/telepathy/individual-properties.vala |   17 ++++----
 tests/telepathy/individual-retrieval.vala  |   37 +++++++++++-----
 5 files changed, 132 insertions(+), 47 deletions(-)

commit daf213dc62ee123ab7010edcb18c368d3969a513
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 16:05:58 2011 -0700

    Don't make the folks-telepathy docs depend directly upon dbus-glib.

    Closes: bgo#629716 - Migrate Folks to GDBus

 NEWS             |    1 +
 docs/Makefile.am |    1 -
 2 files changed, 1 insertions(+), 1 deletions(-)

commit e2b872732403113024f1560e7a9f05de0444951e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 15:46:28 2011 -0700

    Don't make the Libsocialweb backend depend directly upon dbus-glib.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/libsocialweb/lib/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 5e2c7adeff14517e36cd9d55335791833da64b5b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 15:38:16 2011 -0700

    Don't make the Telepathy tests depend directly upon dbus-glib.

    Helps: bgo#629716 - Migrate Folks to GDBus

 tests/telepathy/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 67b5617bcbb2109dd43d9f25feae52c7efaeaa1f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 13:41:15 2011 -0700

    Handle both the dbus-glib and GDBus missing logger errors.

    Helps: bgo#629716 - Migrate Folks to GDBus

 tests/lib/telepathy/contactlist/backend.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit be621be89c3e25c5875e245560328b3b556675ad
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 13:35:44 2011 -0700

    Update Tp test backend suppression to match GDBus behavior.

    Helps: bgo#629716 - Migrate Folks to GDBus

 tests/lib/telepathy/contactlist/backend.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit a32e8adc4dcc15d6ac207d9c9dd6c9d7d44cd174
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 21 16:31:18 2011 -0700

    Cut unnecessary log message suppressions in the Aggregation test.

    Helps: bgo#629716 - Migrate Folks to GDBus

 tests/folks/aggregation.vala |   35 -----------------------------------
 1 files changed, 0 insertions(+), 35 deletions(-)

commit 09bf32c22843eaa9cf34bd091d864dfa85bf4d63
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 21 16:14:04 2011 -0700

    Properly disconnect the logger::invalidated handler.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-persona-store.vala |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit 8b2449f753ee91cabb47895e26293737da640e69
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 7 16:16:47 2011 -0700

    Port Tpf.Logger to GDBus.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-logger.vala |   58
 +++++++++++++++++--------------
 1 files changed, 32 insertions(+), 26 deletions(-)

commit 17814e50568b923df74d41d354b8108fdfd0ee22
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 7 16:15:31 2011 -0700

    Factor out Tpf.Logger.prepare() from its constructor.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-logger.vala        |   14 ++++++++++++--
 backends/telepathy/lib/tpf-persona-store.vala |    1 +
 2 files changed, 13 insertions(+), 2 deletions(-)

commit fa396c2ca0c6116959d4397438154de15393422c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 8 08:39:28 2011 -0700

    Use the GLib definition of Error instead of DBus.Error.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-logger.vala        |   14 +++++++-------
 backends/telepathy/lib/tpf-persona-store.vala |    6 +++---
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 0f45b1150d8380d170d3cdaebdfc576f9060e52c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 7 11:23:43 2011 -0700

    Use the GLib definition for Object.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-logger.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ba83c9014931c9bbf897de14d7dbaa2876ccea32
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 7 11:21:53 2011 -0700

    Use the GLib definition for ObjectPath.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/tpf-logger.vala |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 627643e93b4b38a1904684f9361b498d0fe7ec3a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 7 11:16:21 2011 -0700

    Don't build dbus-glib into Telepathy backend.

    Helps: bgo#629716 - Migrate Folks to GDBus

 backends/telepathy/lib/Makefile.am |    3 ---
 configure.ac                       |    3 ---
 2 files changed, 0 insertions(+), 6 deletions(-)

commit 2d042c289bcc140f402c20603c12e57339815cf4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 13 17:20:34 2011 +0100

    Bug 652472 — Handle failure in getting the logger service better

    If we fail to get the logger from the bus, get_object() may return
    NULL. If
    we check for this, we don't then try and connect a signal to a
    NULL object
    instance and emit criticals.

    Closes: bgo#652472

 NEWS                                   |    1 +
 backends/telepathy/lib/tpf-logger.vala |    7 +++++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 89a975951e2e52597c4193a9aafe27356588fff2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 22 16:39:35 2011 -0700

    Fix the link within the PresenceDetails.presence_status docs

 folks/presence-details.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fb8474d72d9afae514522c243503e6d928642131
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jun 14 15:21:29 2011 +0100

    Bug 648071 — Add support for presence status from Telepathy

    Add a presence_status property to PresenceDetails to expose the
    detailed
    presence status string that Telepathy exposes.

    Closes: bgo#648071

 NEWS                                       |    2 ++
 backends/telepathy/lib/tpf-persona.vala    |   19 +++++++++++++++++++
 folks/individual.vala                      |   14 ++++++++++++++
 folks/presence-details.vala                |   12 ++++++++++++
 tests/telepathy/individual-properties.vala |    1 +
 5 files changed, 48 insertions(+), 0 deletions(-)

commit 3c5ebf360d0dd934928683f6d1ee41c6ba106e91
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 21 15:08:45 2011 -0700

    Don't crash if a provided TpContact ID is NULL.

 tests/lib/telepathy/contactlist/conn.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d7514bc4c8d2772bb7d8e6f0baa6bb5407ab7f0c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 21 14:43:06 2011 -0700

    Don't add null Personas in personas-changed signal arguments.

 backends/telepathy/lib/tpf-persona-store.vala |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit edb8daf44a810aaa3b9ca1ebfb701d6b9ff2cc7b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Jun 21 14:08:47 2011 -0700

    Note closing of bgo#652434 — Add ability to run any tests through
    gdb

    Closes: bgo#652434

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 506058011ec47ef14a03c9ce2fde35d82b7ba394
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 10 10:39:27 2011 -0700

    Add ability to run any of our tests through gdb

    Run a test through gdb with:

        make -C tests/<dir> <test name>.gdb

 HACKING                        |   11 +++++++++++
 check.mk                       |    6 ++++++
 tests/folks/Makefile.am        |    1 +
 tests/key-file/Makefile.am     |    1 +
 tests/libsocialweb/Makefile.am |    1 +
 tests/telepathy/Makefile.am    |    1 +
 tests/tracker/Makefile.am      |    1 +
 7 files changed, 22 insertions(+), 0 deletions(-)

commit 68ae999ee44d13707e7773a3c7f58df45b38ef7d
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 17 16:06:22 2011 +0100

    Cut redundant EXTRA_DIST entry.

 tests/lib/telepathy/contactlist/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit bbda7744abd5b2b5c05f52e34c83bfc12935d0e1
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 17 16:05:38 2011 +0100

    More-cleanly define gir and vapi files.

 tests/lib/telepathy/contactlist/Makefile.am |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 47f529f3772cab9e4b59a7bb427b7a1c0964c957
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 17 15:15:44 2011 +0100

    Add Make rule for generating tracker-test.vapi.

    After a maintainer-clean, Make doesn't know how to generate this
    file otherwise.

 tests/lib/tracker/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 52c37b151b02baf1242f23ef1f866e6d7f06a556
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Jun 17 13:58:47 2011 +0100

    Dist but don't include the tracker-test vapi files.

 tests/lib/tracker/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5dc9e848c7f984a585de9e1f2779f096ef52b002
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 13 15:20:55 2011 +0100

    Bug 652463 — Tidy up CLEANFILES

    Tidy up pkg-config and configure-generated files in CLEANFILES and
    DISTCLEANFILES.

    Closes: bgo#652463

 NEWS                                        |    1 +
 backends/libsocialweb/lib/Makefile.am       |    7 -------
 backends/telepathy/lib/Makefile.am          |    6 ------
 backends/tracker/lib/Makefile.am            |    7 -------
 folks/Makefile.am                           |    5 -----
 tests/data/Makefile.am                      |    2 +-
 tests/lib/Makefile.am                       |    4 ----
 tests/lib/libsocialweb/Makefile.am          |    6 +++++-
 tests/lib/telepathy/contactlist/Makefile.am |    6 +++++-
 9 files changed, 12 insertions(+), 32 deletions(-)

commit d4e7847013535d72a81646aa6397a431583c8c79
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jun 13 12:09:34 2011 +0100

    Bug 646244 — Incomplete logic to handle attribute updates in
    Folks.Individual

    Tidy up some of the update methods in Folks.Individual to handle
    null values
    a little better.

    Closes: bgo#646244

 NEWS                  |    1 +
 folks/individual.vala |   92
 ++++++++++++++++++++++++++----------------------
 2 files changed, 51 insertions(+), 42 deletions(-)

commit e60a5fa59f5706105a72a9182ae24f499e14f36c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jun 9 15:29:53 2011 -0700

    Don't delete tp-test-contactlist.deps when maintainer-cleaning.

    This fixes a bug introduced by b983fee7

 tests/lib/telepathy/contactlist/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1baf849cc8296f7d154742ded5069034680850c5
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Jun 9 08:43:54 2011 -0700

    Handle ownership of TpContact.connection automatically.

    It recently changed in telepathy-glib and/or Vala 0.14.x finally
    detected that
    the TpContact.connection property returns an owned TpConnection
    (making our use
    of "unowned Connection connection = contact.connection" invalid).

 backends/telepathy/lib/tpf-persona.vala |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b983fee7d961ddd88016095aa324700213d1fe7b
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Wed Jun 8 12:17:43 2011 +0100

    Dist the tp-test-contactlist.deps file

    It was missing from tarballs, which causes folks to fail to build
    in some circumstances.

 tests/lib/telepathy/contactlist/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 394fe118bbe5d4040d9fb7170d9302e4b3c81c83
Author: Raul Gutierrez Segales <rgs@collabora.co.uk>
Date:   Sun Jun 5 11:49:20 2011 +0100

    Move tracker's test image to a common location

    Moving this to tests/data so it can be shared by other
    backends.

 tests/Makefile.am                |    4 ++++
 tests/data/avatar-01.jpg         |  Bin 0 -> 1157 bytes
 tests/tracker/Makefile.am        |    3 +--
 tests/tracker/data/avatar-01.jpg |  Bin 1157 -> 0 bytes
 4 files changed, 5 insertions(+), 2 deletions(-)

commit ff841e27e776573de7ccdf886cf923cf202a77a9
Author: Raul Gutierrez Segales <raul.gutierrez.segales@collabora.co.uk>
Date:   Tue May 24 18:56:12 2011 +0100

    Play nicely with new API in Vala 0.14

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=650997

 backends/key-file/kf-persona-store.vala     |   12 +++++++-----
 folks/backend-store.vala                    |   13 +++++++------
 folks/group-details.vala                    |    2 +-
 folks/types.vala                            |    2 +-
 tests/tracker/avatar-details-interface.vala |    6 +++---
 5 files changed, 19 insertions(+), 16 deletions(-)

commit d016a8345dff6b20e319b2427e1132836f5e7928
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed May 11 14:19:46 2011 +0100

    libsocialweb: Swf.Persona stores SocialWebClient.Contact

    Closes: bgo#649925 - expose SocialWebClient.Contact in Swf.Persona

 NEWS                                       |    6 +++++
 backends/libsocialweb/lib/swf-persona.vala |   21 +++++++++++++++++
 tests/libsocialweb/dummy-lsw.vala          |   34
 ++++++++++++++++++++++++++-
 3 files changed, 59 insertions(+), 2 deletions(-)

commit 20128af512e75b117b82ae46998e4287ca03a36b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 1 11:07:14 2011 -0700

    Post-release bump.

 NEWS         |    3 +++
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit dbb0c8db7541f792ca885123d04625317d04c949
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 1 09:14:09 2011 -0700

    Release version 0.5.2.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b9a936a7b3705ff929e8765857b266a52cb905e2
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 1 09:06:48 2011 -0700

    Note fix for bgo#650268 build failure in NEWS.

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7d7ad36264dfa873d5aa81598d3c372271b61efe
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 1 09:05:22 2011 -0700

    Fix location of NEWS entry for bgo#650067 fix.

 NEWS |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 884d7f20fc709c45248c05896f5a262082117fdd
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Wed Jun 1 09:01:57 2011 -0700

    Define the proper autoconf constant when enabling the libsocialweb
    backend.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1ab93eb1b5714781eefb5ee897f2b167c510054b
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue May 31 16:21:33 2011 -0700

    Don't re-build the vapi files unless we've been configured with Vala.

 backends/telepathy/lib/Makefile.am          |    2 ++
 tests/lib/telepathy/contactlist/Makefile.am |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit f2af4bea9767768e5c6cdf4f648fb71cd8c23a4a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue May 31 15:28:38 2011 -0700

    Don't require [lib]valadoc to build docs.

 configure.ac |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit e3e2f54f6e7239cfe18d35ed698ddf041545fcc7
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue May 31 15:04:48 2011 -0700

    Only check for libsocialweb Vala deps if Vala is enabled.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 76ddbe23727417fbbb7484a0bf16be83692e161a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue May 31 16:40:53 2011 -0700

    Check for folks-telepathy.h in the proper dir when building docs.

 docs/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 77f97b8797f82b08c959d3ae32e58b70fc70f2bf
Author: Raul Gutierrez Segales <raul.gutierrez.segales@collabora.co.uk>
Date:   Tue May 24 18:11:49 2011 +0100

    [tracker] Deal with null Avatars being set on a Trf.Persona

    Fixes: bgo#650067 - Tracker backend warns when setting a NULL
    avatar (ie, unsetting the avatar)

 NEWS                                        |    2 +
 backends/tracker/lib/trf-persona-store.vala |   15 ++-
 tests/tracker/Makefile.am                   |    6 +
 tests/tracker/set-null-avatar.vala          |  140
 +++++++++++++++++++++++++++
 4 files changed, 158 insertions(+), 5 deletions(-)

commit 7bba7ad32a8c9f4b6420da4dd993be73e313a147
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri May 13 12:16:26 2011 -0700

    Post-release version bump.

 NEWS         |    3 +++
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit f982bfb21414dc23a824ffbf0111a97372addf7c
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 15:51:20 2011 -0700

    Release Folks 0.5.1.

 backends/tracker/lib/trf-persona-store.vala |    8 ++++----
 configure.ac                                |   10 +++++-----
 folks/backend-store.vala                    |    2 +-
 folks/backend.vala                          |    2 +-
 folks/debug.vala                            |   26
 +++++++++++++-------------
 folks/email-details.vala                    |    2 +-
 folks/field-details.vala                    |    6 +++---
 folks/group-details.vala                    |    2 +-
 folks/im-details.vala                       |    2 +-
 folks/individual-aggregator.vala            |   10 +++++-----
 folks/individual.vala                       |    6 +++---
 folks/local-id-details.vala                 |    2 +-
 folks/note-details.vala                     |    2 +-
 folks/persona-store.vala                    |    4 ++--
 folks/phone-details.vala                    |    2 +-
 folks/postal-address-details.vala           |    4 ++--
 folks/potential-match.vala                  |    2 +-
 folks/role-details.vala                     |    2 +-
 folks/url-details.vala                      |    2 +-
 folks/web-service-details.vala              |    2 +-
 20 files changed, 49 insertions(+), 49 deletions(-)

commit c8d1babd0e9eeac6ec2d1b1c1a7cf113278b17e8
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri May 13 09:35:13 2011 -0700

    Generate backend library headers in folks/ subdirs.

    This is to allow in-tree building, since we changed the includedir,
    which
    makes the vapi files include headers as <folks/header.h>. Outputting
    our
    headers in a folks/ subdir works around this issue by making the
    backend/*/lib dir match the expected includedir layout.

 backends/libsocialweb/Makefile.am     |    1 +
 backends/libsocialweb/lib/Makefile.am |    6 +++---
 backends/telepathy/Makefile.am        |    1 +
 backends/telepathy/lib/Makefile.am    |    6 +++---
 backends/tracker/Makefile.am          |    1 +
 backends/tracker/lib/Makefile.am      |    6 +++---
 6 files changed, 12 insertions(+), 9 deletions(-)

commit 3bc8ec29a4bee93960dd22886f633008a2597e5e
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 22:20:40 2011 -0700

    Don't depend upon removed LinkedHashSet stamp file.

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d9f7cf4277258c6ad4f28fa07bcc4ac072e80de0
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 16:36:22 2011 -0700

    Strip tab characters from valadocs to unbreak doc building.

 folks/debug.vala |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 59c0e7bf68e52a92f6e501e7c70786f40926cde7
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 22:59:17 2011 -0700

    Properly distribute the typelib file.

 folks/Makefile.am |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 6eae871cc2b1753f38a0a299c0e495621df5391f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 22:55:49 2011 -0700

    Distribute Folks-*.gir and Folks-*.typelib

 folks/Makefile.am |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 07ce4077e62b4adbf3191249ddb355512cca5bde
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 22:54:35 2011 -0700

    Allow generated source files to exist after distcleancheck.

    It turns out to be nearly impossible to satisfy a standard
    distcleancheck
    with Vala and its automake support. This is specifically a work-around
    because there doesn't seem to be any obvious way to satisfy these
    requirements:

      * the release tarball can be built without gobject-introspection,
      valac,
        or vapigen

      * it's safe to run "make distclean" in the release tarball without
        suddenly requiring the tools listed above (due to generated files
        being removed)

      * "make distcheck" doesn't fail its "distcleancheck" phase due
      to the
        following files remaining after distclean:

        - tests/lib/telepathy/contactlist/tp-test-contactlist.gir
        - tests/lib/telepathy/contactlist/tp-test-contactlist.vapi
        - backends/telepathy/lib/tp-lowlevel.gir
        - backends/telepathy/lib/tp-lowlevel.vapi

    We've hit this last issue multiple times, and no fix seems to
    stick. So
    stripping out this check seems to be the best option (until we can
    remove the Vala/GObject-Introspection-free build requirement, when
    they've stabilized more and we don't depend upon the latest versions
    which
    may not be in all the major distros).

 Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e2f7b5916b566b81cf148b81c266cb95af436d47
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu May 12 14:00:02 2011 -0700

    Allow the types argument for PostalAddress() to be null.

 folks/postal-address-details.vala |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 58cc29fd89f7c81b6d5f42cbf5021657bcae7eda
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sun May 1 22:12:47 2011 +0100

    Bug 649088 — Combining contacts doesn't work with german Umlauts

    Fix normalisation of Jabber IDs to use the correct Unicode
    normalisation mode
    as described in RFC 3920, §A.4. Closes: bgo#649088

 NEWS                  |    1 +
 folks/im-details.vala |   14 +++++++-------
 2 files changed, 8 insertions(+), 7 deletions(-)

commit a9f6a07dc97e309261fa20a9b765afefe2affdf2
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue May 10 13:11:05 2011 +0200

    Ensure includes are done with <folks/*.h>

    This changes all pc files to not include -I$incdir/folks and fixes
    the vapi files to add the folks/ part to the includes.

    https://bugzilla.gnome.org/show_bug.cgi?id=649790

 NEWS                                               |    3 +++
 backends/libsocialweb/lib/Makefile.am              |    1 +
 backends/libsocialweb/lib/folks-libsocialweb.pc.in |    2 +-
 backends/telepathy/lib/Makefile.am                 |    1 +
 backends/telepathy/lib/folks-telepathy.pc.in       |    2 +-
 backends/tracker/lib/Makefile.am                   |    1 +
 backends/tracker/lib/folks-tracker.pc.in           |    2 +-
 folks/Makefile.am                                  |    1 +
 folks/folks-uninstalled.pc.in                      |    2 +-
 9 files changed, 11 insertions(+), 4 deletions(-)

commit 23fc09d4a23a52da48ecc7d08cd2629c2272ce1a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 26 23:56:41 2011 +0100

    Add a “debug” command to folks-inspect to print status information

    When executed, it simply calls Folks.Debug.emit_print_status().

    Closes: bgo#648533

 NEWS                             |    1 +
 tools/inspect/Makefile.am        |    1 +
 tools/inspect/command-debug.vala |   54
 ++++++++++++++++++++++++++++++++++++++
 tools/inspect/inspect.vala       |    1 +
 4 files changed, 57 insertions(+), 0 deletions(-)

commit 4292b07504c13e70fba6c1b23b1a043cb2120fa3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Apr 23 01:14:20 2011 +0100

    Allow printing out status information at runtime

    When Folks.Debug.print-status is emitted, BackendStore,
    IndividualAggregator
    and Tpf.PersonaStore will now print out their status, including a list
    of all the loaded backends, persona stores, aggregated individuals
    and their
    personas.

    Folks.Debug.print-status could be emitted as a result of the client
    process
    receiving SIGUSR2, for example.

    Helps: bgo#648533

 backends/telepathy/lib/tpf-persona-store.vala |  220
 +++++++++++++++++++++++++
 folks/backend-store.vala                      |   69 ++++++++
 folks/debug.vala                              |   50 ++++++
 folks/individual-aggregator.vala              |   85 ++++++++++
 4 files changed, 424 insertions(+), 0 deletions(-)

commit 26ea12bdcfbca8ba00b859a59db357a9608e5b39
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 24 00:22:19 2011 +0100

    Add debug printing and formatting methods to Debug

    This includes indentation and output colouring support.

    Helps: bgo#648533

 folks/backend-store.vala |    4 +-
 folks/debug.vala         |  234
 +++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 233 insertions(+), 5 deletions(-)

commit ff2d72431787e1cf17697398f9d721f360ec6e7c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Apr 23 01:10:50 2011 +0100

    Allow the singleton Debug instance to be retrieved without setting
    its flags

    Helps: bgo#648533

 folks/backend-store.vala |    3 +-
 folks/debug.vala         |   49
 ++++++++++++++++++++++++++++++++-------------
 2 files changed, 37 insertions(+), 15 deletions(-)

commit 2c71358301f6da87186acf3c3405c55df3c5fe57
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Apr 23 00:58:54 2011 +0100

    Allow enabling/disabling output of debug messages at runtime

    Helps: bgo#648533

 folks/debug.vala |   46 ++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 44 insertions(+), 2 deletions(-)

commit c5ef70859ff19c46f6e3a08a3816a1fc3e0cb6d2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Apr 25 21:07:38 2011 +0100

    Make Debug public and restrict it to being a singleton

    Also add some API documentation to its newly-public members and
    make it
    thread-safe.

 NEWS             |    1 +
 folks/debug.vala |   80
 +++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 57 insertions(+), 24 deletions(-)

commit fbd2a2d588541177c1e2441d28f1bc70f7e75c88
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Apr 27 15:49:33 2011 +0100

    Bug 648767 — Return read-only views of Sets and Maps where possible

    This prevents clients from messing up libfolks' state by modifying
    Sets or
    Maps returned to them by libfolks when those Sets or Maps are just
    references
    to the ones used internally by libfolks, as is the case with many
    properties.

    Closes: bgo#648767

 backends/key-file/kf-backend.vala                |    4 +-
 backends/key-file/kf-persona-store.vala          |   14 ++---
 backends/libsocialweb/lib/swf-persona-store.vala |   10 ++--
 backends/libsocialweb/lib/swf-persona.vala       |    4 +-
 backends/libsocialweb/sw-backend.vala            |    8 ++-
 backends/telepathy/lib/tpf-persona-store.vala    |   28 ++++------
 backends/telepathy/lib/tpf-persona.vala          |    4 +-
 backends/telepathy/tp-backend.vala               |    4 +-
 backends/tracker/lib/trf-persona-store.vala      |   13 ++--
 backends/tracker/lib/trf-persona.vala            |   65
 ++++++++++++++-------
 backends/tracker/tr-backend.vala                 |    4 +-
 folks/backend-store.vala                         |    7 ++-
 folks/field-details.vala                         |    2 +-
 folks/individual-aggregator.vala                 |   66
 ++++++++++++++++++----
 folks/individual.vala                            |   38 +++++++++++-
 folks/persona-store.vala                         |   30 ++++++++++
 folks/postal-address-details.vala                |    4 +-
 17 files changed, 219 insertions(+), 86 deletions(-)

commit e5c020e4e871e328fc401b4dfd2a9935a9fe6b9b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 22:47:49 2011 +0100

    Tidy up signal disconnections in IndividualAggregator

    Closes: bgo#645186

 NEWS                             |    1 +
 folks/individual-aggregator.vala |   26 ++++++++++++++++++++++----
 2 files changed, 23 insertions(+), 4 deletions(-)

commit a4c3866f54b4be1b21b401127670ee147d4fc4ee
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 22:36:13 2011 +0100

    Tidy up channel signal disconnections in Tpf.PersonaStore

    Helps: bgo#645186

 backends/telepathy/lib/tpf-persona-store.vala |   53
 ++++++++++++++++++++++--
 1 files changed, 48 insertions(+), 5 deletions(-)

commit ebe1339328b458db6ecd85d41a9472849b8088eb
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 22:13:42 2011 +0100

    Add a missing signal disconnection to Tr.Backend

    Helps: bgo#645186

 backends/tracker/tr-backend.vala |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8e555864fd37e9efb967768fd9b5dc512e7059ce
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 22:02:59 2011 +0100

    Add a missing signal disconnection to Tp.Backend

    Helps: bgo#645186

 backends/telepathy/tp-backend.vala |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7fede8525f682559fe23280ad107082d3793b82d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 22:01:38 2011 +0100

    Add a missing signal disconnection to Kf.Backend

    Helps: bgo#645186

 backends/key-file/kf-backend.vala |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bc22db53346c24ccb3dc6d53d00ccda125f6e6cf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Apr 22 21:59:14 2011 +0100

    Fix a potential crash in Swf.PersonaStore on destruction before
    preparation

    If a Swf.PersonaStore is finalised before .prepare() is called, its
    _contact_view member will be null, so it shouldn't try and disconnect
    from
    signals from it.

 backends/libsocialweb/lib/swf-persona-store.vala |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit ce07382fe7eb1bd44858c1d925caed5d2bbd16e8
Author: Maxim Ermilov <zaspire@rambler.ru>
Date:   Fri Apr 22 03:06:51 2011 +0400

    Add GObject Introspection Support

    Closes: bgo#648161

 NEWS              |    1 +
 configure.ac      |    8 ++++++--
 folks/Makefile.am |   21 +++++++++++++++++++++
 3 files changed, 28 insertions(+), 2 deletions(-)

commit 50c7885244b085eadc798151b730c635326a25fa
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Apr 26 09:59:29 2011 -0700

    Add a NEWS entry for fixing bgo#640092.

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 42992e45d4441de8378f2c15ae6de157ff9b0ab2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 11:22:18 2011 +0100

    Change PostalAddress.types to be a Set<string>

    Helps: bgo#640092

 NEWS                                               |    1 +
 backends/tracker/lib/trf-persona-store.vala        |    4 +-
 backends/tracker/lib/trf-persona.vala              |    4 +-
 folks/postal-address-details.vala                  |   25
 +++++++++++--------
 tests/tracker/add-persona.vala                     |    4 +-
 .../tracker/postal-address-details-interface.vala  |    2 +-
 tests/tracker/set-postal-addresses.vala            |    4 +-
 7 files changed, 24 insertions(+), 20 deletions(-)

commit df92a32fc1c0597df616c0bbe57c7d07772ecf93
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:41:57 2011 +0100

    Change PotentialMatch.known_email_aliases to be of type Set<string>

    Helps: bgo#640092

 NEWS                       |    1 +
 folks/potential-match.vala |   11 ++++++++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit a1aa6294a48a6cec8b92edd7f7cc73f6047c39cc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:41:20 2011 +0100

    Change RoleDetails.roles to be of type Set<Role>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |    2 +-
 backends/tracker/lib/trf-persona.vala       |    2 +-
 folks/individual.vala                       |    7 +++++--
 folks/role-details.vala                     |    4 ++--
 tests/tracker/add-persona.vala              |    4 ++--
 tools/inspect/utils.vala                    |   20 ++++++++++++++++++++
 7 files changed, 32 insertions(+), 8 deletions(-)

commit 99d591f3b4888c6ad4f5ca3f89bc187f351fba72
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:40:50 2011 +0100

    Change NoteDetails.notes to be of type Set<Note>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |    2 +-
 backends/tracker/lib/trf-persona.vala       |    2 +-
 folks/individual.vala                       |    7 +++++--
 folks/note-details.vala                     |    4 ++--
 tests/tracker/add-persona.vala              |    4 ++--
 tools/inspect/utils.vala                    |   20 ++++++++++++++++++++
 7 files changed, 32 insertions(+), 8 deletions(-)

commit 99af9effc77f18bb83c369d48b16513a92cff920
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:40:10 2011 +0100

    Change LocalIdDetails.local_ids to be of type Set<string>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |   12 ++++++------
 backends/tracker/lib/trf-persona.vala       |    6 ++++--
 folks/individual-aggregator.vala            |    2 +-
 folks/individual.vala                       |    7 +++++--
 folks/local-id-details.vala                 |    4 ++--
 tools/inspect/utils.vala                    |    3 ++-
 7 files changed, 21 insertions(+), 14 deletions(-)

commit 37a01ab4fdc9e0ac85b850824212a1ed44e8d27e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:31:54 2011 +0100

    Change PersonaStore.personas to be a Map<string, Persona>

    This helps in our quest to get rid of HashTable.

    Helps: bgo#640092

 NEWS                                             |    1 +
 backends/key-file/kf-persona-store.vala          |   20
 +++++++++-----------
 backends/libsocialweb/lib/swf-persona-store.vala |   14 +++++++-------
 backends/telepathy/lib/tpf-persona-store.vala    |   11 +++++------
 backends/tracker/lib/trf-persona-store.vala      |   20
 ++++++++++----------
 folks/persona-store.vala                         |    4 +++-
 tests/tracker/remove-persona.vala                |    4 ++--
 tools/inspect/utils.vala                         |   14 +++++++-------
 8 files changed, 44 insertions(+), 44 deletions(-)

commit 03bfb40e46b9c804700c57e0a6a6faf6aa503cda
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:14:05 2011 +0100

    Change IndividualAggregator.individuals to be a Map<string,
    Individual>

    This helps in our quest to get rid of HashTable.

    Helps: bgo#640092

 NEWS                                     |    1 +
 folks/individual-aggregator.vala         |   32
 +++++++++++++++---------------
 tests/tracker/add-contact.vala           |    5 +--
 tests/tracker/avatar-updates.vala        |    2 +-
 tests/tracker/emails-updates.vala        |    2 +-
 tests/tracker/match-all.vala             |    2 +-
 tests/tracker/match-email-addresses.vala |    4 +-
 tests/tracker/match-im-addresses.vala    |    4 +-
 tests/tracker/match-known-emails.vala    |    4 +-
 tests/tracker/match-name.vala            |    4 +-
 tests/tracker/match-phone-number.vala    |    4 +-
 tools/inspect/command-individuals.vala   |   10 ++++----
 tools/inspect/command-personas.vala      |    6 +---
 tools/inspect/utils.vala                 |   20 +++++++++---------
 14 files changed, 49 insertions(+), 51 deletions(-)

commit 290c04b913002f5630b3ce3a72620f5b9964cae8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 01:02:54 2011 +0100

    Change IndividualAggregator.get_[all_]potential_matches() to return
    a Map

    We don't want to expose the fact that we're using a *hash* map
    internally.

    Helps: bgo#640092

 NEWS                             |    4 ++++
 folks/individual-aggregator.vala |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 2d66369e4196c71aa390405ee82c67dd4af980ca
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 20 00:58:00 2011 +0100

    Change IndividualAggregator.link_personas() to take a Set<Persona>

    Helps: bgo#640092

 NEWS                                           |    1 +
 folks/individual-aggregator.vala               |   12 ++++--------
 tests/libsocialweb/aggregation.vala            |    8 ++++----
 tests/tracker/link-personas-via-local-ids.vala |   10 +++++-----
 tests/tracker/link-personas.vala               |   10 +++++-----
 5 files changed, 19 insertions(+), 22 deletions(-)

commit d27602ca291598b2de3b69b3b32c35784423d244
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 16:40:07 2011 +0000

    Port IndividualAggregator.individuals_changed to use Set<Individual>

    Helps: bgo#640092

 NEWS                                               |    2 +
 folks/individual-aggregator.vala                   |   30
 ++++++++++++--------
 tests/key-file/individual-retrieval.vala           |   11 ++++--
 tests/libsocialweb/aggregation.vala                |   18 +++++++----
 tests/libsocialweb/dummy-lsw.vala                  |   12 ++++----
 tests/telepathy/individual-properties.vala         |   14 ++++----
 tests/telepathy/individual-retrieval.vala          |    4 +-
 tests/tracker/add-contact.vala                     |    8 ++--
 tests/tracker/add-persona.vala                     |    8 ++--
 tests/tracker/additional-names-updates.vala        |    8 ++--
 tests/tracker/avatar-details-interface.vala        |    6 ++--
 tests/tracker/avatar-updates.vala                  |    8 ++--
 tests/tracker/birthday-details-interface.vala      |    8 ++--
 tests/tracker/birthday-updates.vala                |    8 ++--
 tests/tracker/default-contact.vala                 |    8 ++--
 tests/tracker/duplicated-emails.vala               |    8 ++--
 tests/tracker/duplicated-phones.vala               |    8 ++--
 tests/tracker/email-details-interface.vala         |    8 ++--
 tests/tracker/emails-updates.vala                  |    8 ++--
 tests/tracker/family-name-updates.vala             |    9 +++--
 tests/tracker/favourite-details-interface.vala     |    8 ++--
 tests/tracker/favourite-updates.vala               |    8 ++--
 tests/tracker/fullname-updates.vala                |    8 ++--
 tests/tracker/gender-details-interface.vala        |    8 ++--
 tests/tracker/given-name-updates.vala              |    8 ++--
 tests/tracker/im-details-interface.vala            |    8 ++--
 tests/tracker/imaddresses-updates.vala             |    8 ++--
 tests/tracker/individual-retrieval.vala            |    8 ++--
 tests/tracker/link-personas-via-local-ids.vala     |   27
 +++++++++++------
 tests/tracker/link-personas.vala                   |   27
 +++++++++++------
 tests/tracker/match-all.vala                       |    8 ++--
 tests/tracker/match-email-addresses.vala           |    8 ++--
 tests/tracker/match-im-addresses.vala              |    8 ++--
 tests/tracker/match-known-emails.vala              |    8 ++--
 tests/tracker/match-name.vala                      |    8 ++--
 tests/tracker/match-phone-number.vala              |    8 ++--
 tests/tracker/name-details-interface.vala          |    8 ++--
 tests/tracker/nickname-updates.vala                |    8 ++--
 tests/tracker/note-details-interface.vala          |    8 ++--
 tests/tracker/phone-details-interface.vala         |    8 ++--
 tests/tracker/phones-updates.vala                  |    8 ++--
 .../tracker/postal-address-details-interface.vala  |    8 ++--
 tests/tracker/prefix-name-updates.vala             |    8 ++--
 tests/tracker/remove-contact.vala                  |    8 ++--
 tests/tracker/remove-persona.vala                  |    8 ++--
 tests/tracker/role-details-interface.vala          |    8 ++--
 tests/tracker/set-alias.vala                       |    8 ++--
 tests/tracker/set-avatar.vala                      |    8 ++--
 tests/tracker/set-birthday.vala                    |    8 ++--
 tests/tracker/set-duplicate-email.vala             |    8 ++--
 tests/tracker/set-emails.vala                      |    8 ++--
 tests/tracker/set-favourite.vala                   |    8 ++--
 tests/tracker/set-full-name.vala                   |    8 ++--
 tests/tracker/set-gender.vala                      |    8 ++--
 tests/tracker/set-im-addresses.vala                |    8 ++--
 tests/tracker/set-notes.vala                       |    8 ++--
 tests/tracker/set-phones.vala                      |    8 ++--
 tests/tracker/set-postal-addresses.vala            |    8 ++--
 tests/tracker/set-roles.vala                       |    8 ++--
 tests/tracker/set-structured-name.vala             |    8 ++--
 tests/tracker/set-urls.vala                        |    8 ++--
 tests/tracker/suffix-name-updates.vala             |    8 ++--
 tests/tracker/url-details-interface.vala           |    8 ++--
 tests/tracker/website-updates.vala                 |    8 ++--
 64 files changed, 307 insertions(+), 277 deletions(-)

commit 853d7721b144153a3c1496c012b24e226999f440
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 16:11:09 2011 +0000

    Fix a race condition in Tpf.PersonaStore

    The /IndividualRetrieval/aggregator:add test can execute multiple
    calls to
    Tpf.PersonaStore.add_persona_from_details() with the same contact ID
    simultaneously. Since the change to use sets, the fact that only one
    of the adds is succeeding is no longer hidden by our use of GLib.List.

    This commit fixes the error handling in
    Tpf.PersonaStore.add_persona_from_details() to be more resilient
    to the
    contact already existing.

    Helps: bgo#640092

 backends/telepathy/lib/tpf-persona-store.vala |   47
 ++++++++++++-------------
 1 files changed, 23 insertions(+), 24 deletions(-)

commit 2d2e1e1096b562c40c1d02a0ecc373287e51b83e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 16:09:21 2011 +0000

    Remove unused code from Tpf.PersonaStore

 backends/telepathy/lib/tpf-persona-store.vala |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit dd378b72c4bc63567b0ed74d4b319008fbb1c6be
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 16:07:55 2011 +0000

    Port PersonaStore.personas_changed to Set<Persona>

    Helps: bgo#640092

 NEWS                                             |    1 +
 backends/key-file/kf-persona-store.vala          |   24 +++++---
 backends/libsocialweb/lib/swf-persona-store.vala |   29 ++++++---
 backends/telepathy/lib/tpf-persona-store.vala    |   72
 ++++++++++++++--------
 backends/tracker/lib/trf-persona-store.vala      |   42 ++++++++-----
 folks/individual-aggregator.vala                 |   23 +++----
 folks/individual.vala                            |   10 +--
 folks/persona-store.vala                         |   11 ++-
 8 files changed, 126 insertions(+), 86 deletions(-)

commit 4bb93d34cc916f98d6b0c8fa66e4ef5188ad551e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 15:12:00 2011 +0000

    Port Individual.personas_changed to use Set<Persona>

    Helps: bgo#640092

 NEWS                  |    1 +
 folks/individual.vala |   33 +++++++++++++++++----------------
 2 files changed, 18 insertions(+), 16 deletions(-)

commit aa315bb33900610dae1d4f4093c274488be8f4e4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 11:40:45 2011 +0000

    Port Individual.personas to be a Set<Persona>

    This is a major user of GLib.List, and porting it should make porting
    a lot
    of other stuff a lot easier.

    Helps: bgo#640092

 NEWS                                       |    1 +
 folks/individual-aggregator.vala           |   63
 ++++++++++---------------
 folks/individual.vala                      |   69
 ++++++++++++++++------------
 tests/folks/aggregation.vala               |   47 +++++++++++++------
 tests/key-file/individual-retrieval.vala   |    8 ++-
 tests/libsocialweb/aggregation.vala        |   28 ++++++++----
 tests/telepathy/individual-properties.vala |   14 +++++-
 tests/tracker/add-persona.vala             |   11 +++--
 tests/tracker/remove-contact.vala          |    7 ++-
 tests/tracker/remove-persona.vala          |    9 +++-
 tests/tracker/set-alias.vala               |   35 ++++++++------
 tests/tracker/set-avatar.vala              |    6 ++-
 tests/tracker/set-birthday.vala            |    6 ++-
 tests/tracker/set-duplicate-email.vala     |   16 ++++---
 tests/tracker/set-emails.vala              |    7 ++-
 tests/tracker/set-favourite.vala           |   28 +++++++----
 tests/tracker/set-full-name.vala           |    7 ++-
 tests/tracker/set-gender.vala              |    6 ++-
 tests/tracker/set-im-addresses.vala        |    6 ++-
 tests/tracker/set-notes.vala               |    6 ++-
 tests/tracker/set-phones.vala              |    7 ++-
 tests/tracker/set-postal-addresses.vala    |    6 ++-
 tests/tracker/set-roles.vala               |    6 ++-
 tests/tracker/set-structured-name.vala     |    8 ++-
 tests/tracker/set-urls.vala                |    6 ++-
 tools/inspect/utils.vala                   |   19 ++++----
 26 files changed, 262 insertions(+), 170 deletions(-)

commit 1c7e4040ef1d916b93f1674efef5ebe1dcb3d0eb
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 11:00:27 2011 +0000

    Convert the internal store of Personas in Individual to use HashSet

    This converts the private variables in Individual which store its
    set of
    Personas to use a single HashSet instead of a separate GLib.List
    and HashSet.

    This won't compile, but making all the necessary adjustments to
    Individual.personas to make it compile would've made the commit
    too complex
    to review. The next commit will update Individual.personas.

    Helps: bgo#640092

 folks/individual.vala |  113
 +++++++++++++++++++++++++------------------------
 1 files changed, 57 insertions(+), 56 deletions(-)

commit eca4e5453097b76557533eadab8d21b7aca90c1a
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Thu Feb 3 11:41:38 2011 -0800

    Remove use of GLib.List in public BackendStore API.

    Helps bgo#640092 - Folks should minimize use of GLib.List (including
    its public
    API)

 NEWS                                           |    4 ++
 folks/backend-store.vala                       |   16 ++------
 tests/folks/backend-loading.vala               |   44
 ++++++++++--------------
 tests/telepathy/individual-retrieval.vala      |    2 +-
 tests/tracker/add-persona.vala                 |    2 +-
 tests/tracker/duplicated-emails.vala           |    2 +-
 tests/tracker/duplicated-phones.vala           |    2 +-
 tests/tracker/link-personas-via-local-ids.vala |    2 +-
 tests/tracker/link-personas.vala               |    2 +-
 tests/tracker/match-all.vala                   |    2 +-
 tests/tracker/match-email-addresses.vala       |    2 +-
 tests/tracker/match-im-addresses.vala          |    2 +-
 tests/tracker/match-known-emails.vala          |    2 +-
 tests/tracker/match-name.vala                  |    2 +-
 tests/tracker/match-phone-number.vala          |    2 +-
 tests/tracker/remove-persona.vala              |    2 +-
 tests/tracker/set-duplicate-email.vala         |    2 +-
 17 files changed, 40 insertions(+), 52 deletions(-)

commit cc7b9ac3b058d0734f2df749abc50e71d5797149
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 10:05:48 2011 +0000

    Use just a HashSet in IndividualAggregator._add_personas()

    Remove use of GLib.List. Helps: bgo#640092

 folks/individual-aggregator.vala |   35
 ++++++++++++++---------------------
 1 files changed, 14 insertions(+), 21 deletions(-)

commit f8baf37765580eaa497f675f102ef713a67083fe
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 22:27:27 2011 +0100

    Change UrlDetails.urls to be a Set<FieldDetails>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/libsocialweb/lib/swf-persona.vala  |   18 ++--
 backends/tracker/lib/trf-persona-store.vala |  115
 ++++----------------------
 backends/tracker/lib/trf-persona.vala       |   22 ++---
 folks/individual.vala                       |   31 +++----
 folks/url-details.vala                      |    5 +-
 tests/tracker/add-persona.vala              |   11 +--
 tests/tracker/set-urls.vala                 |   12 ++--
 tests/tracker/website-updates.vala          |    4 +-
 tools/inspect/utils.vala                    |   23 +-----
 10 files changed, 68 insertions(+), 174 deletions(-)

commit 6510a5cee80afafeefd507387455c6ebcb66a880
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 22:13:01 2011 +0100

    Change PhoneDetails.phone_numbers to be a Set<FieldDetails>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |  104
 +++------------------------
 backends/tracker/lib/trf-persona.vala       |   23 ++----
 folks/individual.vala                       |   35 +++++-----
 folks/phone-details.vala                    |    5 +-
 folks/potential-match.vala                  |   10 +--
 tests/tracker/add-persona.vala              |   13 ++--
 tests/tracker/duplicated-phones.vala        |   18 ++---
 tests/tracker/match-phone-number.vala       |   16 ++--
 tests/tracker/phones-updates.vala           |    4 +-
 tests/tracker/set-phones.vala               |   10 ++--
 tools/inspect/utils.vala                    |    6 +-
 12 files changed, 74 insertions(+), 171 deletions(-)

commit 1d035bd4d12e61b7809b5db251993306f6c170ae
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 21:55:06 2011 +0100

    Change EmailDetails.email_addresses to be a Set<FieldDetails>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |   96
 +++++++++++++++++++++++----
 backends/tracker/lib/trf-persona.vala       |   23 ++-----
 folks/email-details.vala                    |    5 +-
 folks/individual.vala                       |   32 ++++-----
 folks/potential-match.vala                  |   10 +--
 tests/tracker/add-persona.vala              |   13 ++--
 tests/tracker/duplicated-emails.vala        |   16 ++--
 tests/tracker/emails-updates.vala           |    6 +-
 tests/tracker/match-email-addresses.vala    |   16 ++--
 tests/tracker/match-known-emails.vala       |   16 ++--
 tests/tracker/remove-persona.vala           |   11 ++--
 tests/tracker/set-duplicate-email.vala      |   14 ++--
 tests/tracker/set-emails.vala               |   10 ++--
 tools/inspect/utils.vala                    |   23 ++++++-
 15 files changed, 185 insertions(+), 107 deletions(-)

commit f912d31414251e3a87616cdedb46d1d3015ccd53
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 21:41:20 2011 +0100

    Change PostalAddressDetails.postal_addresses to be a
    Set<PostalAddress>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/tracker/lib/trf-persona-store.vala |   66
 +++++++++++++--------------
 backends/tracker/lib/trf-persona.vala       |   27 +++++-------
 folks/individual.vala                       |   17 +++----
 folks/postal-address-details.vala           |   13 +++--
 tests/tracker/add-persona.vala              |    9 ++--
 tests/tracker/set-postal-addresses.vala     |    7 +--
 tools/inspect/utils.vala                    |    4 +-
 8 files changed, 68 insertions(+), 76 deletions(-)

commit 56077a1d890d079e5d0fe6291706a037395db158
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 20:59:18 2011 +0100

    Change FieldDetails.parameters to be a MultiMap<string, string>

    Helps: bgo#640092

 NEWS                                        |    3 +
 backends/tracker/lib/trf-persona-store.vala |   18 +++-----
 backends/tracker/lib/trf-persona.vala       |   23 +++--------
 folks/field-details.vala                    |   59
 ++++++++++++---------------
 tests/folks/field-details.vala              |   34 +++++++---------
 tests/tracker/set-urls.vala                 |   26 +++++++-----
 6 files changed, 73 insertions(+), 90 deletions(-)

commit 754541d94a53004aa38dfb163f49f9e258930ca5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 20:29:12 2011 +0100

    Change GroupDetails.groups to be a Set<string>

    Helps: bgo#640092

 NEWS                                       |    1 +
 backends/telepathy/lib/tpf-persona.vala    |   24 ++++++++----------
 folks/group-details.vala                   |    5 +++-
 folks/individual.vala                      |   37
 +++++++++++++---------------
 tests/telepathy/individual-properties.vala |    6 ++--
 tools/inspect/utils.vala                   |   19 +++++---------
 6 files changed, 43 insertions(+), 49 deletions(-)

commit beef9692895520e335770e0035bbec85240a61b1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 19:13:30 2011 +0100

    Change Backend.persona_stores to be a Map<string, PersonaStore>

    Helps: bgo#640092

 NEWS                                            |    1 +
 backends/key-file/kf-backend.vala               |   20
 ++++++++++----------
 backends/libsocialweb/sw-backend.vala           |   20
 ++++++++++----------
 backends/telepathy/tp-backend.vala              |   22
 +++++++++++-----------
 backends/tracker/tr-backend.vala                |   20
 ++++++++++----------
 folks/backend.vala                              |    5 ++++-
 folks/individual-aggregator.vala                |    7 +++----
 tests/telepathy/individual-retrieval.vala       |    3 +--
 tests/telepathy/persona-store-capabilities.vala |    2 +-
 tests/tracker/add-persona.vala                  |    2 +-
 tests/tracker/duplicated-emails.vala            |    2 +-
 tests/tracker/duplicated-phones.vala            |    2 +-
 tests/tracker/link-personas-via-local-ids.vala  |    2 +-
 tests/tracker/link-personas.vala                |    2 +-
 tests/tracker/match-all.vala                    |    2 +-
 tests/tracker/match-email-addresses.vala        |    2 +-
 tests/tracker/match-im-addresses.vala           |    2 +-
 tests/tracker/match-known-emails.vala           |    2 +-
 tests/tracker/match-name.vala                   |    2 +-
 tests/tracker/match-phone-number.vala           |    2 +-
 tests/tracker/remove-persona.vala               |    2 +-
 tests/tracker/set-duplicate-email.vala          |    2 +-
 tools/import.vala                               |   15 ++++++++++-----
 tools/inspect/command-backends.vala             |    7 +++----
 tools/inspect/command-persona-stores.vala       |   12 ++++++------
 tools/inspect/utils.vala                        |    9 ++++-----
 26 files changed, 87 insertions(+), 82 deletions(-)

commit f45fcbb3b1eb92feed741a1a513265d30624aaa8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 18:57:46 2011 +0100

    Remove LinkedHashSet in favour of Gee.HashSet

    Helps: bgo#640092

 NEWS                             |    1 +
 folks/Makefile.am                |    1 -
 folks/linked-hash-set.vala       |  377
 -----------------------------------
 tests/folks/Makefile.am          |    6 -
 tests/folks/linked-hash-set.vala |  404
 --------------------------------------
 5 files changed, 1 insertions(+), 788 deletions(-)

commit 4b28646ea714d9322f09c35095716887ac200115
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 18:43:18 2011 +0100

    Change WebServiceDetails.…addresses to be a MultiMap<string, string>

    Helps: bgo#640092

 NEWS                                        |    2 +
 backends/key-file/kf-persona-store.vala     |    4 +-
 backends/key-file/kf-persona.vala           |   42
 ++++++++++++--------------
 backends/libsocialweb/lib/swf-persona.vala  |   11 ++----
 backends/tracker/lib/trf-persona-store.vala |   28 +++++++----------
 backends/tracker/lib/trf-persona.vala       |   17 ++++++-----
 folks/individual-aggregator.vala            |   25 +++++++---------
 folks/individual.vala                       |   27 +++++++---------
 folks/web-service-details.vala              |   11 ++----
 tools/inspect/utils.vala                    |   12 +++----
 10 files changed, 80 insertions(+), 99 deletions(-)

commit 6b5c6befa0a4c392a1ffb6516963a0cbbbb1e4bd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 19 18:12:15 2011 +0100

    Change ImDetails.im_addresses to be a MultiMap<string, string>

    Helps: bgo#640092

 NEWS                                        |    1 +
 backends/key-file/kf-persona-store.vala     |    6 +-
 backends/key-file/kf-persona.vala           |   55 +++++--------
 backends/libsocialweb/lib/swf-persona.vala  |   12 +--
 backends/telepathy/lib/tpf-persona.vala     |   17 ++---
 backends/tracker/lib/trf-persona-store.vala |  118
 ++++++++++++++++++++++-----
 backends/tracker/lib/trf-persona.vala       |   52 ++++---------
 folks/im-details.vala                       |   13 ++--
 folks/individual-aggregator.vala            |   28 +++----
 folks/individual.vala                       |   25 +++---
 folks/potential-match.vala                  |   16 +---
 tests/tracker/add-persona.vala              |   17 ++---
 tests/tracker/im-details-interface.vala     |    2 +-
 tests/tracker/imaddresses-updates.vala      |   14 ++--
 tests/tracker/link-personas.vala            |   24 ++----
 tests/tracker/match-im-addresses.vala       |   27 +++----
 tests/tracker/set-im-addresses.vala         |   24 ++----
 tools/import-pidgin.vala                    |   20 +----
 tools/inspect/utils.vala                    |   14 ++--
 19 files changed, 235 insertions(+), 250 deletions(-)

commit 858e80d7649ebe7af0553531a940098f6d3c8449
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 13:19:12 2011 +0000

    Add navigation tests for LinkedHashSet.Iterator

    Helps: bgo#645684

 tests/folks/linked-hash-set.vala |   59
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 59 insertions(+), 0 deletions(-)

commit 61ed5af3594831015fd52cf4c548ff1840ec334f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 12:31:42 2011 +0000

    Implement an Iterator for LinkedHashSet

    In order to ensure that calling Iterator.remove() on an iterator
    returned by
    LinkedHashSet.iterator() actually removes the item from both the
    linked list
    and hash set in the LinkedHashSet, we have to subclass Iterator
    ourselves.

    This means that all the LinkedHashSet tests pass once more.

    Closes: bgo#645684

 NEWS                       |    3 ++
 folks/linked-hash-set.vala |   77
 ++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 78 insertions(+), 2 deletions(-)

commit 34e89c9fdeba10c52238831cd6303fa7a2e9e2c3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 12:19:32 2011 +0000

    Add stamping to LinkedHashSet

    Since we don't have access to the stamps in the LinkedHashSet's
    linked list
    or hash set, we have to maintain our own. This is necessary for
    implementing
    our own Iterator. (See next commit.)

    Helps: bgo#645684

 folks/linked-hash-set.vala |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit f311735144325c44de2c542415fcf65913d9e286
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 12:08:28 2011 +0000

    Remove implementation of LinkedHashSet.list_iterator()

    The extra methods provided by ListIterator are all incompatible
    with the
    set qualities of LinkedHashSet, and would allow duplicate entries
    to be
    introduced into the set.

    LinkedHashSet.iterator() continues to return an iterator which
    uses the
    links in LinkedHashSet to provide fast iteration.

    Helps: bgo#645684

 NEWS                       |    3 +++
 folks/linked-hash-set.vala |    7 +++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit c6f44b505999d259af5b262a69e57da31af611d0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Mar 24 11:57:24 2011 +0000

    Add tests for LinkedHashSet.iterator()

    Helps: bgo#645684

 tests/folks/linked-hash-set.vala |   49
 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 49 insertions(+), 0 deletions(-)

commit 9fa57c03a51e4c5b4eaf04642ebab7a52d62003f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 12 20:42:06 2011 +0100

    Don't remove the wrong Individuals from IndividualAggregator

    In IndividualAggregator._individual_removed_cb(), don't remove
    the individual
    from IndividualAggregator.individuals unless it is actually the
    individual
    which is emitting the "removed" signal.

    Closes: bgo#647121

 NEWS                             |    2 ++
 folks/individual-aggregator.vala |    8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit ce370e34d73fc1fb13781cf59f29efe5553000ca
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat Jan 22 11:34:53 2011 +0000

    Fix Tpf.Persona to use its store's ID in persona UIDs

    It was previously (incorrectly) not using the PersonaStore's ID as
    the middle
    component in its UID, which meant that the same IM address as added
    on two
    different accounts using the same protocol would have the same UID,
    undermining the concept of a UID as a globally unique identifier for a
    Persona.

    Closes: bgo#647121

 backends/telepathy/lib/tpf-persona.vala    |    2 +-
 tests/folks/aggregation.vala               |   15 ++++++++++-----
 tests/telepathy/individual-properties.vala |    3 ++-
 tests/telepathy/individual-retrieval.vala  |    3 ++-
 4 files changed, 15 insertions(+), 8 deletions(-)

commit 0517262c104a2c30c621ab180f1b4ac6e2b47b13
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 12 16:08:40 2011 +0100

    Bug 647562 — Don't crash on duplicate group channels

 NEWS                                          |    1 +
 backends/telepathy/lib/tpf-persona-store.vala |   17 +++++++++++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit f9f5fddf944218530316e4191ca82bafc9b37160
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Apr 15 16:53:03 2011 -0700

    Add download-page and bug-database entries to DOAP file.

 folks.doap |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1ca419bc64c94e750afbba4cca5811da99d02b7f
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Fri Apr 15 16:51:36 2011 -0700

    Add a (long) description to the DOAP file.

 folks.doap |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 9f457074278f8f8d7e4e3885f2c120ca157ff228
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Apr 12 15:00:38 2011 +0100

    Bug 645388 — Group channels are leaked

 NEWS                                 |    3 +++
 backends/telepathy/lib/tp-lowlevel.c |    2 ++
 backends/telepathy/lib/tp-lowlevel.h |    2 +-
 3 files changed, 6 insertions(+), 1 deletions(-)

commit 9a85048406949a4cbe787638a81571a5df9973cf
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Apr 12 01:26:29 2011 -0700

    Post-release version bump.

 NEWS         |    3 +++
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 69de76acf7e4bb9f740ac2fd6dcfea0643145c39
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Apr 12 00:39:35 2011 -0700

    Release version 0.5.0

 backends/libsocialweb/lib/swf-persona-store.vala |   10 +++++-----
 backends/libsocialweb/lib/swf-persona.vala       |    4 ++--
 backends/tracker/lib/trf-persona-store.vala      |   18
 +++++++++---------
 backends/tracker/lib/trf-persona.vala            |    2 +-
 configure.ac                                     |    8 ++++----
 folks/individual-aggregator.vala                 |    6 +++---
 folks/local-id-details.vala                      |    4 ++--
 folks/name-details.vala                          |    2 +-
 folks/persona-store.vala                         |    6 +++---
 folks/phone-details.vala                         |    6 +++---
 folks/potential-match.vala                       |   12 ++++++------
 folks/web-service-details.vala                   |    4 ++--
 12 files changed, 41 insertions(+), 41 deletions(-)

commit 9d34cdb3773b89b448c0759f011187f9bef213f6
Author: Travis Reitter <travis.reitter@collabora.co.uk>
Date:   Tue Apr 12 00:43:51 2011 -0700

    Add NEWS entry for potential matches.

 NEWS |    4 ++++
